2017-02-16 Michael Catanzaro <mcatanzaro@gnome.org>
commit 29a1060b90abb0257395d2a5d5601a30255bfa39

    Release version 3.23.90

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

2017-02-16 Ask Hjorth Larsen <asklarsen@gmail.com>
commit 6fdbf5604d7ed7ec038a5428dd572b36fe006c06

    Updated Danish translation

 po/da.po | 45 +++++++++++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 20 deletions(-)

2017-02-15 Mandy Wang <wangmychn@gmail.com>
commit 58c50437d93f280cb5732a52fb72994225c4c069

    Update zh_CN translation

 po/zh_CN.po | 1461 +++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 1113 insertions(+), 348 deletions(-)

2017-02-04 Ignacio Casal Quinteiro <icq@gnome.org>
commit 86cc68589ed53ccd7e7016fdb6884ee5f655d647

    Fix for libgit2-glib api change

 configure.ac             | 4 ++--
 libgitg/gitg-remote.vala | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

2016-09-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit 30938ff51407fb82d7f20f6310694df634a3c25e

    Do not duplicate the fds

 libgitg/gitg-platform-support-win32.c | 2 --
 1 file changed, 2 deletions(-)

2017-02-02 Fabio Tomat <f.t.public@gmail.com>
commit 57f76a6d49d1cd0bb5fe4170925c1b81199fe80c

    Add Friulian translation

 po/LINGUAS |    1 +
 po/fur.po  | 1750 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1751 insertions(+)

2017-01-28 Rafael Fontenelle <rafaelff@gnome.org>
commit 49a1bb9ec405e4109e4f19b9567145b1c93c60bd

    Update Brazilian Portuguese translation

 po/pt_BR.po | 195 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 121 insertions(+), 74 deletions(-)

2017-01-22 Dušan Kazik <prescott66@gmail.com>
commit 7db603b0e55eb2b0ef1854e30e190bedbb36f8da

    Update Slovak translation

 po/sk.po | 118 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 81 insertions(+), 37 deletions(-)

2017-01-21 Piotr Drąg <piotrdrag@gmail.com>
commit 2eb18d0ad2da6455a971f01ab6547cf6b6a04c66

    Update Polish translation

 po/pl.po | 88 ++++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 66 insertions(+), 22 deletions(-)

2017-01-15 Jordi Mas <jmas@softcatala.org>
commit bc154e7c81b31b60833f521bfd1edafd03e425b4

    Fixes to Catalan translation

 po/ca.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

2016-12-22 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 16af4cf37ac2f020fd930a8695388bdc2a19baa9

    Updated Spanish translation

 po/es.po | 123 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 85 insertions(+), 38 deletions(-)

2016-12-14 Baurzhan Muftakhidinov <baurthefirst@gmail.com>
commit 57a3c0891ec4c9e3f15f475dccdbb9b5d92c81db

    Add Kazakh translation

 po/LINGUAS |    1 +
 po/kk.po   | 1739 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1740 insertions(+)

2016-11-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit a27d81500b36cb3069f2293cc4328fc7af98fb52

    Post release version bump

 README       | 8 ++++----
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

2016-11-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit b4ddb1b218b6a1b5bc9e1554501e4bb45648b311

    Fix check for return value after git update submodule

 autogen.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

2016-11-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 95eff9c84cda1009a46e845a16745ccb8a4ca314

    Only run git submodule update if checked out from git

 autogen.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

2016-11-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit d965f56db9f788291c6d597db6053001e498d075

    Revert "Small autogen.sh improvements"
    
    This reverts commit 92c76a5570da1d4c9404770941e0b03d5ae0e694.

 autogen.sh | 58 +++++++++++++++++-----------------------------------------
 1 file changed, 17 insertions(+), 41 deletions(-)

2016-11-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 92c76a5570da1d4c9404770941e0b03d5ae0e694

    Small autogen.sh improvements

 autogen.sh | 58 +++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 41 insertions(+), 17 deletions(-)

2016-11-20 Mario Blättermann <mario.blaettermann@gmail.com>
commit 0a8263021c5070dcdc8d53c790b832d36211a26d

    Update German translation

 po/de.po | 118 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 81 insertions(+), 37 deletions(-)

2016-11-08 Marek Cernocky <marek_cernocky@conel.cz>
commit c0e918771096d078b0d961261dbc10cb6e8512d8

    Updated Czech translation

 po/cs.po | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

2016-11-04 Balázs Meskó <meskobalazs@gmail.com>
commit bbe79dab482acb4789563f41f0fa0bcd3e676399

    Update Hungarian translation

 po/hu.po | 122 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 82 insertions(+), 40 deletions(-)

2016-11-01 Jürg Billeter <j@bitron.ch>
commit ccca933827dbde134c20e8455fae421723eaf5d2

    history: Fix printf format strings

 gitg/history/gitg-history-refs-list.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-10-28 Marek Černocký <marek@manet.cz>
commit 2c6c03859b7722a65114e9e5951adac32620a4ac

    Updated Czech translation

 po/cs.po | 104 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 74 insertions(+), 30 deletions(-)

2016-10-07 Milo Casagrande <milo@ubuntu.com>
commit 9a126814c9188307c1f25486b49d902f72c20748

    Update Italian translation
    (cherry picked from commit d10c346afcb4fdb9e3c14d3fa76d9aa57c871afe)

 po/it.po | 218 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 120 insertions(+), 98 deletions(-)

2016-09-27 Sébastien Wilmet <swilmet@gnome.org>
commit 2d8bada93d61027a70cc8c85c848ccbfeab147bc

    win32: remove dup
    
    'grep -v gtk30.mo' was present two times on the command line.

 win32/make-installer | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-09-27 Sébastien Wilmet <swilmet@gnome.org>
commit 4e7a553f1e30d4518b52130f92637e3d398ac0f5

    win32: fix make-installer.bat
    
    - The bash script is called make-installer, not make-gedit-installer.
    
    - Fix the second path to bash.exe (for stage2). See:
      https://git.gnome.org/browse/gedit/commit/?id=b03d7a9749ca6a4960739921b65908f16495a1a8

 win32/make-installer.bat | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-09-17 Ask Hjorth Larsen <asklarsen@gmail.com>
commit 284758d1d2b7ecda98770325e11effab1ef5e777

    Updated Danish translation

 po/da.po | 274 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 174 insertions(+), 100 deletions(-)

2016-09-12 Tom Tryfonidis <tomtryf@gnome.org>
commit affc97103071b6b56e7063cdbcbfa25907d9a152

    Updated Greek translation
    (cherry picked from commit 01b8991a97798bfea25334416f7dfae60fd3e29e)

 po/el.po | 224 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 125 insertions(+), 99 deletions(-)

2016-09-11 Rūdolfs Mazurs <rudolfsm@src.gnome.org>
commit 0da8090a008c477dfd8ceee5ea04c8548ff67388

    Update Latvian translation

 po/lv.po | 311 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 134 insertions(+), 177 deletions(-)

2016-09-08 Piotr Drąg <piotrdrag@gmail.com>
commit 8d6ae1cf1ca6b80a1a5ec6dd62d2d4e4f34cbb54

    Updated Polish translation

 po/pl.po | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

2016-09-06 Jesse van den Kieboom <jessevdk@gnome.org>
commit 80b5e5f63a884c0d523e89dd97b7cbd6f79ccedf

    Bump libgit2-glib version to 0.24.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-09-04 Alexandre Franke <alexandre.franke@gmail.com>
commit 262d96cdbb4368ba9611d0a27531de7f3dca8213

    Updated French translation

 po/fr.po | 130 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 66 insertions(+), 64 deletions(-)

2016-09-04 Charles Monzat <superboa@hotmail.fr>
commit 81c1889cb8fba2aab40c6406ad6a608c9ee0920b

    Updated French translation
    (cherry picked from commit f9540a5229d523f99804d7a37e8c0b02926d7a53)

 po/fr.po | 230 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 128 insertions(+), 102 deletions(-)

2016-09-04 Jiri Grönroos <jiri.gronroos@iki.fi>
commit d7e9f0b8eb07137faedeef52c4cb3ed3253bd707

    Updated Finnish translation

 po/fi.po | 112 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 77 insertions(+), 35 deletions(-)

2016-09-04 Aurimas Černius <aurisc4@gmail.com>
commit b9136f56c3fa9b36147f464c2f8489aeaf12ec00

    Updated Lithuanian translation

 po/lt.po | 237 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 148 insertions(+), 89 deletions(-)

2016-08-31 Seong-ho Cho <shcho@gnome.org>
commit a0d19894283e97d92a5ac910bf497c0e59dd1804

    Updated Korean translation

 po/ko.po | 278 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 175 insertions(+), 103 deletions(-)

2016-08-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit f5c5657f5b382420d0488403d0426e0e9afa36d5

    Show dash activity menu if shell does not show app menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770534

 gitg/gitg-window.vala | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

2016-08-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2971ffd28cfe356193fa523cad578379195410d2

    Use same callbacks instance during remote connection life cycle

 libgitg/gitg-remote.vala | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

2016-08-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit c0c44a95639175675f46943ccd9b0a6b9933927b

    Fix side-by-side alignment in the case of a single image

 libgitg/gitg-diff-image-side-by-side.vala | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

2016-08-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2b8f2e1175608efd06f08bf220234ea2cec48c69

    Fix size calculation if there is no old pixbuf

 libgitg/gitg-diff-image-composite.vala | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

2016-08-27 Piotr Drąg <piotrdrag@gmail.com>
commit cd3bb201f6284d821b6356a59ebcf225cc6ee48b

    Update POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 6 ++++--
 po/POTFILES.skip | 5 ++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

2016-01-10 Jesse van den Kieboom <jessevdk@gnome.org>
commit b2ed43d22de03d0f504dd2e5b8b840af5e992950

    Add diff renderer for images

 libgitg/Makefile.am                                |   7 +
 libgitg/gitg-diff-image-composite.vala             |  91 +++++++
 libgitg/gitg-diff-image-difference.vala            |  65 +++++
 libgitg/gitg-diff-image-overlay.vala               |  80 ++++++
 libgitg/gitg-diff-image-side-by-side.vala          | 290 +++++++++++++++++++++
 libgitg/gitg-diff-image-slider.vala                |  94 +++++++
 libgitg/gitg-diff-image-surface-cache.vala         |  29 +++
 libgitg/gitg-diff-view-file-renderer-image.vala    | 152 +++++++++++
 libgitg/gitg-diff-view-file.vala                   |   5 +
 libgitg/gitg-diff-view.vala                        |  51 +++-
 libgitg/resources/resources.xml                    |   1 +
 .../ui/gitg-diff-view-file-renderer-image.ui       | 123 +++++++++
 libgitg/resources/ui/libgitg-style.css             |   8 +
 13 files changed, 990 insertions(+), 6 deletions(-)

2016-08-27 Jesse van den Kieboom <jessevdk@gnome.org>
commit 93476469aa2f1f1a9cd2fcb5bd2b12d71b140744

    Post release version bump

 README       | 8 ++++----
 configure.ac | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

2016-08-27 Jesse van den Kieboom <jessevdk@gnome.org>
commit e66e8dc5f8c4a331db73e67d482db0410defaa3e

    Release version 3.21.91

 NEWS         | 18 ++++++++++++++++++
 README       |  8 ++++----
 configure.ac |  4 ++--
 3 files changed, 24 insertions(+), 6 deletions(-)

2016-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit 05d78b14ac283f8b5c08f4e009de2accd84b422f

    Use private bookmarks file instead of recent manager
    
    This avoids the tie-in of GtkRecentManager with the global gnome
    privacy settings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766473

 gitg/gitg-dash-view.vala              |   4 +-
 gitg/gitg-dirs.vala                   |   7 +-
 libgitg/gitg-repository-list-box.vala | 211 ++++++++++++++++++++++++++--------
 3 files changed, 174 insertions(+), 48 deletions(-)

2016-08-25 Matej Urbančič <mateju@svn.gnome.org>
commit 74dd01dac015bd23a2fa71e0973c6e5723112424

    Updated Slovenian translation

 po/sl.po | 127 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 62 deletions(-)

2016-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6b2e06f7e0bf2351aea7f963c1077728028fd7a6

    Bump libgit2-glib version to 0.24.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-08-22 Piotr Drąg <piotrdrag@gmail.com>
commit cbaa88f7266318a0543defc99d278cb7af547785

    Updated Polish translation

 po/pl.po | 452 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 236 insertions(+), 216 deletions(-)

2016-08-22 Enrico Nicoletto <liverig@gmail.com>
commit 7ae54135d1b15f1fb2ed107a4492642d9efc0382

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 159 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 89 insertions(+), 70 deletions(-)

2016-08-22 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 1ef4941450f7798207ada901ad183f41da51708b

    Updated Spanish translation

 po/es.po | 144 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 79 insertions(+), 65 deletions(-)

2016-08-22 Andika Triwidada <atriwidada@gnome.org>
commit fc55405b1eb5e44addb675e2175c3e7d4a61fb7a

    Updated Indonesian translation

 po/id.po | 130 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 59 deletions(-)

2016-08-21 Jiri Grönroos <jiri.gronroos@iki.fi>
commit 3700b23f45c716ac318694e65087681779dae38e

    Updated Finnish translation

 po/fi.po | 245 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 132 insertions(+), 113 deletions(-)

2016-08-21 Mario Blättermann <mario.blaettermann@gmail.com>
commit 7d918b766a4e7609b0ea9c5fb622ae097e3f708d

    Updated German translation

 po/de.po | 226 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 126 insertions(+), 100 deletions(-)

2016-08-20 Balázs Úr <urbalazs@gmail.com>
commit 4451c650988537d40fea1a85b0b86d59e6636f52

    Updated Hungarian translation

 po/hu.po | 189 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 81 insertions(+), 108 deletions(-)

2016-08-19 David King <amigadave@amigadave.com>
commit 1bc6568cee21dfb4343f166c63f5bcb829476f49

    Update British English translation

 po/en_GB.po | 960 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 903 insertions(+), 57 deletions(-)

2016-08-19 David King <amigadave@amigadave.com>
commit 5a01f3ba5108af7e5cde3fff1b8d943338e4dc04

    Update British English translation

 po/en_GB.po | 1373 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 730 insertions(+), 643 deletions(-)

2016-08-19 Dušan Kazik <prescott66@gmail.com>
commit 42a949c4606703942dd140675f39f554ff4e316f

    Updated Slovak translation

 po/sk.po | 133 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 62 deletions(-)

2016-08-19 Marek Černocký <marek@manet.cz>
commit 2e1971803aedd9785551c9048934edb7ac94b868

    Updated Czech translation

 po/cs.po | 130 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 59 deletions(-)

2016-08-19 Jesse van den Kieboom <jessevdk@gnome.org>
commit e4be0eaec6365463ac32d938f35669b88dc4a0dd

    Add context menu for file in diff view
    
    Adds:
      - Open file
      - Open containing folder
      - Copy file path
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761699

 libgitg/gitg-diff-view-file.vala | 105 +++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                   |   1 +
 po/POTFILES.skip                 |   3 +-
 3 files changed, 108 insertions(+), 1 deletion(-)

2016-08-19 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7a5c158e5ef330d455de0e5841143d86ffbfc9ee

    Disable use of gravatar by default
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744159

 data/org.gnome.gitg.gschema.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-08-19 Jesse van den Kieboom <jessevdk@gnome.org>
commit 73d6b6e61b3dae86a666b28d3c9f1d637e1e2ffa

    Show extended git message as part of the scrolled area
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769239

 libgitg/gitg-diff-view-commit-details.vala         |  6 ++--
 libgitg/gitg-diff-view.vala                        | 33 ++++++++++++++++++++++
 .../resources/ui/gitg-diff-view-commit-details.ui  |  2 +-
 libgitg/resources/ui/gitg-diff-view.ui             | 27 +++++++++++++++++-
 libgitg/resources/ui/libgitg-style.css             |  5 ++++
 5 files changed, 68 insertions(+), 5 deletions(-)

2016-08-18 Marek Černocký <marek@manet.cz>
commit 9d753864ba33e4f18950a0fd097b0a1236be001a

    Updated Czech translation

 po/cs.po | 113 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 65 insertions(+), 48 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 907b43fdb9305b1ede94f0c94d46b8f50d8c735b

    Update history when commit is added without relying on file monitor
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755762

 gitg/commit/gitg-commit.vala          |  2 ++
 gitg/history/gitg-history.vala        | 30 ++++++++++++++++++++++++++++--
 libgitg-ext/gitg-ext-application.vala |  1 +
 3 files changed, 31 insertions(+), 2 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit c8a12f6a28cb036f0f1ed0ada676cc1ed97f7ca3

    Fix toggle line selection
    
    - Clicking now toggles again (removed alt modifier behavior)
    - Shift click will extend selection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765726

 libgitg/gitg-diff-view-file-selectable.vala | 194 +++++++++++-----------------
 1 file changed, 74 insertions(+), 120 deletions(-)

2016-08-18 Andika Triwidada <atriwidada@gnome.org>
commit 60eb65f0fa946e757744aa33e6541c874d340edc

    Updated Indonesian translation

 po/id.po | 39 +++++++++++++++++++++++++--------------
 1 file changed, 25 insertions(+), 14 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 109e47eb8dd310607000d8afdfab584fff4c8f59

    Avoid use of deprecated pointer API

 libgitg/gitg-diff-view-file-selectable.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 06c1c4a245a97efcf5ee7e3cf2a97f43c0efe017

    Cancel update diff on dispose

 libgitg/gitg-diff-view.vala | 10 ++++++++++
 1 file changed, 10 insertions(+)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5513ae5b5b30c681d4ff9fab358f1c34f191571e

    Allow null repository during deconstruction

 libgitg/gitg-diff-view-file-info.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7848a4c1e5c31f5e8ca792a79bdae618c0388935

    Fix assumptions on existing working directory

 libgitg/gitg-diff-view-file-info.vala          |  7 ++++---
 libgitg/gitg-diff-view-file-renderer-text.vala | 11 +++++++++--
 2 files changed, 13 insertions(+), 5 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5de8d37a297ddf5111d4079c54a20a1f4e228607

    Disable commit for bare repositories

 gitg/commit/gitg-commit.vala | 9 +++++++++
 gitg/gitg-ui-elements.vala   | 8 ++++++++
 2 files changed, 17 insertions(+)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3c6fd2de18fc0d3b070a4ef3429d60c5b931f92e

    Avoid submodule iteration on bare repositories due to libgit2 bug

 libgitg/gitg-stage-status-enumerator.vala | 31 ++++++++++++++++++-------------
 1 file changed, 18 insertions(+), 13 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit b05523fc15e62bec92f00dd650ad30363f18bf08

    Wire up newly cloned repository

 libgitg/gitg-repository-list-box.vala | 62 ++++++++++++++++++++---------------
 1 file changed, 35 insertions(+), 27 deletions(-)

2016-08-18 Jesse van den Kieboom <jessevdk@gnome.org>
commit f018233a376a0b999a96fe909c9220c5ecc42166

    Add support for clone url in ssh short form
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767064

 libgitg/gitg-credentials-manager.vala | 43 ++++++++++++++++++++++++++++++-----
 1 file changed, 37 insertions(+), 6 deletions(-)

2016-08-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit 09c661254af0ceaf05e97eab59a0c481fe9adeb0

    Create global config file if it doesn't exist yet
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760119

 gitg/gitg-author-details-dialog.vala | 12 ++++++++++++
 1 file changed, 12 insertions(+)

2016-08-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit f687963a102c0dfc3f550657e24c86a77bac54f3

    Ensure to sync repository to diff view
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768650

 gitg/commit/gitg-commit.vala | 5 +++++
 plugins/diff/gitg-diff.vala  | 7 +++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

2016-08-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit f9ecad6db99faf02f416821922bc8991f0b285eb

    Fix diff index against empty repository
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769996

 gitg/commit/gitg-commit.vala | 15 ++++++++++-----
 libgitg/gitg-stage.vala      |  7 ++++++-
 2 files changed, 16 insertions(+), 6 deletions(-)

2016-08-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit f1930c55af420ca7f76ba2128ef40b7e5251b2f0

    Depend on libgit2-glib 0.24.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-08-16 Dušan Kazik <prescott66@gmail.com>
commit a7af72215c5761c6b71208e35c48f961df14c5f5

    Updated Slovak translation

 po/sk.po | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

2016-08-16 Jesse van den Kieboom <jessevdk@gnome.org>
commit 411c5743ce3e4f4aec6ec517738062a7a5de44e3

    Improve support for binary file detection in diff views
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768650

 configure.ac                                       |   2 +-
 libgitg/Makefile.am                                |  82 ++++++-------
 libgitg/gitg-diff-view-file-info.vala              | 104 +++++++++++++++++
 libgitg/gitg-diff-view-file-renderer-binary.vala   |  28 +++++
 libgitg/gitg-diff-view-file-renderer-text.vala     | 127 +++++++++++++++------
 libgitg/gitg-diff-view-file.vala                   |  11 +-
 libgitg/gitg-diff-view.vala                        | 114 ++++++++++++++++--
 libgitg/resources/resources.xml                    |   1 +
 .../ui/gitg-diff-view-file-renderer-binary.ui      |  22 ++++
 libgitg/resources/ui/gitg-diff-view-file.ui        |   2 +
 po/POTFILES.in                                     |   1 +
 11 files changed, 405 insertions(+), 89 deletions(-)

2016-08-15 Jesse van den Kieboom <jessevdk@gnome.org>
commit f15433ff1a43e19f5535cca40e25f785615657c0

    Disable commit context items if there is no real selection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769897

 gitg/commit/gitg-commit.vala | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

2016-07-27 Ting-Wei Lan <lantw@src.gnome.org>
commit 444c3f3c0b1a604aed5a406f31d08eeb30f75f28

    Fix non-literal format string warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769209

 gitg/commit/gitg-commit.vala         | 2 +-
 gitg/gitg-author-details-dialog.vala | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

2016-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9af17f32ae1d9af4cf9689f8619eb058b734ee52

    Fix getting id of parent of there is no parent
    
    This would happen for the first commit in the repo

 libgitg/gitg-diff-view-commit-details.vala | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

2016-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit f37ff72ea054f34c9dbfe53653de23431320a1d0

    Only walk first tree level looking for .doap

 libgitg/gitg-repository-list-box.vala | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

2016-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2b9fade23bc3dc0d2d0e3c2b3f5c0b44684bb452

    Disconnect/reconnect model on clear
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768651

 gitg/history/gitg-history.vala | 13 +++++++++++++
 libgitg/gitg-commit-model.vala |  7 +++++++
 2 files changed, 20 insertions(+)

2016-08-12 Rafał Jaskurzyński <jaski88@gmail.com>
commit 38519a835724791fe52485ff6f62a439055b06f4

    Missing libtool dependency in autogen.sh script
    
    Running autogen.sh script without libtool installed ended with error.
    
    Now user is informed about missing dependency:
    *** No libtool found, please install it ***
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769807

 autogen.sh | 6 ++++++
 1 file changed, 6 insertions(+)

2016-08-12 Dušan Kazik <prescott66@gmail.com>
commit 88d9ba1212b8f3d8cce3fa235eb6740fd0c75cc1

    Updated Slovak translation

 po/sk.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-08-11 Jesse van den Kieboom <jessevdk@gnome.org>
commit 83fc596a0235eb57c708a7fc6790180be96f538c

    Fix incremental loading on large repositories

 libgitg/gitg-commit-model.vala | 130 ++++++++++++++++++++++++-----------------
 1 file changed, 76 insertions(+), 54 deletions(-)

2016-08-11 Jesse van den Kieboom <jessevdk@gnome.org>
commit 955b776c70763f144ca68427f21e269885f14d89

    Require vala 0.32

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-08-08 Dušan Kazik <prescott66@gmail.com>
commit abb6a552e44420202f2d68b3660e6d4959a2409d

    Updated Slovak translation

 po/sk.po | 79 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 50 insertions(+), 29 deletions(-)

2016-08-04 Balázs Úr <urbalazs@gmail.com>
commit e615c3003c5bd4fc3e07644a12d3dd13762c5b41

    Updated Hungarian translation

 po/hu.po | 95 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 53 insertions(+), 42 deletions(-)

2016-08-02 Aurimas Černius <aurisc4@gmail.com>
commit 0e5df2d6e767e9e3deda3a8e697e52a98b13c6b2

    Updated Lithuanian translation

 po/lt.po | 89 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 51 insertions(+), 38 deletions(-)

2016-08-02 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 896952696b8a8045ef5b88c6f220988f70857a5b

    Updated Spanish translation

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-07-18 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 3df3236c1d4a9c85ae8c164fc77c11f6789f4b68

    Updated Spanish translation

 po/es.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

2016-07-17 Piotr Drąg <piotrdrag@gmail.com>
commit 5f155ca7deb1f3b5d6c121d4e713cccdd899edc7

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/ca@valencia.po | 2 +-
 po/de.po          | 2 +-
 po/en_GB.po       | 1 +
 po/es.po          | 2 +-
 po/nb.po          | 2 +-
 po/pa.po          | 1 +
 po/ru.po          | 2 +-
 po/sl.po          | 2 +-
 po/sr@latin.po    | 2 +-
 po/zh_HK.po       | 2 +-
 10 files changed, 10 insertions(+), 8 deletions(-)

2016-07-13 Tiago Santos <tiagofsantos81@sapo.pt>
commit 7d855ce4f95da55b699cbcd90ed3318686b37c5e

    Updated Portuguese translation

 po/pt.po | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

2016-07-09 Piotr Drąg <piotrdrag@gmail.com>
commit a8920029042b3ffc66d138d40713ff00082fa0e4

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

2016-06-22 Andika Triwidada <atriwidada@gnome.org>
commit 3bb47cbf7346ee8c9f7f0f08b87f2de6502529d9

    Updated Indonesian translation

 po/id.po | 50 +++++++++++++++++++++++++++-----------------------
 1 file changed, 27 insertions(+), 23 deletions(-)

2016-06-22 Andika Triwidada <atriwidada@gnome.org>
commit 1f8091c027471038694da3a0ff68b66c19279a2e

    Updated Indonesian translation
    (cherry picked from commit 64a1081de8a91116b169fc6a93b440997e2be9d9)

 po/id.po | 804 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 407 insertions(+), 397 deletions(-)

2016-06-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit d43cada63abdd36e0b8a889dcf3984c4efcff8c6

    libgitg: show the complete message, not only the subject
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767891

 libgitg/gitg-diff-view-commit-details.vala            | 6 +++---
 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

2016-06-22 Tiago Santos <tiagofsantos81@sapo.pt>
commit bd489c2aa16fb6c7a38f72d2df216d2ce8c93bba

    Updated Portuguese translation

 po/pt.po | 99 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 46 insertions(+), 53 deletions(-)

2016-06-20 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 2a42ca350f1cee965b0ce175a4f561f013076519

    Updated Spanish translation

 po/es.po | 86 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 42 deletions(-)

2016-06-14 Rafael Fontenelle <rafaelff@gnome.org>
commit 08ecd9577b10f4aa0fb02dd1f998a1403d05733c

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 96 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 50 insertions(+), 46 deletions(-)

2016-06-05 Piotr Drąg <piotrdrag@gmail.com>
commit 45879456bead6f0fdc70ebec8b56cc9e857ef95a

    Unmark placeholder string from translation

 plugins/files/resources/view-files.ui | 2 +-
 po/POTFILES.in                        | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3e5fc07c97d2b526927edb3ecde5eda3ae0d600a

    Reduce hot area for action bar to mitigate horizontal scrolling issue
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764003

 libgitg/gitg-diff-view.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit b0b417c1e3f35176c6f77518e3d45f6a6becef27

    Set primary selection to selected commit SHA1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763087

 gitg/history/gitg-history.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0fe01efbd790674d853ca10911a126fcd89a47fb

    Disable burger menu in dash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765536

 gitg/gitg-window.vala           | 8 +++++---
 gitg/resources/ui/gitg-menus.ui | 2 --
 2 files changed, 5 insertions(+), 5 deletions(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1da1acfb1cd171979f11aae33107714a5b1a6d3b

    Fix style of language label in dark theme
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766532

 gitg/gitg-window.vala                  | 19 +++++++++++++++++++
 libgitg/resources/ui/libgitg-style.css |  8 ++++++--
 2 files changed, 25 insertions(+), 2 deletions(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8d3120375cda57d74ad936641b35493373385b00

    Replace deprecated deprecated vapi tag

 vapi/libsoup-2.4.vapi | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit e3dc6142ca5bb2b41f46e283859ec98af3c68ffe

    Increase row spacing in for project item details

 libgitg/resources/ui/gitg-repository-list-box-row.ui | 1 +
 1 file changed, 1 insertion(+)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit f891fc4e4371b7d1f1fcb6ea845b083196b47288

    Hide description label if there is no description

 libgitg/gitg-repository-list-box.vala | 3 +++
 1 file changed, 3 insertions(+)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 91c6010966f0ebade0f1f49963cc04d2c76d1b5b

    Add convenience debug mode for OS X

 gitg/gitg-window.vala | 11 +++++++++++
 1 file changed, 11 insertions(+)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 631043942f45453c68dc1a7eb501090ba45fa9ef

    Update VAPI with Version instead of Deprecated tag

 vapi/gtksourceview-3.0.vapi | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 78b3d44c4929b2df5cb7fde46c1d94a6de9a4b94

    Add selectable mode button tooltip
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765537

 gitg/gitg-dash-view.vala             |  5 +++++
 gitg/gitg-window.vala                | 13 ++++++++++++-
 libgitg-ext/gitg-ext-selectable.vala |  1 +
 3 files changed, 18 insertions(+), 1 deletion(-)

2016-06-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1901580c31b0d80f87acfe7067df89f93fa938a2

    Bump gtk+ dependency to 3.20

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-05-24 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1a0f7df1e97b17430f07acb508dff10ccd63b34d

    Add more dependencies

 osx/Taps/gitg/atk.rb                       |   2 +-
 osx/Taps/gitg/cairo.rb                     |  42 +--------
 osx/Taps/gitg/enchant.rb                   |  44 +++++++++
 osx/Taps/gitg/gdk-pixbuf.rb                |   2 +-
 osx/Taps/gitg/gitg.rb                      |   4 +-
 osx/Taps/gitg/glib-networking.rb           |   2 +-
 osx/Taps/gitg/glib.rb                      | 140 +++++++++++++++++++++++++++++
 osx/Taps/gitg/gnutls.rb                    |  71 +++++++++++++++
 osx/Taps/gitg/gobject-introspection.rb     |   2 +-
 osx/Taps/gitg/gsettings-desktop-schemas.rb |   2 +-
 osx/Taps/gitg/gtk+3.rb                     |  45 +---------
 osx/Taps/gitg/gtk-doc.rb                   |  31 +++++++
 osx/Taps/gitg/gtksourceview3.rb            |  83 -----------------
 osx/Taps/gitg/gtkspell3.rb                 |   2 +-
 osx/Taps/gitg/harfbuzz.rb                  |   2 +-
 osx/Taps/gitg/libcroco.rb                  |  24 +++++
 osx/Taps/gitg/libgee.rb                    |   2 +-
 osx/Taps/gitg/libgit2-glib.rb              |   8 +-
 osx/Taps/gitg/libgit2.rb                   |  59 ++++++++++++
 osx/Taps/gitg/libgsf.rb                    |  49 ++++++++++
 osx/Taps/gitg/libpeas.rb                   |  22 +----
 osx/Taps/gitg/librsvg.rb                   |   6 +-
 osx/Taps/gitg/libsecret.rb                 |   4 +-
 osx/Taps/gitg/libsoup.rb                   |   2 +
 osx/Taps/gitg/pango.rb                     |   4 +-
 osx/Taps/gitg/shared-mime-info.rb          |  38 ++++++++
 osx/Taps/gitg/vala.rb                      |  17 +---
 osx/scripts/build                          |  10 +--
 osx/scripts/shell                          |  28 +++++-
 29 files changed, 517 insertions(+), 230 deletions(-)

2016-05-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7dec3c6f6777ebcbd9f2b47f4fdee54d67153a02

    Remove brew hack

 osx/scripts/brew.rb | 76 -----------------------------------------------------
 osx/scripts/env     |  4 +--
 2 files changed, 1 insertion(+), 79 deletions(-)

2016-05-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit b28b007e1f115f85cb11a28e9b71872dfc02655c

    Update taps to latest

 osx/Taps/gitg/atk.rb                       | 4 ++--
 osx/Taps/gitg/cairo.rb                     | 6 +++---
 osx/Taps/gitg/gdk-pixbuf.rb                | 4 ++--
 osx/Taps/gitg/glib-networking.rb           | 8 ++++----
 osx/Taps/gitg/gnome-icon-theme.rb          | 4 ++--
 osx/Taps/gitg/gobject-introspection.rb     | 4 ++--
 osx/Taps/gitg/gsettings-desktop-schemas.rb | 4 ++--
 osx/Taps/gitg/gtk+3.rb                     | 4 ++--
 osx/Taps/gitg/gtksourceview3.rb            | 4 ++--
 osx/Taps/gitg/gtkspell3.rb                 | 4 ++--
 osx/Taps/gitg/harfbuzz.rb                  | 6 +++---
 osx/Taps/gitg/libgit2-glib.rb              | 4 ++--
 osx/Taps/gitg/libpeas.rb                   | 4 ++--
 osx/Taps/gitg/librsvg.rb                   | 4 ++--
 osx/Taps/gitg/libsecret.rb                 | 4 ++--
 osx/Taps/gitg/libsoup.rb                   | 6 +++---
 osx/Taps/gitg/pango.rb                     | 4 ++--
 17 files changed, 39 insertions(+), 39 deletions(-)

2016-05-30 Cédric Valmary <cvalmary@yahoo.fr>
commit 857b366a08aaa096ce9dbc9f49b644f24043abbe

    Updated Occitan translation

 po/oc.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2016-05-08 Cédric Valmary <cvalmary@yahoo.fr>
commit f053198a4725f8d6df70d272fbbe539934eca812

    Updated Occitan translation

 po/oc.po | 95 +++++++++++++++++++---------------------------------------------
 1 file changed, 28 insertions(+), 67 deletions(-)

2016-04-27 GNOME Translation Robot <gnome-sysadmin@gnome.org>
commit 2f20f2ade9f73ff2aec4f5997dd7525c2186eb24

    Updated Portuguese translation

 po/pt.po | 481 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 289 insertions(+), 192 deletions(-)

2016-04-25 Alexander Shopov <ashopov@uber.com>
commit 3c00fa84e3b65c34442dd1f54bade3b03c00af35

    Added Bulgarian translation

 po/LINGUAS |    1 +
 po/bg.po   | 1766 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1767 insertions(+)

2016-04-10 Dušan Kazik <prescott66@gmail.com>
commit 809a985c1146c751ca5a087fff6d85421ea449e9

    Updated Slovak translation

 po/sk.po | 67 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 35 insertions(+), 32 deletions(-)

2016-03-25 Ignacio Casal Quinteiro <icq@gnome.org>
commit 13f7a2c60089960021715402a5e9928e519aeedd

    Remove useless help button
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763969

 gitg/gitg-application.vala      |  5 -----
 gitg/resources/ui/gitg-menus.ui | 12 ------------
 2 files changed, 17 deletions(-)

2016-03-20 Alain Lojewski <allomervan@gmail.com>
commit 75fd4e747557b46c3a1d6adecafb6f43fb358e65

    Updated French translation

 po/fr.po | 1186 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 894 insertions(+), 292 deletions(-)

2016-03-20 Milo Casagrande <milo@ubuntu.com>
commit ed433cef4476658c2be0193ad728136c70d97df1

    Updated Italian translation

 po/it.po | 702 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 425 insertions(+), 277 deletions(-)

2016-03-20 Ignacio Casal Quinteiro <icq@gnome.org>
commit 14d20282efc7ffd6aa540b9fa3551a74ab2d34a1

    Release 3.20.0

 NEWS         | 7 +++++++
 README       | 8 ++++----
 configure.ac | 4 ++--
 3 files changed, 13 insertions(+), 6 deletions(-)

2016-03-20 Ignacio Casal Quinteiro <icq@gnome.org>
commit 5cea8844cedc9b67dd646374e3e5bb5c9ffa304c

    Bump libgit2-glib to 0.24.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-03-19 Ask Hjorth Larsen <asklarsen@gmail.com>
commit 141a39b43150bd3034356e21474f829d49b8e7da

    Updated Danish translation by scootergrisen

 po/da.po | 661 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 344 insertions(+), 317 deletions(-)

2016-03-15 Ignacio Casal Quinteiro <icq@gnome.org>
commit d55ce1608d03fcdf31cd7c5a19e28dc2535b5929

    Bump libgit2-glib to 0.23.11 and fix api break

 configure.ac             | 4 ++--
 libgitg/gitg-remote.vala | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

2016-03-13 Sebastian Rasmussen <sebras@gmail.com>
commit 27f69d874c7d6a1bb3e256d893b938570be786a7

    Updated Swedish translation

 po/sv.po | 751 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 443 insertions(+), 308 deletions(-)

2016-03-13 Jiri Grönroos <jiri.gronroos@iki.fi>
commit a5dcf63b5436ae7bb2c2ccd14b5d83fc1f43a9bd

    Updated Finnish translation

 po/fi.po | 213 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 133 insertions(+), 80 deletions(-)

2016-03-10 Marek Černocký <marek@manet.cz>
commit 47457d33fb8176e0f64a244038dd07405f6741cb

    Updated Czech translation

 po/cs.po | 64 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 36 insertions(+), 28 deletions(-)

2016-03-10 Marek Černocký <marek@manet.cz>
commit 62cd7d815c985daeac05915b55bfca6053a6cd03

    Updated Czech translation

 po/cs.po | 390 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 231 insertions(+), 159 deletions(-)

2016-03-06 Aurimas Černius <aurisc4@gmail.com>
commit 9de4ca74ad522f56152d66451b793af585c80915

    Updated Lithuanian translation

 po/lt.po | 138 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 78 insertions(+), 60 deletions(-)

2016-03-05 Matej Urbančič <mateju@svn.gnome.org>
commit 0a1b276306c621cc0467f3d79ba9102557bcbd1f

    Updated Slovenian translation

 po/sl.po | 892 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 659 insertions(+), 233 deletions(-)

2016-03-03 Seong-ho Cho <shcho@gnome.org>
commit 4e91bd91e172c1f07f452a01caa2bdf729f42a28

    Updated Korean translation

 po/ko.po | 727 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 428 insertions(+), 299 deletions(-)

2016-02-28 Cédric Valmary <cvalmary@yahoo.fr>
commit bf9d5d8fd0597c0f39e7ee80ac16705b1ac0a240

    Updated Occitan translation

 po/oc.po | 1260 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 943 insertions(+), 317 deletions(-)

2016-02-25 Fran Dieguez <fran.dieguez@mabishu.com>
commit 9efcebe03900e86c6da2a67847886639d5491e6d

    Update Galician translations
    
    Signed-off-by: Fran Dieguez <fran.dieguez@mabishu.com>

 po/gl.po | 165 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 75 insertions(+), 90 deletions(-)

2016-02-25 Tom Tryfonidis <tomtryf@gnome.org>
commit aa00c4a96adebb717fe953fc3b61dbeddd76df73

    Updated Greek translation

 po/el.po | 490 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 284 insertions(+), 206 deletions(-)

2016-02-24 Rafael Fontenelle <rffontenelle@gmail.com>
commit 195e036f3a0da37aa5b13316947721faf2955886

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1276 ++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 921 insertions(+), 355 deletions(-)

2016-02-24 Fran Dieguez <fran.dieguez@mabishu.com>
commit abd59fb6a11ccc1845e4da5aaa10c4e529c62fa3

    Update Galician translations
    
    Signed-off-by: Fran Dieguez <fran.dieguez@mabishu.com>

 po/gl.po | 1215 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 893 insertions(+), 322 deletions(-)

2016-02-20 Мирослав Николић <miroslavnikolic@rocketmail.com>
commit 5e90e1225050f20679b46cda6c54948511c6dd83

    Updated Serbian translation

 po/sr.po       |  771 ++++++++++++++++++++++-------------
 po/sr@latin.po | 1239 +++++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 1408 insertions(+), 602 deletions(-)

2016-02-16 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 36065bd56850238bd190c6d2d6c8e294706351bb

    Updated Spanish translation

 po/es.po | 47 ++++++++++++++++++++++-------------------------
 1 file changed, 22 insertions(+), 25 deletions(-)

2016-02-14 Benjamin Steinwender <b@stbe.at>
commit afcf64845707c8dd99bdca9c99711526faedf542

    Updated German translation

 po/de.po | 164 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 91 insertions(+), 73 deletions(-)

2016-02-14 Ignacio Casal Quinteiro <icq@gnome.org>
commit 10d0b62e107d2f06c9465f1f58f52c77fc930b10

    diff-stat: use set_css_name to get it renderered properly
    
    In new gtk we need to set the css name for custom widgets

 libgitg/gitg-diff-stat.vala            |  2 ++
 libgitg/resources/ui/libgitg-style.css | 54 +++++++++++++++++-----------------
 2 files changed, 29 insertions(+), 27 deletions(-)

2016-02-14 Piotr Drąg <piotrdrag@gmail.com>
commit 4059b7d9cf89c847e453e7a0f203a081fcf63d45

    Updated Polish translation

 po/pl.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

2016-02-14 Ignacio Casal Quinteiro <icq@gnome.org>
commit 28db0e299ac9e45f94a13bd0a2dcfcf182ee9bfc

    shortcuts: use primary instead of ctrl

 gitg/resources/ui/gitg-shortcuts.ui | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6ecb54ca15afb048dadb1fefc0e7ebe393c7d062

    Make commit details labels copyable with Ctrl+C

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3ca15914e5f1a53784187c379478e924c1676097

    Remove carriage returns in diff view

 libgitg/gitg-diff-view-file-renderer-text.vala | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 85d0822a5706d54c07d8f657a510c8bc1d03179a

    [osx] Update libgit2-glib version to 0.23.10

 osx/Taps/gitg/libgit2-glib.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 04c5d72f615a318c164ec845197e80ef815987b0

    [osx] Update gtk+ version to 3.19.8

 osx/Taps/gitg/gtk+3.rb | 72 +++-----------------------------------------------
 1 file changed, 3 insertions(+), 69 deletions(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 555295777643d1b02eb3b1c38192500261860fff

    [osx] Update vala dependency

 osx/Taps/gitg/gitg.rb |  2 +-
 osx/Taps/gitg/vala.rb | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 1 deletion(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit f42de0957f62201dca9ce06cd5d64418c2931cbd

    Update minimum required vala compiler version

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

2016-02-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit aa41ac052c3f6107cc2fd30153f54b4f6500c7d1

    Allow focus on diff renderer text
    
    Fixes copy using Ctrl+C

 libgitg/resources/ui/gitg-diff-view-file-renderer-text.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-02-13 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 389932522ed784de40dafe9d631ec279eadc0885

    Updated Spanish translation

 po/es.po | 34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

2016-02-13 Ignacio Casal Quinteiro <icq@gnome.org>
commit 9c917dc4696dafce03f2b2f049d32f89964eea19

    listboxrow: use baseline for the languages and the branch name

 libgitg/resources/ui/gitg-repository-list-box-row.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-02-13 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
commit 9cef99a5e95d7adf5b5ce0313319d237b6a06aec

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 1153 ++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 856 insertions(+), 297 deletions(-)

2016-02-11 Rūdolfs Mazurs <rudolfsm@src.gnome.org>
commit d1239b5c4da8e0d07b5b1ce529b80f3f025a4374

    Update Latvian translation

 po/lv.po | 181 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 81 insertions(+), 100 deletions(-)

2016-02-10 Balázs Úr <urbalazs@gmail.com>
commit 93bba7762685153e0c2a4aad2a69c8d35d886a8b

    Updated Hungarian translation

 po/hu.po | 49 +++++++++++++++++++++++++++----------------------
 1 file changed, 27 insertions(+), 22 deletions(-)

2016-02-08 Rūdolfs Mazurs <rudolfsm@src.gnome.org>
commit b8757b5328332deed3a80bfc704daa584bc7aa92

    Update Latvian translation

 po/lv.po | 1733 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 1474 insertions(+), 259 deletions(-)

2016-02-08 Ignacio Casal Quinteiro <icq@gnome.org>
commit 6ff930879ee2d78abced2614fd4bc842829c37c3

    window: put Clone and Add into a size group so they have the same size

 gitg/resources/ui/gitg-window.ui | 7 +++++++
 1 file changed, 7 insertions(+)

2016-02-08 Ignacio Casal Quinteiro <icq@gnome.org>
commit 085bb0e9442c889190483d5fd63e052ef8923c36

    window: remove ellipsis from Clone and Add buttons

 gitg/resources/ui/gitg-window.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-02-08 Ignacio Casal Quinteiro <icq@gnome.org>
commit 65949bbc69e0033feb63c19661bb1e6588020717

    dash: fix align of the frame
    
    This way the frame does not fill all the space when searching

 gitg/resources/ui/gitg-dash-view.ui | 1 +
 1 file changed, 1 insertion(+)

2016-02-08 Ignacio Casal Quinteiro <icq@gnome.org>
commit 155ec3e4bda74485e19e86dff749dbda703953a6

    Fix searching in the dash
    
    It seems this was regressed a long time ago. Fix it by removing
    the search-enabled property.

 gitg/gitg-dash-view.vala             | 16 +---------------
 gitg/history/gitg-history.vala       |  1 -
 libgitg-ext/gitg-ext-searchable.vala |  1 -
 3 files changed, 1 insertion(+), 17 deletions(-)

2016-02-07 Balázs Meskó <meskobalazs@gmail.com>
commit c48c9a2dcff75d211ebe2026ff612c615374c9a4

    Updated Hungarian translation

 po/hu.po | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

2016-02-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit b17c97335a98f17863e68bd1861548dd0ba2fd52

    Only include git.mk once

 contrib/ide/Makefile.am | 2 --
 contrib/xml/Makefile.am | 2 --
 2 files changed, 4 deletions(-)

2016-02-06 Piotr Drąg <piotrdrag@gmail.com>
commit 06e61f48c072514b00588ffb44a10ee9acfb2de7

    Updated Polish translation

 po/pl.po | 698 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 422 insertions(+), 276 deletions(-)

2016-02-06 Dušan Kazik <prescott66@gmail.com>
commit 6ebb290146d9348e1a1554eca4abf1a724772914

    Updated Slovak translation

 po/sk.po | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

2016-02-04 Ignacio Casal Quinteiro <icq@gnome.org>
commit 076e5df5b63b28257fd59bc016e5398073ce278f

    diff-view: get the selection notification from the renderer

 libgitg/gitg-diff-view.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-02-04 Ignacio Casal Quinteiro <icq@gnome.org>
commit 395711b42bd89d91c02bd8e5db403af22ba6658f

    Release 3.19.6

 NEWS         | 9 +++++++++
 README       | 8 ++++----
 configure.ac | 2 +-
 3 files changed, 14 insertions(+), 5 deletions(-)

2016-02-01 Piotr Drąg <piotrdrag@gmail.com>
commit a121cd646eff20f65a551468247c8903790fc192

    Add context to strings in the shortcut window

 gitg/resources/ui/gitg-shortcuts.ui | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

2016-02-01 Ignacio Casal Quinteiro <icq@gnome.org>
commit 6799c7c63a85ee2ac41dafd3f93a314cb7b06c4d

    Fix build

 gitg/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-01-31 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 096d86666ff7739d4dd4ed5864b889f9e840223f

    Updated Spanish translation

 po/es.po | 117 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 67 insertions(+), 50 deletions(-)

2016-01-31 Dušan Kazik <prescott66@gmail.com>
commit 72f73e372ec297dd42b62ec2cfe7bb71c38b764e

    Updated Slovak translation

 po/sk.po | 431 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 251 insertions(+), 180 deletions(-)

2016-01-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3aa366423109d50b397e26bdfd2873713817880a

    Make use of shortcuts window optional

 configure.ac               | 24 ++++++++++++++++--------
 gitg/Makefile.am           |  4 ++++
 gitg/gitg-application.vala | 17 ++++++++++++++++-
 3 files changed, 36 insertions(+), 9 deletions(-)

2016-01-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit ba2c8bebe858e87060839f5ed4d13ec80eae7fa8

    Added libxml2 dependency for osx

 osx/Taps/gitg/gitg.rb | 1 +
 1 file changed, 1 insertion(+)

2016-01-26 Balázs Meskó <meskobalazs@gmail.com>
commit 8916a89de929b4cf54f2f70549d0d176bde762f1

    Updated Hungarian translation

 po/hu.po | 421 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 247 insertions(+), 174 deletions(-)

2016-01-26 Ignacio Casal Quinteiro <icq@gnome.org>
commit 9e3b849730bdd110055826c3590a752bd863f946

    win32 intaller: only execute actions at installation time

 win32/installer/gitg.wxs | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

2016-01-26 Ignacio Casal Quinteiro <icq@gnome.org>
commit 0d9f27d31694516743b375c27d0982794c5e382c

    Release 3.19.5

 NEWS           | 12 ++++++++++++
 README         |  8 ++++----
 configure.ac   |  2 +-
 po/POTFILES.in |  1 +
 4 files changed, 18 insertions(+), 5 deletions(-)

2016-01-25 Ignacio Casal Quinteiro <icq@gnome.org>
commit 3d8d076d037e40c44b50ff5b9c9759df302fd513

    dash: move clone and add buttons to the header bar

 gitg/gitg-dash-view.vala            | 85 ++++++-------------------------------
 gitg/gitg-window.vala               | 66 ++++++++++++++++++++++++++++
 gitg/resources/ui/gitg-dash-view.ui | 34 ---------------
 gitg/resources/ui/gitg-window.ui    | 32 ++++++++++++++
 4 files changed, 112 insertions(+), 105 deletions(-)

2016-01-25 Ignacio Casal Quinteiro <icq@gnome.org>
commit dd379baf1b5fcee1e79997e6a8896d732c385e63

    dash: rename Delete to Remove
    
    For consistency and because we are not deleting the repository
    but removing it from the list

 gitg/gitg-dash-view.vala | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

2016-01-25 Richard Hughes <richard@hughsie.com>
commit 5e5e98fb1243c13c88394b356c995235f9483b2b

    Add a missing tag to the AppData file

 data/gitg.appdata.xml | 1 +
 1 file changed, 1 insertion(+)

2016-01-25 Ignacio Casal Quinteiro <icq@gnome.org>
commit 5ccd4b11fb91aa4ce40fac6379d19013b87748af

    appdata: add project group tag

 data/gitg.appdata.xml | 1 +
 1 file changed, 1 insertion(+)

2016-01-25 Ignacio Casal Quinteiro <icq@gnome.org>
commit 4612f89ad82f2fb416f2e5fc78436c81c0bd2bcb

    commit prefs: fix spin buttons sizing
    
    It seems that now we need to explicitely set how width the spin
    buttons will be

 gitg/resources/ui/gitg-preferences-commit.ui | 4 ++++
 1 file changed, 4 insertions(+)

2016-01-10 Jesse van den Kieboom <jessevdk@gnome.org>
commit 28b203e3a25e69f90ae6f0867d908eae25d16dea

    Do not hang on highlighting commit message
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=760376.

 gitg/commit/gitg-commit-dialog.vala | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

2016-01-23 Ignacio Casal Quinteiro <icq@gnome.org>
commit 0625efe752c136c63baf7cbd032c216a7969ae15

    Rework dash view
    
    This makes the dash view a bit more similar to gnome builder.
    It is still not complete on features but it gives already
    a good way to continue improving it.

 Makefile.am                                        |   3 +
 configure.ac                                       |   6 +
 contrib/ide/Makefile.am                            |  26 +
 contrib/ide/ide-doap-person.c                      | 178 ++++++
 contrib/ide/ide-doap-person.h                      |  40 ++
 contrib/ide/ide-doap.c                             | 630 +++++++++++++++++++++
 contrib/ide/ide-doap.h                             |  60 ++
 contrib/ide/ide.h                                  |  31 +
 contrib/ide/ide.vapi                               |  48 ++
 contrib/xml/Makefile.am                            |  11 +
 contrib/xml/xml-reader.c                           | 597 +++++++++++++++++++
 contrib/xml/xml-reader.h                           | 100 ++++
 gitg/resources/ui/gitg-dash-view.ui                |  27 +-
 libgitg/Makefile.am                                |   6 +-
 libgitg/gitg-repository-list-box.vala              | 189 +++----
 .../resources/ui/gitg-repository-list-box-row.ui   |  47 +-
 libgitg/resources/ui/libgitg-style.css             |   6 +
 17 files changed, 1846 insertions(+), 159 deletions(-)

2016-01-23 Ignacio Casal Quinteiro <icq@gnome.org>
commit 6ca08946d77f2ba9ca37ee58b5ed93a708c18348

    Move vapi extra dist into its own makefile

 Makefile.am      | 13 +------------
 vapi/Makefile.am | 11 +++++++++++
 2 files changed, 12 insertions(+), 12 deletions(-)

2016-01-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 4688fafbd11a6d36060aa3757957f889e4b62604

    css: use disabled instead of deprecated insensitive

 gitg/resources/ui/style.css | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-01-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 8809c20f903a9acf97f4024d4eb6b71a7d8c554c

    renderer-text: add missing transform_to_window calls

 libgitg/gitg-diff-view-file-renderer-text.vala | 2 ++
 1 file changed, 2 insertions(+)

2016-01-21 Aurimas Černius <aurisc4@gmail.com>
commit 96b7cf0df8b49b4db1caf55830e3dc6afb994678

    Updated Lithuanian translation

 po/lt.po | 373 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 213 insertions(+), 160 deletions(-)

2016-01-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit a348785408b0285b0aa693c94159983c43f2088a

    appdata: set the correct homepage and put me as update contact

 data/gitg.appdata.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-01-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit cfa9fb09ada63bc8b8a39e7b424b992c1c270877

    appdata: add license

 data/gitg.appdata.xml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2016-01-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 0ad8675acff9398637d13678ce9541456eafefc6

    appdata: add kudos

 data/gitg.appdata.xml | 5 +++++
 1 file changed, 5 insertions(+)

2016-01-19 Mario Blättermann <mario.blaettermann@gmail.com>
commit 65a36164acbad8e1e50b0cf18497d9041ef7bd00

    Updated German translation

 po/de.po | 715 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 444 insertions(+), 271 deletions(-)

2016-01-18 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 3adeba4f99f7409b0e3ade89a7d08fc6acca2e81

    Updated Spanish translation

 po/es.po | 62 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 49 insertions(+), 13 deletions(-)

2016-01-16 Piotr Drąg <piotrdrag@gmail.com>
commit 3d971ef146c4ce9ace794dfd3297d50d341cbb60

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

2016-01-16 Ignacio Casal Quinteiro <icq@gnome.org>
commit 032ffdc8d439377883a01353308f2ae24b37b6fa

    Fix comment

 gitg/gitg-application.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2016-01-16 Ignacio Casal Quinteiro <icq@gnome.org>
commit dc71185a8df3bf10dc73283a61bb6d815948a7a9

    Provide shortcuts window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757878

 gitg/gitg-application.vala           | 26 +++++++++++++-
 gitg/resources/gitg-resources.xml.in |  1 +
 gitg/resources/ui/gitg-menus.ui      | 12 +++++++
 gitg/resources/ui/gitg-shortcuts.ui  | 69 ++++++++++++++++++++++++++++++++++++
 4 files changed, 107 insertions(+), 1 deletion(-)

2016-01-14 Jiri Grönroos <jiri.gronroos@iki.fi>
commit bd7b342b74ac3854dc1826241d69199138270d49

    Updated Finnish translation

 po/fi.po | 49 ++++++++++++++++++++++---------------------------
 1 file changed, 22 insertions(+), 27 deletions(-)

2016-01-12 Jiri Grönroos <jiri.gronroos@iki.fi>
commit 3429fc36abd3e6da5ce68de9dafb6214f7b773ce

    Updated Finnish translation

 po/fi.po | 318 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 169 insertions(+), 149 deletions(-)

2016-01-12 Jakub Steiner <jimmac@gmail.com>
commit 7711a7fa74abef01d466c22bf183525154e45a94

    win32 installer: updated graphics
    
    - include the 'source' svg
    - lighten up the top banner to make black text legible
    - better whitespace treatment for the GNOME logo

 win32/installer/WixUIBannerBmp.bmp |    Bin 85962 -> 85962 bytes
 win32/installer/WixUIDialogBmp.bmp |    Bin 615402 -> 615402 bytes
 win32/installer/WixUIDialogBmp.svg | 132353 ++++++++++++++++++++++++++++++++++
 3 files changed, 132353 insertions(+)

2016-01-12 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7ba5bc30e797365f7eac579e49f50712dc041d40

    win32: update pixbuf loaders after installation

 win32/installer/gitg.wxs | 4 ++++
 1 file changed, 4 insertions(+)

2016-01-12 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7dceccac7205e5edec37ebe429970608dea0627d

    win32: minor fixes on the paths

 win32/installer/gitg.wxs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2016-01-11 Ignacio Casal Quinteiro <icq@gnome.org>
commit 3fd4e1151560c05c32e0bc8cd9dbc122044fcc98

    Fix assertion when loading a repo from the dash
    
    The repository might be null

 libgitg/gitg-diff-view-file-renderer-text.vala |  4 ++--
 libgitg/gitg-diff-view-file.vala               | 10 +++++-----
 2 files changed, 7 insertions(+), 7 deletions(-)

2016-01-11 Ignacio Casal Quinteiro <icq@gnome.org>
commit fa1b007d9e766c8fa00fa69bbe263bd365c22d81

    win32: add context menu actions
    
    Add a "Gitg Here" context menu action which opens
    the current repository if there is one.

 win32/installer/gitg.wxs | 10 ++++++++++
 1 file changed, 10 insertions(+)

2016-01-08 Daniel Mustieles <daniel.mustieles@gmail.com>
commit b7298c93ef470c491f116344562c99e36203d89f

    Updated Spanish translation

 po/es.po | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

2016-01-08 Ignacio Casal Quinteiro <icq@gnome.org>
commit 8c3f42fc8b025d7d2c462129e7620d36c1911a86

    Release 3.19.4

 NEWS         | 12 ++++++++++++
 README       |  8 ++++----
 configure.ac |  2 +-
 3 files changed, 17 insertions(+), 5 deletions(-)

2016-01-07 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 04494804ad55f1d74835c5fe6e129c7a4d09760d

    Updated Spanish translation

 po/es.po | 288 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 156 insertions(+), 132 deletions(-)

2016-01-06 Tom Tryfonidis <tomtryf@gnome.org>
commit a995532c268a0d1d2c119488f5aedcda9d7dd070

    Updated Greek translation

 po/el.po | 1127 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 833 insertions(+), 294 deletions(-)

2016-01-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 68a9c4bd3e9d2796d9a88cb552255adc1e991dc6

    Add missing cairo includes
    
    Bug https://bugzilla.gnome.org/show_bug.cgi?id=760173.

 libgitg/gitg-platform-support.c | 3 +++
 1 file changed, 3 insertions(+)

2016-01-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit f291802654629729d3ec5905c174055ff24df091

    Sepearate out diff renderer types

 libgitg/Makefile.am                                |   3 +
 libgitg/gitg-diff-selectable.vala                  |  28 +
 libgitg/gitg-diff-view-file-renderer-text.vala     | 674 +++++++++++++++++++++
 libgitg/gitg-diff-view-file-renderer.vala          |  25 +
 libgitg/gitg-diff-view-file.vala                   | 663 ++------------------
 libgitg/gitg-diff-view.vala                        |  30 +-
 libgitg/resources/resources.xml                    |   1 +
 .../ui/gitg-diff-view-file-renderer-text.ui        |  23 +
 libgitg/resources/ui/gitg-diff-view-file.ui        |  22 +-
 libgitg/resources/ui/libgitg-style.css             |   4 +-
 10 files changed, 821 insertions(+), 652 deletions(-)

2016-01-03 Jesse van den Kieboom <jessevdk@gnome.org>
commit e013c2a9a7e3c9b32c0bfe0cd5b747164364327c

    Show untracked content

 libgitg/gitg-stage.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2016-01-03 Jesse van den Kieboom <jessevdk@gnome.org>
commit a8eda0f3122f184ef290cc16a1612e6a390b5281

    Add diff highlight preference

 data/org.gnome.gitg.gschema.xml.in.in            |   8 +
 gitg/Makefile.am                                 |   1 -
 gitg/commit/gitg-commit.vala                     |  14 +-
 gitg/preferences/gitg-preferences-dialog.vala    |   1 -
 gitg/preferences/gitg-preferences-diff.vala      | 104 ------------
 gitg/preferences/gitg-preferences-interface.vala |   8 +
 gitg/resources/gitg-resources.xml.in             |   1 -
 gitg/resources/ui/gitg-preferences-diff.ui       | 192 -----------------------
 gitg/resources/ui/gitg-preferences-interface.ui  |  44 ++++++
 libgitg/gitg-diff-view.vala                      |   3 +
 plugins/diff/gitg-diff.vala                      |  23 ++-
 po/POTFILES.in                                   |   2 -
 po/POTFILES.skip                                 |   1 -
 13 files changed, 82 insertions(+), 320 deletions(-)

commit 0573e0756b601710e370d010a978e880167521b5
Merge: b5efd19 d578ad0
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:   2015-12-31

    Merge branch 'highlighting'

2015-12-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit b5efd190704b38e7485998aa5bc5a896e18f5ebd

    Preserve expanded state when reloading diff

 libgitg/gitg-diff-view.vala | 55 +++++++++++++++++++++++++++++++++------------
 1 file changed, 41 insertions(+), 14 deletions(-)

2015-12-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit d65f02532f9ddac41a4f4963d9766b8cffae8951

    Add diff preferences

 gitg/Makefile.am                              |   1 +
 gitg/preferences/gitg-preferences-dialog.vala |   1 +
 gitg/preferences/gitg-preferences-diff.vala   | 104 ++++++++++++++
 gitg/resources/gitg-resources.xml.in          |   2 +-
 gitg/resources/ui/gitg-preferences-diff.ui    | 192 ++++++++++++++++++++++++++
 po/POTFILES.in                                |   2 +
 po/POTFILES.skip                              |   1 +
 7 files changed, 302 insertions(+), 1 deletion(-)

2015-12-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit f490f980a41ca181b706db41a4afe2c786195a77

    Delay populating recent info until dash is shown

 gitg/gitg-dash-view.vala              |  7 +++++++
 libgitg/gitg-repository-list-box.vala | 12 +++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

2015-12-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 67e5877849a4808b0436717f94caba42a755c4ac

    Avoid disconnecting signal during handlers destroy

 libgitg/gitg-when-mapped.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2015-12-31 Piotr Drąg <piotrdrag@gmail.com>
commit a4da654d9959b2a04fb363f223b4dd86f2a2d969

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit c8d8a0ef8c33daca6550b2aa67030a80fad1cc21

    Add revealer with diff options

 libgitg/gitg-diff-view-file.vala                   |   2 +-
 libgitg/gitg-diff-view-options.vala                | 261 +++++++++++++--------
 libgitg/gitg-diff-view.vala                        | 109 ++++++---
 libgitg/resources/resources.xml                    |   1 +
 .../resources/ui/gitg-diff-view-options-spacing.ui |  95 ++++++++
 libgitg/resources/ui/gitg-diff-view-options.ui     | 179 ++++----------
 libgitg/resources/ui/gitg-diff-view.ui             |  45 +++-
 libgitg/resources/ui/libgitg-style.css             |   9 +
 plugins/diff/gitg-diff.vala                        |   6 +-
 9 files changed, 433 insertions(+), 274 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit e17a3c58f4b7d9e38750f4a676a79d9b489676a9

    Only add recent info when mapped

 libgitg/gitg-repository-list-box.vala | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit d96671ddb5a602d0583a9623d96bbae37afb4e60

    Disconnect mapped signal in handler

 libgitg/gitg-when-mapped.vala | 1 +
 1 file changed, 1 insertion(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8e59c7899864412aa08784dfa4a8a877ec59d20f

    Add make-dmg script

 osx/data/Gitg-template.dmg.xz | Bin 0 -> 1827404 bytes
 osx/scripts/make-dmg          |  73 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit ec0584a2a3ace4cb39984d31f37b0b5886b5e0b0

    Cleanup make-bundle

 osx/scripts/make-bundle | 15 ---------------
 1 file changed, 15 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6f11d7ef4f274c17770bfe53790c4bedd5472b9a

    Copy hicolor icon theme

 osx/bundle.json.in | 1 +
 1 file changed, 1 insertion(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 898d0f68c8243e9d42957e62b671dee198f19aac

    Copy gitg schema

 osx/bundle.json.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 041e0786aef434d0bebb1efe717bd62c8e6608ab

    Fix use of NSURLConnection

 libgitg/gitg-platform-support-osx.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6e168a1c87fab5a3d144ea4c1dda9036907e1b8b

    Add shell script

 osx/scripts/brew.rb | 18 ++++++++++++++++++
 osx/scripts/shell   |  7 +++++++
 2 files changed, 25 insertions(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit f9ba8d8c77c97cee5f9e76296f10be1b08ce6037

    Enable vala support for libgit2-glib

 osx/Taps/gitg/gitg.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6947c2a426663ac83ddbaa5c836e0f856390447d

    Update libgit2-glib version

 osx/Taps/gitg/libgit2-glib.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit cc5f945e7988bd4fa75af241989642132709fa0b

    Add vala dependency

 osx/Taps/gitg/gitg.rb | 1 +
 1 file changed, 1 insertion(+)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 524f6d27db0d56e73bd954d7e4148c914b2687ad

    Use NSURLConnection instead of NSURLSessionDataTask

 libgitg/gitg-platform-support-osx.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9548cc939e0dae4f21e800f858e7ff33612281d3

    Export in env

 osx/scripts/build | 7 +------
 osx/scripts/env   | 9 +++++++++
 osx/scripts/lbrew | 4 ----
 3 files changed, 10 insertions(+), 10 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1e956f3d147421ec40b8070d24eda125032a7ade

    Fetch gitg from https

 osx/Taps/gitg/gitg.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 873e94b528f8c2e3214b2bde570f7d6879ce57c9

    Allow specifying additional install arguments

 osx/scripts/build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit eb6f1f1d3dc6656f592d1af5b55f71fbcfdc5732

    Change suffix to version

 osx/scripts/env | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit fbfd9ecbdcbfcaad549b0a8fc6d13bcdecbd04c2

    Fix gitg formula

 osx/Taps/gitg/gitg.rb | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

2015-12-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 75aeb293f81332dc371e725fd51feb41a6eeb455

    Add tools to build on OS X

 osx/Taps/gitg/atk.rb                       |  50 +++++++
 osx/Taps/gitg/cairo.rb                     | 118 +++++++++++++++
 osx/Taps/gitg/gdk-pixbuf.rb                |  61 ++++++++
 osx/Taps/gitg/gitg.rb                      |  45 ++++++
 osx/Taps/gitg/glib-networking.rb           |  64 +++++++++
 osx/Taps/gitg/gnome-icon-theme.rb          |  29 ++++
 osx/Taps/gitg/gobject-introspection.rb     |  44 ++++++
 osx/Taps/gitg/gsettings-desktop-schemas.rb |  39 +++++
 osx/Taps/gitg/gtk+3.rb                     | 221 +++++++++++++++++++++++++++++
 osx/Taps/gitg/gtksourceview3.rb            | 169 ++++++++++++++++++++++
 osx/Taps/gitg/gtkspell3.rb                 |  86 +++++++++++
 osx/Taps/gitg/harfbuzz.rb                  |  55 +++++++
 osx/Taps/gitg/libgee.rb                    |  53 +++++++
 osx/Taps/gitg/libgit2-glib.rb              |  48 +++++++
 osx/Taps/gitg/libpeas.rb                   |  85 +++++++++++
 osx/Taps/gitg/librsvg.rb                   |  91 ++++++++++++
 osx/Taps/gitg/libsecret.rb                 |  73 ++++++++++
 osx/Taps/gitg/libsoup.rb                   |  65 +++++++++
 osx/Taps/gitg/pango.rb                     | 101 +++++++++++++
 osx/data/Gitg.icns                         | Bin 0 -> 405670 bytes
 osx/data/Gitg.iconset/icon_128x128.png     | Bin 0 -> 8171 bytes
 osx/data/Gitg.iconset/icon_128x128@2x.png  | Bin 0 -> 20169 bytes
 osx/data/Gitg.iconset/icon_16x16.png       | Bin 0 -> 943 bytes
 osx/data/Gitg.iconset/icon_16x16@2x.png    | Bin 0 -> 2061 bytes
 osx/data/Gitg.iconset/icon_256x256.png     | Bin 0 -> 20169 bytes
 osx/data/Gitg.iconset/icon_256x256@2x.png  | Bin 0 -> 41218 bytes
 osx/data/Gitg.iconset/icon_32x32.png       | Bin 0 -> 2061 bytes
 osx/data/Gitg.iconset/icon_32x32@2x.png    | Bin 0 -> 3763 bytes
 osx/data/Gitg.iconset/icon_512x512.png     | Bin 0 -> 41218 bytes
 osx/data/Gitg.iconset/icon_512x512@2x.png  | Bin 0 -> 104827 bytes
 osx/data/Gitg.iconset/icon_64x64.png       | Bin 0 -> 3763 bytes
 osx/data/Gitg.iconset/icon_64x64@2x.png    | Bin 0 -> 8171 bytes
 osx/scripts/brew.rb                        |  58 ++++++++
 osx/scripts/build                          |  37 +++++
 osx/scripts/env                            |  12 ++
 osx/scripts/lbrew                          |   9 ++
 36 files changed, 1613 insertions(+)

2015-12-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit f092260755063651643ba63671d70f249c86c539

    Improve bundle

 osx/bundle.json.in      | 47 ++++++++++++++++++++++++++++++++++++++++--
 osx/scripts/launcher    |  4 ++--
 osx/scripts/make-bundle | 55 +++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 100 insertions(+), 6 deletions(-)

2015-12-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit 71a22144b2805df610370171c328f55b10f527bc

    Fix os x platform paths

 libgitg/gitg-platform-support-osx.c | 207 ++++++++++++++++++++++--------------
 1 file changed, 130 insertions(+), 77 deletions(-)

2015-12-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit 881b67c6241b6dcaa3772477b0774b9195f5b2d1

    Bind text domain using Dirs

 gitg/gitg.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-29 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1ac57cec3ec0b340cb3df24a22c59e1e2b9d32fe

    Use https to get avatars

 libgitg/gitg-avatar-cache.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-25 Marek Černocký <marek@manet.cz>
commit cd06c0d9295b2dffadb20cd1eb9f6f28174c9d7d

    Updated Czech translation

 po/cs.po | 41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

2015-12-24 Jesse van den Kieboom <jessevdk@gnome.org>
commit 393e7c04d9943520769fcc4bfaa037da236a6cfe

    Add initial OS X app bundle generator

 configure.ac            |   1 +
 osx/.gitignore          |   1 +
 osx/bundle.json.in      |  22 ++++
 osx/data/Info.plist     |  36 ++++++
 osx/scripts/launcher    |  65 +++++++++++
 osx/scripts/make-bundle | 290 ++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 415 insertions(+)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit c2282eb13ef80bcf4c4b90a8f064bdc42270639b

    Adjust expander margins

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit 4ea660ac1bbf4c9048945170e9389fdffd7e0752

    Tidy up the commit details

 libgitg/gitg-diff-view-commit-details.vala         | 33 ++++++++++++-----
 .../resources/ui/gitg-diff-view-commit-details.ui  | 42 +++++++++++++---------
 2 files changed, 51 insertions(+), 24 deletions(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit e7c04a1b944d33a89321c607a65926287f182263

    Remove libgd

 .gitmodules                                             |  3 ---
 Makefile.am                                             |  4 ++--
 configure.ac                                            | 13 +------------
 gitg/Makefile.am                                        |  5 -----
 gitg/gitg-window.vala                                   |  5 ++++-
 gitg/gitg.vala                                          |  3 ---
 gitg/history/gitg-history-paned.vala                    |  9 ---------
 gitg/resources/ui/gitg-commit-submodule-history-view.ui |  6 +++---
 gitg/resources/ui/gitg-history-paned.ui                 |  4 ++--
 gitg/resources/ui/gitg-window.ui                        |  4 +---
 libgd                                                   |  1 -
 po/POTFILES.skip                                        |  2 --
 12 files changed, 13 insertions(+), 46 deletions(-)

2015-12-23 Ignacio Casal Quinteiro <icq@gnome.org>
commit 82337a0bd09cb63fdd61df90482aef5494be5846

    Add missing includes
    
    This happens for developing on linux something that is for windows

 libgitg/gitg-platform-support-win32.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

2015-12-23 Ignacio Casal Quinteiro <icq@gnome.org>
commit 2f4a610f4a072b4db7e9924382defccaf032f796

    Release 3.19.3

 NEWS         | 13 +++++++++++++
 README       |  8 ++++----
 configure.ac |  2 +-
 3 files changed, 18 insertions(+), 5 deletions(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit d578ad0b25fcef78aa70064dca62cf70f33b9222

    Do not print cancelled errors

 libgitg/gitg-diff-view-file.vala | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit bf5f37bc911089ec891a5de9bb46de44d05b56b7

    Remove unnecessary error printing

 gitg/commit/gitg-commit-dialog.vala | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit 14debb7729cf3db2ef433821e64e03e2e493982d

    Remove debug statement

 plugins/diff/gitg-diff.vala | 4 ----
 1 file changed, 4 deletions(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit a0dcca6257cbc1b6f544fed2407382f6b4ded404

    Read highlighting from workdir when diffing against workdir

 gitg/commit/gitg-commit.vala     |  3 ++
 libgitg/gitg-diff-view-file.vala | 86 +++++++++++++++++++++++-----------------
 libgitg/gitg-diff-view.vala      |  3 +-
 3 files changed, 54 insertions(+), 38 deletions(-)

2015-12-23 Jesse van den Kieboom <jessevdk@gnome.org>
commit 01b6823414c0ac677cc99a5f75f66f8080a38142

    Enable experimental diff highlightingo

 gitg/commit/gitg-commit.vala     |   1 +
 libgitg/gitg-diff-view-file.vala | 324 ++++++++++++++++++++++++++++++++++++---
 libgitg/gitg-diff-view.vala      |   4 +-
 plugins/diff/gitg-diff.vala      |   3 +
 4 files changed, 309 insertions(+), 23 deletions(-)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit f68ce19609d941800aa36f4ebbef99aed5014405

    Increase spacing between author and date

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 2 ++
 1 file changed, 2 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1daf01a93b3cd6df96efa45132a9f86d03d42b26

    Dim default avatar image

 libgitg/gitg-diff-view-commit-details.vala | 3 +++
 1 file changed, 3 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit f3b039e4d09ddef32f572739220961f6ba53fd7d

    Cleanup properties

 libgitg/gitg-diff-view.vala | 74 +++++++++++++--------------------------------
 1 file changed, 21 insertions(+), 53 deletions(-)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 243d8261c13738bd3dd48a8f4b13e013a8620337

    Add windows installer

 Makefile.am                        |   1 +
 win32/Makefile.am                  |  10 +
 win32/README                       |   9 +
 win32/installer/COPYING.rtf        | 363 +++++++++++++++++++++++++++++++++++++
 win32/installer/WixUIBannerBmp.bmp | Bin 0 -> 85962 bytes
 win32/installer/WixUIDialogBmp.bmp | Bin 0 -> 615402 bytes
 win32/installer/defines.wxi        |  14 ++
 win32/installer/gitg.wxs           |  77 ++++++++
 win32/make-installer               | 178 ++++++++++++++++++
 win32/make-installer.bat           |   9 +
 10 files changed, 661 insertions(+)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit ac634e88a4735f690525f3cf60a9da0a3095ee73

    win32: Add ico resource to the final binary

 configure.ac                    |   1 +
 gitg/Makefile.am                |   9 ++++++++-
 gitg/gitg.rc                    |   1 +
 gitg/resources/pixmaps/gitg.ico | Bin 0 -> 293950 bytes
 4 files changed, 10 insertions(+), 1 deletion(-)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7e6ef1ee1cc7d5035a9a903759b95ebfb4d88a0c

    Compile with -mwindows flag on windows

 configure.ac     | 13 +++++++++++++
 gitg/Makefile.am |  4 ++++
 2 files changed, 17 insertions(+)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit e46658768b36ccd9a721751cd4e80404d7fdec8e

    Add application_support_prepare_startup
    
    This is implemented on windows to deal with the console output
    of the application

 gitg/gitg-application.vala            |  2 ++
 libgitg/gitg-platform-support-osx.c   |  5 +++++
 libgitg/gitg-platform-support-win32.c | 27 +++++++++++++++++++++++++++
 libgitg/gitg-platform-support.c       |  5 +++++
 libgitg/gitg-platform-support.h       |  2 ++
 vapi/gitg-platform-support.vapi       |  1 +
 6 files changed, 42 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit b66244da7e238d29af8a837e81462597e3bed886

    Get commit template from workdir if path is relative

 gitg/commit/gitg-commit-dialog.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit d3cffab88196b8949907dc1f333e595d87b588b1

    Override default commit message when amending

 gitg/commit/gitg-commit-dialog.vala | 13 +++++++++++--
 gitg/commit/gitg-commit.vala        |  2 +-
 2 files changed, 12 insertions(+), 3 deletions(-)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 40808feda59e6c930fcb275940279a967f73438a

    Add support for commit.template config setting

 gitg/commit/gitg-commit-dialog.vala | 35 ++++++++++++++++++++++++++++++++---
 gitg/commit/gitg-commit.vala        |  2 +-
 2 files changed, 33 insertions(+), 4 deletions(-)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0b774ca3813f5d3422293b077cbc6a2a2b25cd2c

    Add expand_home_dir utility

 libgitg/gitg-utils.vala | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit a4346312723cec01577a7b2e92e4487f44860fa6

    Add Gitg.Convert utility

 gitg/Makefile.am       |   1 +
 gitg/gitg-convert.vala | 138 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

2015-12-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit a0d448304ddd2165c8cce79985b32a17b36e98f8

    Add platform support for getting user home directory

 libgitg/gitg-platform-support-osx.c   | 28 ++++++++++++++++++++++++++++
 libgitg/gitg-platform-support-win32.c |  7 +++++++
 libgitg/gitg-platform-support.c       | 28 ++++++++++++++++++++++++++++
 libgitg/gitg-platform-support.h       |  2 ++
 vapi/gitg-platform-support.vapi       |  1 +
 5 files changed, 66 insertions(+)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 5f6098268607dde9b6a1c1a66e137c25e7f4b10c

    Update libgd

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit 5dd67afcd6be05affab1023c6097b14da2ed91bd

    Release 3.19.2

 NEWS         | 12 ++++++++++++
 README       |  6 +++---
 configure.ac |  2 +-
 3 files changed, 16 insertions(+), 4 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7d6524c0114504986503a903a16b2fe1616edd9e

    Do not color removed/added when nothing removed and nothing added

 libgitg/gitg-diff-stat.vala | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit 377563a2adf2efeebbf5b8b9d8df6d4586c0039a

    Check also for GTK_THEME to determine dark theme

 libgitg/gitg-diff-view-file.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit df2c6cdcf8c55e3e819809a8bc25129888a7a023

    Fix dark style of diff-stat widget

 libgitg/gitg-diff-stat.vala            | 14 ++++++++++++++
 libgitg/resources/ui/libgitg-style.css | 10 ++++++++++
 2 files changed, 24 insertions(+)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit dd607d80072d83d877bc0ab7cbb1254b83a48429

    Fix selectable button visibilities

 gitg/gitg-window.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit 09bd9b05ee53befbd8aa35fba833c871b541e944

    Fix setting title when using native controls

 gitg/gitg-window.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2f4fbc73a7ffa495a3fe178fedc56a92962e8d61

    Add platform specific styles

 configure.ac                                              |  4 ++++
 gitg/Makefile.am                                          |  7 ++++++-
 gitg/gitg-application.vala                                | 15 ++++++++++-----
 .../{gitg-resources.xml => gitg-resources.xml.in}         |  1 +
 gitg/resources/ui/style-osx.css                           |  3 +++
 gitg/resources/ui/style-unix.css                          |  0
 gitg/resources/ui/style-win32.css                         |  0
 vapi/config.vapi                                          |  1 +
 8 files changed, 25 insertions(+), 6 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 9d10e02a538dc6ed0be006301a96cb08be16715d

    window: fix title
    
    Ensure we first set the title and then the headerbar title since
    setting the title will also set the headerbar title

 gitg/gitg-window.vala | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 4d069fa7a1219475095106f67a9f7e02ed2b9113

    Search for the icons on the right dir

 gitg/gitg-application.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit ffb1622e5aa52fe1eef1220a7424ff59d5d20643

    Add platform support methods to get the right dirs

 gitg/gitg-dirs.vala                   |  6 +++---
 libgitg/gitg-platform-support-osx.c   | 23 +++++++++++++++++++++
 libgitg/gitg-platform-support-win32.c | 39 +++++++++++++++++++++++++++++++++++
 libgitg/gitg-platform-support.c       | 22 ++++++++++++++++++++
 libgitg/gitg-platform-support.h       |  6 ++++++
 vapi/gitg-platform-support.vapi       |  4 ++++
 6 files changed, 97 insertions(+), 3 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 4fc83c3a13fabe69558623ffca397e7c2f41158d

    Add a platform support method to get a stream from a fd

 libgitg/gitg-hook.vala                | 6 +-----
 libgitg/gitg-platform-support-osx.c   | 8 ++++++++
 libgitg/gitg-platform-support-win32.c | 9 +++++++++
 libgitg/gitg-platform-support.c       | 9 +++++++++
 libgitg/gitg-platform-support.h       | 3 +++
 vapi/gitg-platform-support.vapi       | 2 ++
 6 files changed, 32 insertions(+), 5 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 740dcedf2422cf027ab62666a9e7760740cc4660

    configure: pass -no-undefined to plugins

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 2ca8c5d3dc76e7c68f50ad2c2e1e59c2b4b66783

    Add win32 platform support code

 configure.ac                          |  1 +
 libgitg/Makefile.am                   |  5 +++-
 libgitg/gitg-platform-support-win32.c | 55 +++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit db3b9cb7c58998e6052580a3657bb0f5f7e333ad

    configure: avoid duplicated check

 configure.ac | 25 ++++++-------------------
 1 file changed, 6 insertions(+), 19 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit b3608762e4ca2401fc55a8ddb08b6ddb8c298059

    Add gio-windows vapi

 Makefile.am               |  3 ++-
 vapi/gio-windows-2.0.vapi | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit c2b23230f4e76adc65c3c2522aadff42383f4e35

    Add gitg-platform-support.vapi to extra dist

 Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 85d97c080e61bab9aa3c34f46229ea24743a690f

    gio-windows-2.0 is the new name for the module

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 1b866df1e7c3375c8aa46007ffd29e99adf97f9f

    Remove duplicated file

 libgitg-1.0.pc.in | 11 -----------
 1 file changed, 11 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 3cd321d46b172cb7322741ac37ed281318605758

    Use the right gio-unix or gio-win32 depending on the platform

 configure.ac                      | 39 ++++++++++++++++++++++-----------------
 libgitg-1.0.pc.in                 |  2 +-
 libgitg-ext/libgitg-ext-1.0.pc.in |  2 +-
 libgitg/Makefile.am               |  2 +-
 libgitg/gitg-hook.vala            |  4 ++++
 libgitg/libgitg-1.0.pc.in         |  2 +-
 6 files changed, 30 insertions(+), 21 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit c415a0982c51e7391870341de52b95d0fd3f0d85

    Render gutter separators externally to fill all expanded area

 libgitg/gitg-diff-view-file.vala           | 28 ++++++++++++++++++++++++++++
 libgitg/gitg-diff-view-lines-renderer.vala | 30 ------------------------------
 libgitg/resources/ui/libgitg-style.css     |  7 ++-----
 3 files changed, 30 insertions(+), 35 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit c5ce8ba7a21986a133b5e7e5ea149c463c87a3e6

    Expand last diff view to fill parent

 libgitg/gitg-diff-view-file.vala | 4 ++++
 libgitg/gitg-diff-view.vala      | 9 ++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit ff7c2bbc790dd708227744a4a10c30fcfd1371c3

    Release 3.19.1

 NEWS         | 10 ++++++++++
 README       |  8 ++++----
 configure.ac |  2 +-
 3 files changed, 15 insertions(+), 5 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 5fd0130d0628df06c7607c3c3b2f50ff3cfd2a8a

    Fix distcheck

 Makefile.am      | 1 -
 po/POTFILES.skip | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 637207e543c200bfedcec3e417e45dc2158482da

    css: focus-padding is deprecated and should not be used anymore

 gitg/resources/ui/style.css | 1 -
 1 file changed, 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit c1c862b907d0f5c18031c9593079b672c6779b32

    sidebar: fixes for new gtk to avoid style context warnings

 libgitg/gitg-sidebar.vala | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit e25ecbc82e990d0c9830f0be27b7a277b51edefa

    Color were swapped on the dark theme

 libgitg/gitg-diff-view-file.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 29df9f6a156eee74182384e27eee61fb6cf80f56

    Show hunk on the gutter using dots

 libgitg/gitg-diff-view-lines-renderer.vala | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

2015-12-21 Ignacio Casal Quinteiro <icq@gnome.org>
commit 227a60e185e592822c2d1537bc25fedff996d47a

    Make the hunk color like github's one and improve dark version

 libgitg/gitg-diff-view-file.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit e05d6b67bf08e9422eb9545c7b4d8bb96d0daa70

    Fix updating selection when crossing up

 libgitg/gitg-diff-view-file-selectable.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-21 Jesse van den Kieboom <jessevdk@gnome.org>
commit 4192eb5f8ccd86ac5d758e2976593f94747a7949

    Update selection on enter/leave events

 libgitg/gitg-diff-view-file-selectable.vala | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit aad2027ceb68b539f03c21b199face36ced6c5b6

    Implement generating patchset from selection

 gitg/commit/gitg-commit.vala                |  4 +-
 libgitg/gitg-diff-view-file-selectable.vala | 20 +++++++
 libgitg/gitg-diff-view-file.vala            | 88 ++++++++++++++++++++++++++++-
 libgitg/gitg-diff-view.vala                 | 20 ++++++-
 4 files changed, 126 insertions(+), 6 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8eb368de9e27cd1b878ddb018999b1ec49ce9c07

    Remove unneeded selection style overrides

 libgitg/gitg-diff-view-file-selectable.vala | 2 --
 libgitg/resources/ui/libgitg-style.css      | 5 -----
 2 files changed, 7 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 146900b2bcf596ffe68a39b8ac080deef260411a

    Do not move to next line if already at line end

 libgitg/gitg-diff-view-file-selectable.vala | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 17c3d47e0bb8db0965d5e7f776fc71c33fe73d96

    Fix getting iter at location

 libgitg/gitg-diff-view-file-selectable.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-20 Ignacio Casal Quinteiro <icq@gnome.org>
commit b801f79ee002dae64d3d964456dc04f471f998b6

    Fix crash if the cursor surface is null

 libgitg/gitg-platform-support.c | 5 +++++
 1 file changed, 5 insertions(+)

2015-12-20 Ignacio Casal Quinteiro <icq@gnome.org>
commit bd32f7cbead2e6b8f613c680a1321f9c0cd08ebe

    Fix build

 libgitg/gitg-platform-support.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit fe148bac39115339c321b7f70294ffd1237b0e00

    Do not auto-unexpand diff in diff only mode

 libgitg/gitg-diff-view.vala | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 36d63f18891b1ad224ee1b5b615a8ba30b8fc440

    Implement hunk select/deselect

 libgitg/gitg-diff-view-file-selectable.vala | 32 +++++++++++++++++++++++++----
 vapi/gtksourceview-3.0.vapi                 |  4 ++--
 2 files changed, 30 insertions(+), 6 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 4a8c1fa02cc44939a8e80da0379c683762eea39c

    Remove unused state monitoring

 libgitg/gitg-diff-view-file-selectable.vala | 16 ----------------
 1 file changed, 16 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 98e49eb09e2749d0e80b257141ca88edd0ce65dd

    Rework diff selection for improved rubber banding
    
    This changes the behavior to selection being always additive, unless
    pressing alt (mod1).

 libgitg/Makefile.am                         |   2 +-
 libgitg/gitg-diff-view-file-selectable.vala | 349 ++++++++++++++++++++--------
 libgitg/gitg-platform-support-osx.c         |  74 ++++++
 libgitg/gitg-platform-support.c             |  40 ++++
 libgitg/gitg-platform-support.h             |   8 +
 vapi/gitg-platform-support.vapi             |   7 +
 6 files changed, 386 insertions(+), 94 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 739302b38061427f9ee50d19df01f7eca74364d0

    Move diff selection handling into separate file

 libgitg/Makefile.am                         |   1 +
 libgitg/gitg-diff-view-file-selectable.vala | 351 ++++++++++++++++++++++++++++
 libgitg/gitg-diff-view-file.vala            | 326 +-------------------------
 3 files changed, 363 insertions(+), 315 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2d09ac2cf05f1c85bdc767e432ed5f4f6cb6c600

    Only update selection attributes/tag when handle_selection

 libgitg/gitg-diff-view-file.vala | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 1c4ea3543e2e327f7adf71df3f18cee6f593068b

    Use theme bg/fg colors for selection

 libgitg/gitg-diff-view-file.vala | 51 +++++++++++++++++++++++++++++++++-------
 1 file changed, 42 insertions(+), 9 deletions(-)

2015-12-20 Ignacio Casal Quinteiro <icq@gnome.org>
commit 59c2de304443552b40d1a01f3fd04dbd8452b2a7

    lines-renderer: use a list instead of a map
    
    The map was actually useless here since were were iterating either
    the values or the keys

 libgitg/gitg-diff-view-lines-renderer.vala | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

2015-12-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2f3740d1677c6770711c080a01523e8ca4cd6a35

    Fix diff view styles

 libgitg/resources/ui/libgitg-style.css | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit 1e78dab056a0e694bbf3558d588dcc7ef5233f5d

    Add missing copyright and modeline

 libgitg/gitg-platform-support-osx.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit 2fe0726b4c7308d4f14990538b88948a03bf7c49

    Fix build

 libgitg/gitg-platform-support.c | 23 ++++++++++++++++++++++-
 libgitg/gitg-platform-support.h | 21 +++++++++++++++++++++
 2 files changed, 43 insertions(+), 1 deletion(-)

2015-12-19 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7c563465d9fbce67b2b3a2e8e435bf4d9194c4a6

    Add avatar support on OS X

 configure.ac                        | 19 +++++++++++
 libgitg/Makefile.am                 | 14 ++++++--
 libgitg/gitg-avatar-cache.vala      |  2 +-
 libgitg/gitg-platform-support-osx.c | 67 +++++++++++++++++++++++++++++++++++++
 libgitg/gitg-platform-support.c     | 29 +++++++++-------
 libgitg/gitg-platform-support.h     |  8 +++++
 vapi/gitg-platform-support.vapi     |  1 +
 7 files changed, 123 insertions(+), 17 deletions(-)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit 0e4057e95f982b0092555fda62b426322f2ac007

    diff-view-file: fix the mark position

 libgitg/gitg-diff-view-file.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit 0734a48c3529577e2214af3bebda52284ed06004

    Fix lines renderer ranges

 libgitg/gitg-diff-view-file.vala           | 8 +++++---
 libgitg/gitg-diff-view-lines-renderer.vala | 2 +-
 2 files changed, 6 insertions(+), 4 deletions(-)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit a242b544660617ddbd7c05ecbc8480edd8207779

    diff-view-file: restore the diff statistics

 libgitg/gitg-diff-view-file.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit d59b6b70e0dd6f0ee3a0074f37605908f620c191

    diff-view-lines-renderer: fix size calculation

 libgitg/gitg-diff-view-lines-renderer.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2015-12-19 Ignacio Casal Quinteiro <icq@gnome.org>
commit dec5aed9f790fe960166cbc14427028af5435ee0

    diff-view-file: show a hand when hovering a hunk

 libgitg/gitg-diff-view-file.vala | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

2015-12-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7cfd5a21e83295fc59865d1a41bc38554ec31c33

    Have one single source view for all the hunks

 libgitg/Makefile.am                         |   1 -
 libgitg/gitg-diff-view-file.vala            | 441 ++++++++++++++++++++--
 libgitg/gitg-diff-view-hunk.vala            | 542 ----------------------------
 libgitg/gitg-diff-view-lines-renderer.vala  | 172 +++++----
 libgitg/resources/resources.xml             |   1 -
 libgitg/resources/ui/gitg-diff-view-file.ui |  17 +-
 libgitg/resources/ui/gitg-diff-view-hunk.ui |  36 --
 7 files changed, 528 insertions(+), 682 deletions(-)

2015-12-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit 2f636af5a291376ba076861dbff62b2d4b8b0db7

    diff-view: propagate has-selection from the diff view files

 libgitg/gitg-diff-view.vala | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

2015-12-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit 888db44f1e1e7298e2d9bb5a524411a139c64134

    diff-view-file: propagate has-selection property

 libgitg/gitg-diff-view-file.vala | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

2015-12-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit dcf6367148b8135c70633eaa53252d88b8302e5e

    diff-view-hunk: add property to know if there is a selection

 libgitg/gitg-diff-view-hunk.vala | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

2015-12-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit 6eb157f4e793d3c7216b09eaaf3b61db96d5a16d

    Minor style fix

 libgitg/gitg-diff-view-hunk.vala | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

2015-12-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit 65e3fd2e1c2833293844353fe71d3425a2e10a0a

    Set normal cursor on diff with handles_selection

 libgitg/gitg-diff-view-hunk.vala | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

2015-12-17 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2e580e7857bde3a9bd10cf3d54e361a3d51b3140

    Hide normal selection when handle_selection is true

 libgitg/gitg-diff-view-hunk.vala       | 2 ++
 libgitg/resources/ui/libgitg-style.css | 5 +++++
 2 files changed, 7 insertions(+)

2015-12-17 Ignacio Casal Quinteiro <icq@gnome.org>
commit f015cd292b23a75324b20873a2a1ec6a820c779c

    window: add titlebar style to headerbar if not using native controls

 gitg/gitg-window.vala | 1 +
 1 file changed, 1 insertion(+)

2015-12-17 Ignacio Casal Quinteiro <icq@gnome.org>
commit 769d34ae81f9c78244f3aef9a01ae3e760712913

    window: show close button if not using native controls

 gitg/gitg-window.vala | 4 ++++
 1 file changed, 4 insertions(+)

2015-12-17 Ignacio Casal Quinteiro <icq@gnome.org>
commit 1c5d5b10173740ba87584c55a8bfe494eac72767

    diff-view: handle dark themes

 libgitg/gitg-diff-view-hunk.vala | 44 +++++++++++++++++++++++++++-------------
 1 file changed, 30 insertions(+), 14 deletions(-)

2015-11-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit b12d9106386ae320a6af572b4a8389c0d69b7721

    Do not initialise next layer for hidden commits

 libgitg/gitg-lanes.vala | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

2015-12-16 Ignacio Casal Quinteiro <icq@gnome.org>
commit f348fc44dddd24e98b92393b11366bfad08eba3d

    Improve selection to allow rubber band.
    
    Still several bugs on this that we need to figure out

 libgitg/gitg-diff-view-hunk.vala | 182 ++++++++++++++++++++++++++++++++++++---
 1 file changed, 172 insertions(+), 10 deletions(-)

2015-12-15 Ignacio Casal Quinteiro <icq@gnome.org>
commit 2b61f0ae7aca01460978425f9dd33251304357d1

    Handle selection on the commit view

 gitg/resources/ui/gitg-commit-paned.ui |  1 +
 libgitg/gitg-diff-view-file.vala       | 12 +++++--
 libgitg/gitg-diff-view-hunk.vala       | 64 ++++++++++++++++++++++++++++++++--
 libgitg/gitg-diff-view.vala            |  9 ++++-
 4 files changed, 80 insertions(+), 6 deletions(-)

2015-11-30 Dušan Kazik <prescott66@gmail.com>
commit 92ccfd4ccedb3a844843a3fe0839bc3985bb7a15

    Updated Slovak translation

 po/sk.po | 543 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 354 insertions(+), 189 deletions(-)

2015-11-28 Aurimas Černius <aurisc4@gmail.com>
commit c40b965c2e9723285a8f10c2bff99b6e997e9ccc

    Updated Lithuanian translation

 po/lt.po | 495 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 279 insertions(+), 216 deletions(-)

2015-11-22 Ignacio Casal Quinteiro <icq@gnome.org>
commit da1389b5d9f9c1eeba87011552c305bcd1556695

    diff-stat: convert to use style classes
    
    It seems that we cannot use regions anymore since they are deprecated

 libgitg/gitg-diff-stat.vala            | 48 ++++++++++++++++++----------------
 libgitg/resources/ui/libgitg-style.css | 41 +++++++++++++++--------------
 2 files changed, 46 insertions(+), 43 deletions(-)

2015-11-17 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 3753ae54214cd2597f9baf91975fbc045e0dbbe9

    Updated Spanish translation

 po/es.po | 54 ++++++++++++++----------------------------------------
 1 file changed, 14 insertions(+), 40 deletions(-)

2015-11-14 Pedro Albuquerque <palbuquerque73@gmail.com>
commit 0f5d0a149dce6964e1ce38e1e09dba0b1e808e52

    Updated Portuguese translation

 po/pt.po | 52 ++++++++++++++++++++++++++++------------------------
 1 file changed, 28 insertions(+), 24 deletions(-)

2015-11-11 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 3f6223581793c1c5dfce7bef2d59ed35f783fd0f

    Updated Spanish translation

 po/es.po | 87 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 47 insertions(+), 40 deletions(-)

2015-11-10 Daniel Mustieles <daniel.mustieles@gmail.com>
commit ecfdcc5692e1671ac5c8deefc1154d89f5a53434

    Updated Spanish translation

 po/es.po | 4691 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2456 insertions(+), 2235 deletions(-)

2015-11-10 Jiri Grönroos <jiri.gronroos@iki.fi>
commit 8513f2c53cf70fb2090966cef5837ee51ce6f4f5

    Updated Finnish translation

 po/fi.po | 65 +++++++++++++++++++++++-----------------------------------------
 1 file changed, 23 insertions(+), 42 deletions(-)

2015-11-08 Balázs Meskó <meskobalazs@gmail.com>
commit ad8795d37322198c2e00bd5e77e6ef8ae5214096

    Updated Hungarian translation

 po/hu.po | 268 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 109 insertions(+), 159 deletions(-)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 321310bb2300e9e3e60a8e10850a0561e4ef31b4

    Bind commit details parent button

 libgitg/gitg-diff-view-commit-details.vala | 18 +++++++++++++++---
 libgitg/gitg-diff-view.vala                | 22 ++++++++++++++++------
 2 files changed, 31 insertions(+), 9 deletions(-)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit a88d4d16973fff7d7aca76c270b76cb66d712faa

    Add Committed by to committer label

 libgitg/gitg-diff-view-commit-details.vala            | 2 +-
 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7261b8a3e6c95609de3abfb96cd08bfbd7889665

    Make parent grid orientation vertical

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 1 +
 1 file changed, 1 insertion(+)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit d30490b68e0d3245205e7f07b7e511889a4f43c2

    Remove unnecessary dependency on platform support

 libgitg/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0fa2afe906ae2067823b2db350c213eb86d5b710

    Fix cheader filename on platform support

 vapi/gitg-platform-support.vapi | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 100113393f32b2274054140d98aa7084b2331447

    Set missing scale on committer date

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 3 +++
 1 file changed, 3 insertions(+)

2015-11-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 83c9da393a3ba8daafb3bef06aa1c206655ee4bf

    Iterate all files within directory before recursing down
    
    This reduces the number of simultaneous open files

 gitg/gitg-recursive-monitor.vala | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

2015-11-08 Jesse van den Kieboom <jkieboom@esri.com>
commit ea7a9a4a8eace269c1d504d6b111d08ba6428846

    Add missing close on enumerators

 gitg/gitg-recursive-monitor.vala | 4 +++-
 gitg/gitg-recursive-scanner.vala | 6 +++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

2015-11-08 Jesse van den Kieboom <jkieboom@esri.com>
commit 230468bf33d88c74d17dd3bcba9c62b433d42374

    Remove webkit left overs

 libgitg/gitg-diff-view-request-diff.vala | 408 -------------------------------
 vapi/gitg-js-utils.vapi                  |   6 -
 2 files changed, 414 deletions(-)

2015-11-08 Jesse van den Kieboom <jkieboom@esri.com>
commit 871ac85e1bdef037a72e95f805e2e11120417720

    Use native controls on OS X

 configure.ac                     |  22 +++++
 gitg/Makefile.am                 |   1 +
 gitg/gitg-window.vala            |  45 ++++++---
 gitg/resources/ui/gitg-window.ui | 199 ++++++++++++++++++++-------------------
 libgitg/Makefile.am              |   9 ++
 libgitg/gitg-platform-support.c  |  20 ++++
 libgitg/gitg-platform-support.h  |   9 ++
 vapi/gitg-platform-support.vapi  |   9 ++
 8 files changed, 204 insertions(+), 110 deletions(-)

2015-11-07 Jiri Grönroos <jiri.gronroos@iki.fi>
commit 423d9549741a849b88101e15f8ba87baf778782d

    Updated Finnish translation

 po/fi.po | 1289 ++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 1005 insertions(+), 284 deletions(-)

2015-11-05 Pedro Albuquerque <palbuquerque73@gmail.com>
commit aa147d279deb9e530c419b3265bf1001ab1b788c

    Updated Portuguese translation

 po/pt.po | 445 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 232 insertions(+), 213 deletions(-)

2015-10-29 Marek Černocký <marek@manet.cz>
commit 75084f2ed03a8a3c7cba5e691796636e0d019efa

    Updated Czech translation

 po/cs.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

2015-10-28 Marek Černocký <marek@manet.cz>
commit 941c5f72f57cd01183cbc74f22c27ec17e6259af

    Updated Czech translation

 po/cs.po | 268 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 104 insertions(+), 164 deletions(-)

2015-10-14 Inaki Larranaga Murgoitio <dooteo@zundan.com>
commit 268e974d6b835f92866eab2dc86ca00cac4ebf6f

    Updated Basque language

 po/eu.po | 1158 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 817 insertions(+), 341 deletions(-)

2015-10-12 Christian Kirbach <Christian.Kirbach@gmail.com>
commit 2a10076ecbc7197c25c8d4c6876b2f13254aa013

    Updated German translation

 po/de.po | 557 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 234 insertions(+), 323 deletions(-)

2015-10-07 Ignacio Casal Quinteiro <icq@gnome.org>
commit 705caefb2ea40702d4eed696dffeefbac1814d4b

    Update libgd

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-10-02 Ignacio Casal Quinteiro <icq@gnome.org>
commit 721bc14e2b6bdb6afd75f9710036dd5983e5c95c

    Remove useless files
    
    They are not even being built

 libgitg/gitg-js-utils.c | 39 ---------------------------------------
 libgitg/gitg-js-utils.h | 10 ----------
 2 files changed, 49 deletions(-)

2015-09-28 Milo Casagrande <milo@ubuntu.com>
commit be7d664aa6cd9b585aa870b836dfbf0f5482c70b

    Updated Italian translation

 po/it.po | 858 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 628 insertions(+), 230 deletions(-)

2015-09-27 Jesse van den Kieboom <jkieboom@esri.com>
commit 7c48a6fee29119cfc2b074cfbfc253f812f33bd4

    Also look for gtk3-update-icon-cache

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-09-27 Jesse van den Kieboom <jkieboom@esri.com>
commit 3c6614d62c572f47af001036be0ef3edc5ab1e15

    Protect against empty lanes in lane collapsing
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=748974.

 libgitg/gitg-lanes.vala | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

2015-09-24 Jesse van den Kieboom <jessevdk@gnome.org>
commit 84eee97117fc358544095541d5a54eca7639bb0f

    Unambiguate references to assert_no_error

 tests/libgitg/test-stage.vala |  9 +++++----
 tests/support/repository.vala | 36 ++++++++++++++++++------------------
 2 files changed, 23 insertions(+), 22 deletions(-)

2015-09-24 Benjamin Steinwender <b@stbe.at>
commit 6c90d046ffd5a29aa6dd55ce24b9f776f4cea9a7

    Updated German translation

 po/de.po | 1307 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 972 insertions(+), 335 deletions(-)

2015-09-24 Marek Černocký <marek@manet.cz>
commit 7d2c11e4a8e57e2f0512d5b10e61b3e9ccc48a11

    Updated Czech translation

 po/cs.po | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

2015-09-24 Marek Černocký <marek@manet.cz>
commit 1bcab7dfbda79f651c5b4fb0c5943764b2e4deec

    Updated Czech translation

 po/cs.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-09-24 Marek Černocký <marek@manet.cz>
commit dc78217ab623603a8bb33cd40d6d582f68b3ffde

    Updated Czech translation

 po/cs.po | 979 ++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 749 insertions(+), 230 deletions(-)

2015-09-23 Anders Jonsson <anders.jonsson@norsjovallen.se>
commit 77434c68480761779f1c84794c36fd81dce4c606

    Updated Swedish translation

 po/sv.po | 916 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 683 insertions(+), 233 deletions(-)

2015-09-23 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7819b7c6597486defe1390d6e850adf4b286df72

    libgd: more fixes on the tag entry

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-09-23 Piotr Drąg <piotrdrag@gmail.com>
commit 19f84ebc459dafbed4bf16e7c09192db485af01d

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 4 +++-
 po/POTFILES.skip | 7 ++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

2015-09-23 Милош Поповић <gpopac@gmail.com>
commit c92e24e154860ac9edaaab912ddc79eebd8f12df

    Updated Serbian translation

 po/sr.po | 940 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 674 insertions(+), 266 deletions(-)

2015-08-29 Ignacio Casal Quinteiro <icq@gnome.org>
commit 98caa74b145112a2b50768239c61f0954bcd3a0f

    Update libgd

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-27 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2a170059a4b24cc8e83e9c7fd86f8e2b9bf129d1

    Add back diff options popover

 libgitg/Makefile.am                    |  1 +
 libgitg/gitg-diff-view.vala            | 45 ++++++++++++++++++++++++++++++++++
 libgitg/resources/ui/gitg-diff-view.ui |  1 +
 3 files changed, 47 insertions(+)

2015-08-27 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6ddc1f7ee74ecd445ea64f15c5892efd7c956a08

    Remove additional unneeded scrolled window

 libgitg/gitg-diff-view.vala |  9 +++++++--
 plugins/diff/gitg-diff.vala | 30 ++++++++++++++++++++----------
 2 files changed, 27 insertions(+), 12 deletions(-)

2015-08-27 Jesse van den Kieboom <jessevdk@gnome.org>
commit 048e32069bf4053a41ef0af8e323948550879290

    Small code style fix

 libgitg/gitg-diff-view.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit e95db3db333bd7a47f39822938a0fd1f75e1c6e3

    diff-view: hide expander with just one file

 libgitg/gitg-diff-view-commit-details.vala | 6 ++++++
 libgitg/gitg-diff-view.vala                | 1 +
 2 files changed, 7 insertions(+)

2015-08-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit ea8eee7cbcd0540b3c80f8602a4a939628267a4d

    commit: fix packing

 gitg/resources/ui/gitg-commit-paned.ui | 3 +++
 1 file changed, 3 insertions(+)

2015-08-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit 7faba6a0e6fb8198d8416286b7379288f690e196

    Remove duplicated property

 gitg/resources/ui/gitg-commit-paned.ui | 1 -
 1 file changed, 1 deletion(-)

2015-08-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit ca9295d9971ae11e0b45c384646ab52fc5b8cbab

    Destroy previous file widgets when updating the diff

 libgitg/gitg-diff-view.vala | 6 ++++++
 1 file changed, 6 insertions(+)

2015-08-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit 825c3cf64574632e2fcaf34bb33a1f36a46095ed

    Can avatar loading on diposing.
    
    This fixes an assertion at exit.

 libgitg/gitg-diff-view-commit-details.vala | 10 ++++++++++
 1 file changed, 10 insertions(+)

2015-08-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 29cd2d203d173e8ee796bc3882548aeb6e8cb855

    Update gtksourceview vapi with latest

 vapi/gtksourceview-3.0.vapi | 82 +++++++++++++++++++++++++++++++++++----------
 1 file changed, 65 insertions(+), 17 deletions(-)

2015-08-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 99eca15797bbeaf2d062fe1dca99807b8a12f93a

    Bind wrap and tab_width properties

 libgitg/gitg-diff-view-file.vala | 12 ++++++++++++
 libgitg/gitg-diff-view-hunk.vala | 28 ++++++++++++++++++++++++++++
 libgitg/gitg-diff-view.vala      | 37 +++++++------------------------------
 3 files changed, 47 insertions(+), 30 deletions(-)

2015-08-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 93b2f53b376f3989bdfdf45c5cdf3f78ae6d0413

    Do not track visited links

 libgitg/resources/ui/gitg-diff-view-commit-details.ui | 2 ++
 1 file changed, 2 insertions(+)

2015-08-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 212a4d6683d53ecf0373390d1d32ba4c2faeb302

    Revert "Use upstream gtksourceview vapi now that the annotation is fixed"
    
    This reverts commit 9067e5b303cad75302541ad062cd6dc844948e27.

 vapi/gtksourceview-3.0.deps |   7 +
 vapi/gtksourceview-3.0.vapi | 889 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 896 insertions(+)

2015-08-26 Jesse van den Kieboom <jessevdk@gnome.org>
commit 898af292648921c7836703261993a06cc1e08ff8

    Implement expand/collapse all

 libgitg/gitg-diff-view-commit-details.vala         | 18 ++++----
 libgitg/gitg-diff-view.vala                        | 49 ++++++++++++++++++--
 .../resources/ui/gitg-diff-view-commit-details.ui  | 52 ++++++++++++----------
 libgitg/resources/ui/gitg-diff-view-file.ui        |  1 +
 4 files changed, 85 insertions(+), 35 deletions(-)

2015-08-26 Ignacio Casal Quinteiro <icq@gnome.org>
commit c1205431cda5c9608d7b8af157b2e5bd06385a95

    Call libgitg init method from the startup
    
    This is to ensure that gtk is already inited since libgitg depends
    on gtk to i.e add the css style

 gitg/gitg-application.vala | 32 ++++++++++++++++++++++++++++++++
 gitg/gitg.vala             | 36 ------------------------------------
 2 files changed, 32 insertions(+), 36 deletions(-)

2015-08-26 Ignacio Casal Quinteiro <icq@gnome.org>
commit 69fa72b0315081c877a9b3347d16b21a1f7b4ab2

    Use upstream gtksourceview vapi now that the annotation is fixed

 vapi/gtksourceview-3.0.deps |   7 -
 vapi/gtksourceview-3.0.vapi | 889 --------------------------------------------
 2 files changed, 896 deletions(-)

2015-08-26 Ignacio Casal Quinteiro <icq@gnome.org>
commit 120a8ccd6ba4067cdd5c123f85fccf92a784e137

    Remove useless file from makefile

 gitg/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

2015-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit 99e4ff36c48a3f0fdccc6ea0f91133f8d9a5fe2d

    Add small padding on hunk header

 libgitg/gitg-diff-view-hunk.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit 91c0854c54e4081b402678c230e136d0882ae365

    Use same gutter width for lines in all hunks

 libgitg/gitg-diff-view-file.vala           |  7 +++++++
 libgitg/gitg-diff-view-hunk.vala           |  8 ++++++++
 libgitg/gitg-diff-view-lines-renderer.vala | 24 +++++++++++++++++++++---
 libgitg/gitg-diff-view.vala                | 14 ++++++++++++++
 4 files changed, 50 insertions(+), 3 deletions(-)

2015-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5dc978d5956ea88a7904b4d01cfb3c86552b6458

    Small fixes to styling

 libgitg/gitg-diff-view-file.vala                   |   5 +-
 libgitg/gitg-diff-view-hunk.vala                   | 106 +++++++-
 libgitg/gitg-diff-view-lines-renderer.vala         |  30 +++
 libgitg/gitg-diff-view.vala                        |   2 +-
 .../resources/ui/gitg-diff-view-commit-details.ui  | 274 +++++++++++----------
 libgitg/resources/ui/gitg-diff-view-file.ui        |  28 ++-
 libgitg/resources/ui/gitg-diff-view-hunk.ui        |  61 ++---
 libgitg/resources/ui/gitg-diff-view.ui             |  27 +-
 libgitg/resources/ui/libgitg-style.css             |  34 ++-
 9 files changed, 347 insertions(+), 220 deletions(-)

2015-08-25 Jesse van den Kieboom <jessevdk@gnome.org>
commit bd2e369b88a5f2c486f7cbab8489dcbc6ae6b3d2

    First step in replacing webkit with standard gtk+

 Makefile.am                                        |  24 +-
 configure.ac                                       |  22 +-
 gitg/Makefile.am                                   |   4 +-
 gitg/commit/gitg-commit-dialog.vala                |   6 +-
 gitg/commit/gitg-commit.vala                       |   2 +-
 gitg/gitg-application.vala                         |   4 +-
 gitg/gitg-builder.vala                             |  33 +
 gitg/gitg-window.vala                              |   4 +-
 libgitg-ext/Makefile.am                            |   1 -
 libgitg/Makefile.am                                |  36 +-
 libgitg/gitg-avatar-cache.vala                     |  17 +-
 libgitg/gitg-diff-stat.vala                        |  83 --
 libgitg/gitg-diff-view-commit-details.vala         | 270 ++++++
 libgitg/gitg-diff-view-file.vala                   | 118 +++
 libgitg/gitg-diff-view-hunk.vala                   | 133 +++
 libgitg/gitg-diff-view-lines-renderer.vala         | 192 ++++
 libgitg/gitg-diff-view-options.vala                |  20 +-
 libgitg/gitg-diff-view-request-icon.vala           | 118 ---
 libgitg/gitg-diff-view-request-resource.vala       | 107 ---
 libgitg/gitg-diff-view-request.vala                | 215 -----
 libgitg/gitg-diff-view.vala                        | 835 +++++------------
 libgitg/gitg-init.vala                             |  11 +
 {gitg => libgitg}/gitg-resource.vala               |  39 +-
 libgitg/resources/resources.xml                    |  14 +-
 .../ui/diff-view/diff-view-html-builder.js         | 703 ---------------
 libgitg/resources/ui/diff-view/diff-view.css       | 359 --------
 libgitg/resources/ui/diff-view/diff-view.html      |  63 --
 libgitg/resources/ui/diff-view/diff-view.js        | 778 ----------------
 libgitg/resources/ui/diff-view/jquery-2.0.3.min.js |   6 -
 .../resources/ui/gitg-diff-view-commit-details.ui  | 208 +++++
 libgitg/resources/ui/gitg-diff-view-file.ui        |  55 ++
 libgitg/resources/ui/gitg-diff-view-hunk.ui        |  59 ++
 ...f-view-options.ui => gitg-diff-view-options.ui} |  25 -
 libgitg/resources/ui/gitg-diff-view.ui             |  38 +
 libgitg/resources/ui/libgitg-style.css             |  76 ++
 plugins/diff/gitg-diff.vala                        |  16 -
 plugins/files/gitg-files.vala                      |  12 +-
 tests/diff-view.vala                               |  26 +-
 tests/gitg/Makefile.am                             |   1 -
 tests/libgitg/Makefile.am                          |   1 -
 vapi/gtksourceview-3.0.vapi                        | 558 ++++++++----
 vapi/webkit2gtk-3.0.deps                           |   8 -
 vapi/webkit2gtk-3.0.vapi                           | 734 ---------------
 vapi/webkit2gtk-4.0.deps                           |   8 -
 vapi/webkit2gtk-4.0.vapi                           | 998 ---------------------
 45 files changed, 1889 insertions(+), 5151 deletions(-)

2015-09-23 Balázs Úr <urbalazs@gmail.com>
commit f13e1ca4aa82072b4b4093beb3cf5048d262a962

    Updated Hungarian translation

 po/hu.po | 1094 +++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 829 insertions(+), 265 deletions(-)

2015-09-21 Muhammet Kara <muhammetk@gmail.com>
commit 151c989e4f0a40fff152bd56c671d7fd3a97b30c

    Updated Turkish translation

 po/tr.po | 982 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 647 insertions(+), 335 deletions(-)

2015-09-21 Petr Kovar <pkovar@redhat.com>
commit bcb934c4be5f85c5bc805b02b3918d25ec7ab296

    Fix Czech translation

 po/cs.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

2015-09-21 Ask Hjorth Larsen <asklarsen@gmail.com>
commit 1270648f9e54406195ffcbe5014c112a63530dfa

    Updated Danish translation

 po/da.po | 987 ++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 749 insertions(+), 238 deletions(-)

2015-09-17 Andika Triwidada <andika@gmail.com>
commit 3aff8d56910a292a7d50fdccd1c07c3e9f62c60b

    Updated Indonesian translation

 po/id.po | 1200 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 965 insertions(+), 235 deletions(-)

2015-09-05 Seong-ho Cho <shcho@gnome.org>
commit 6565a2fb9132bb1dedb5ec6b62f15b9dac772cad

    Updated Korean translation

 po/ko.po | 868 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 637 insertions(+), 231 deletions(-)

2015-08-30 Dušan Kazik <prescott66@gmail.com>
commit c76b5e01fdab9cff7f1129e9f109a2075a57dfe5

    Updated Slovak translation

 po/sk.po | 931 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 701 insertions(+), 230 deletions(-)

2015-08-25 Piotr Drąg <piotrdrag@gmail.com>
commit 2b881f5cfebd9d4029e686720954afbeba360f5c

    Updated Polish translation

 po/pl.po | 976 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 684 insertions(+), 292 deletions(-)

2015-08-25 Piotr Drąg <piotrdrag@gmail.com>
commit e2291ff58bef129a033e0f91da784f094e6b4eb6

    Use proper ellipsis instead of three dots

 libgitg/gitg-repository-list-box.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-25 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 4ac6100c2e03b03536d095a3625fc6e11dff4784

    Updated Spanish translation

 po/es.po | 4592 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 2235 insertions(+), 2357 deletions(-)

2015-08-22 Piotr Drąg <piotrdrag@gmail.com>
commit 4f5d0b58561f4165316510dce8e6a85fca8ef602

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

2015-08-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9f1a72ccf3584f30c745f3716d22dfaf0dac0ab9

    Increase ref label padding

 libgitg/gitg-label-renderer.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 01ce13d1a4de3427a848ea71cb3c2afe80e0b69f

    Handle showing upstream in history instead of selection

 gitg/history/gitg-history-refs-list.vala | 36 +-------------------------------
 gitg/history/gitg-history.vala           | 21 +++++++++++++++++++
 2 files changed, 22 insertions(+), 35 deletions(-)

2015-08-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 316d46c3cec7822168d08b7902cbf8c73027b5d6

    Show ahead/behind in refs list

 gitg/history/gitg-history-refs-list.vala  | 37 +++++++++++++++++++++++++++++++
 gitg/resources/ui/gitg-history-ref-row.ui | 16 ++++++++++++-
 2 files changed, 52 insertions(+), 1 deletion(-)

2015-08-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0bfbe143412795ff3145ec362a689c6f15d4a897

    Added setting to show upstream tracking branch when selecting a local branch

 data/org.gnome.gitg.gschema.xml.in.in          |  8 ++++++
 gitg/history/gitg-history-refs-list.vala       | 36 +++++++++++++++++++++++++-
 gitg/preferences/gitg-preferences-history.vala |  8 ++++++
 gitg/resources/ui/gitg-preferences-history.ui  | 20 ++++++++++++--
 4 files changed, 69 insertions(+), 3 deletions(-)

2015-08-22 Jesse van den Kieboom <jessevdk@gnome.org>
commit fb293e8920e1282932e66762ca161d5a56049432

    Override branch_get_upstream to return a Gitg.Ref

 libgitg/gitg-branch-base.vala | 5 +++++
 libgitg/gitg-branch.vala      | 1 +
 2 files changed, 6 insertions(+)

2015-08-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 881cb12a0130c25940c282d11f8e12d8d32d779a

    Implement cherry picking of single commits

 gitg/Makefile.am                         |   1 +
 gitg/gitg-action-support.vala            | 105 ++++++-
 gitg/gitg-commit-action-cherry-pick.vala | 282 ++++++++++++++++++
 gitg/gitg-ref-action-merge.vala          |  81 +-----
 gitg/history/gitg-history.vala           |   5 +
 tests/gitg/Makefile.am                   |   2 +
 tests/gitg/main.vala                     |   3 +-
 tests/gitg/test-cherry-pick-commit.vala  | 476 +++++++++++++++++++++++++++++++
 tests/gitg/test-merge-ref.vala           |   4 +-
 9 files changed, 882 insertions(+), 77 deletions(-)

2015-08-21 Aurimas Černius <aurisc4@gmail.com>
commit 0f81278aaecff2568cda6cd671e3c066383ee392

    Updated Lithuanian translation

 po/lt.po | 919 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 690 insertions(+), 229 deletions(-)

2015-08-20 Daniel Mustieles <daniel.mustieles@gmail.com>
commit f3dc2df5a77036bc955bc2a5d8a5bcc93d485893

    Updated Spanish Translation

 po/es.po | 119 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 47 insertions(+), 72 deletions(-)

2015-08-19 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 9881cd4fb740acd76711bafdb7eefe7128b62189

    Updated Spanish translation

 po/es.po | 4602 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2382 insertions(+), 2220 deletions(-)

2015-08-16 Jordi Mas <jmas@softcatala.org>
commit ec1337a692e3987b809fdd9743419edbaee98abb

    Update Catalan translation

 po/ca.po | 1471 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 1243 insertions(+), 228 deletions(-)

2015-08-16 Pedro Albuquerque <palbuquerque73@gmail.com>
commit 8746771c2b082ac1c5a485f3b90901ec13126ab7

    Updated Portuguese translation

 po/pt.po | 626 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 423 insertions(+), 203 deletions(-)

2015-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit bac2c9843bcbd1b7acd96c037551bdbbb91c7345

    Factor out common action functionality

 gitg/Makefile.am                |   1 +
 gitg/gitg-action-support.vala   | 189 ++++++++++++++++++++++++++++++++++
 gitg/gitg-ref-action-merge.vala | 218 ++++++++--------------------------------
 po/POTFILES.in                  |   1 +
 po/POTFILES.skip                |   2 +
 tests/gitg/Makefile.am          |   3 +-
 6 files changed, 237 insertions(+), 177 deletions(-)

2015-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0370c6d38de760f19e7e6bafdeef87fbefba2cfb

    Do not use title case

 gitg/gitg-commit-action-create-branch.vala | 2 +-
 gitg/gitg-commit-action-create-patch.vala  | 2 +-
 gitg/gitg-commit-action-create-tag.vala    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

2015-08-14 Piotr Drąg <piotrdrag@gmail.com>
commit 6cfe691cba05f4a0bef3f90ee4eb184d6dc5f65d

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

2015-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8c216e6cb45a14451b9f8224948b8391d9349e27

    Updated POTFILES.skip

 po/POTFILES.skip | 2 ++
 1 file changed, 2 insertions(+)

2015-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8eb1e3ed662c4bc9c05b74965f8919b1aeabf438

    Add basic merging support

 gitg/Makefile.am                         |   1 +
 gitg/gitg-ref-action-merge.vala          | 708 +++++++++++++++++++++++++++++++
 gitg/history/gitg-history.vala           |  39 +-
 libgitg/gitg-stage.vala                  |  19 +-
 tests/gitg/Makefile.am                   |   4 +-
 tests/gitg/application-mock.vala         |  44 +-
 tests/gitg/main.vala                     |   3 +-
 tests/gitg/simple-notification-mock.vala |   2 +-
 tests/gitg/test-merge-ref.vala           | 482 +++++++++++++++++++++
 tests/support/gitg-assert.h              |  13 +-
 tests/support/gitg-assert.vapi           |   1 +
 tests/support/repository.vala            |  40 +-
 12 files changed, 1337 insertions(+), 19 deletions(-)

2015-08-14 Jesse van den Kieboom <jessevdk@gnome.org>
commit c9c9a24c7d70449c9acae5d7b0ea9c89f212e4d9

    Add quotes around branch name

 gitg/gitg-ref-action-checkout.vala | 2 +-
 tests/gitg/test-checkout-ref.vala  | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 32c0db75dc2cc6ddf1b641de1415f72a89d787e6

    Add utility function to test for file existence

 tests/support/repository.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 97d2d34dc30d034e4ef3531f233aa9b84c0bb901

    Add filename to commit message in tests

 tests/support/repository.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit cb8dbf79df77fa803a983f50093ed15d50bfb74b

    Deterministic but ever increasing time for tests

 tests/gitg/application-mock.vala | 13 -------------
 tests/support/repository.vala    | 28 ++++++++++++++++------------
 2 files changed, 16 insertions(+), 25 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 03a991ed6d3888ced6dff9cfa542105e414044ef

    Add references list to action interface mock

 tests/gitg/ref-action-interface-mock.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 009e21bd7ae00eba4ddeebd5ca13455e4ec4d3ec

    Add checkout_branch convenience test function

 tests/support/repository.vala | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit f058e4516fdf1f4280b7996d3666d992c78ea36e

    Do not rely on last commit for parents

 tests/support/repository.vala | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9b47855aefd5bb1487f80307af9ed09d19f5dde7

    Fix unsetting connected signal id on disconnect

 libgitg/gitg-when-mapped.vala | 1 +
 1 file changed, 1 insertion(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 687659255b5cedd885c51b5c121c545b819c882f

    Factor out commit index

 libgitg/gitg-stage.vala | 102 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 70 insertions(+), 32 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 80360ef458f89ed9fdafba3db2505b99182d55f3

    Add getting references from ref action interface

 gitg/history/gitg-history-action-interface.vala |  5 +++++
 gitg/history/gitg-history-refs-list.vala        | 19 +++++++++++++++++++
 libgitg-ext/gitg-ext-ref-action-interface.vala  |  1 +
 3 files changed, 25 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5145fbc8054fad9a3297a6ede1764fed83ac2794

    Remove delay auto-close timeouts if explicitly closed

 gitg/gitg-notifications.vala | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0c09e59f76406d814bf6be1c2313f4e63c65c5a4

    Only auto-hide successfull action notification

 gitg/gitg-remote-notification.vala | 12 ++++++++----
 gitg/gitg-simple-notification.vala | 12 ++++++++----
 2 files changed, 16 insertions(+), 8 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit e6933728c3c5641bcc16def05db73d170cb3b6db

    Fix simple notifications UI

 gitg/resources/ui/gitg-simple-notification.ui | 112 ++++++++++++++------------
 1 file changed, 59 insertions(+), 53 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 16e5cc6aa5881aeb4de46d35da542e56bbc388d6

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 6 ++++--
 po/POTFILES.skip | 4 +++-
 2 files changed, 7 insertions(+), 3 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 68e50b4185c1dca5474fba6f03665a98285a9768

    Add tests for Gitg.RefActionCheckout

 tests/Makefile                              |   8 +-
 tests/Makefile.am                           |   5 ++
 tests/gitg/Makefile                         |   3 +
 tests/gitg/Makefile.am                      |  64 ++++++++++++++++
 tests/gitg/application-mock.vala            | 107 ++++++++++++++++++++++++++
 tests/gitg/main.vala                        |  32 ++++++++
 tests/gitg/notifications-mock.vala          |  47 ++++++++++++
 tests/gitg/ref-action-interface-mock.vala   |  62 +++++++++++++++
 tests/gitg/simple-notification-mock.vala    |  63 +++++++++++++++
 tests/gitg/test-checkout-ref.vala           | 105 +++++++++++++++++++++++++
 tests/libgitg/Makefile.am                   |  33 ++++----
 tests/libgitg/main.vala                     |  85 ++------------------
 tests/libgitg/test-commit.vala              |  18 ++---
 tests/libgitg/test-date.vala                |   2 +-
 tests/libgitg/test-encoding.vala            |   4 +-
 tests/libgitg/test-stage.vala               |   2 +-
 tests/{libgitg => support}/gitg-assert.h    |   0
 tests/{libgitg => support}/gitg-assert.vapi |   0
 tests/support/main.vala                     | 115 ++++++++++++++++++++++++++++
 tests/{libgitg => support}/repository.vala  |  67 ++++++++++++++--
 tests/{libgitg => support}/test.vala        |  20 +++++
 21 files changed, 730 insertions(+), 112 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit b787b70eba10c5077991127cde5ff65477d53d5e

    Override repository create_branch for casting to Gitg.Branch

 libgitg/gitg-repository.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 746682d4228b2587132addf668e352081bea2193

    Add silent async thread errors convenience

 libgitg/gitg-async.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3ed7a2291583a959a0adbea93a2d8d7e8bb563fa

    Add convenience constructor for GitgExt.UserQuery

 libgitg-ext/gitg-ext-user-query.vala | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit a60b91f08db307f87f7dda40d1361fecd6ea146f

    Allow calling show_infobar from threads

 gitg/gitg-window.vala | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit f3fede091241b25ccc43fbcd1b54c8c5fc0ae06f

    Add user_query_async to GitgExt.Application

 gitg/gitg-window.vala                 | 19 +++++++++++++++++++
 libgitg-ext/gitg-ext-application.vala |  1 +
 2 files changed, 20 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit ee1b47cc95d8495a4bf2cc7f27d8d822c69c3456

    Add get_verified_committer to GitgExt.Application

 gitg/commit/gitg-commit.vala          | 55 ++++++++---------------------------
 gitg/gitg-window.vala                 | 48 ++++++++++++++++++++++++++++++
 libgitg-ext/gitg-ext-application.vala |  7 +++++
 3 files changed, 67 insertions(+), 43 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit abffafe7570431d65efaff7a2f0326e3b0c44255

    Use simple notification for checkout action

 gitg/gitg-ref-action-checkout.vala | 93 +++++++++++++++++++++++---------------
 1 file changed, 56 insertions(+), 37 deletions(-)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5e88377b0be22f8870d08797ed74df0b4a16f626

    Add simple notification

 gitg/Makefile.am                              |   1 +
 gitg/gitg-simple-notification.vala            | 144 ++++++++++++++++++++++++++
 gitg/resources/gitg-resources.xml             |   1 +
 gitg/resources/ui/gitg-simple-notification.ui |  69 ++++++++++++
 4 files changed, 215 insertions(+)

2015-08-13 Jesse van den Kieboom <jessevdk@gnome.org>
commit bf2edae624c2ef14d84a207e58d3fe93e75826d7

    Rework notifications

 gitg/Makefile.am                                   |  1 +
 gitg/gitg-notifications.vala                       | 36 +++++----
 gitg/gitg-ref-action-fetch.vala                    | 64 +++++++++-------
 {libgitg => gitg}/gitg-remote-notification.vala    | 88 +++++++++++++++-------
 gitg/resources/gitg-resources.xml                  |  2 +
 .../resources/ui/gitg-remote-notification.ui       |  0
 libgitg-ext/Makefile.am                            |  1 +
 libgitg-ext/gitg-ext-notification.vala             | 31 ++++++++
 libgitg-ext/gitg-ext-notifications.vala            |  4 +-
 libgitg/Makefile.am                                |  1 -
 libgitg/resources/resources.xml                    |  1 -
 11 files changed, 157 insertions(+), 72 deletions(-)

2015-08-12 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 6015438b0ebd685cebdfd916ebadf26cc91bc7e0

    Updated Spanish translation

 po/es.po | 4171 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2226 insertions(+), 1945 deletions(-)

2015-08-11 Piotr Drąg <piotrdrag@gmail.com>
commit 326af3df73c9bf776551f54b7287a66a0cbf897b

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

2015-08-09 Ignacio Casal Quinteiro <icq@gnome.org>
commit f2993bfd56a65451f75a43edf2f8442354cff209

    Bump libgit2-glib version to 0.23.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit b73a79c095a9eb726d8cc0a90b72058a28cd5df9

    Fix delete ref action order

 gitg/gitg-ref-action-delete.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit d795c0e26716789f3703d3d0edcbe7979d2fd7c1

    Temporarily comment out unused functionality

 gitg/history/gitg-history-paned.vala | 70 ++++++++++++++++++------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit fe18998588b0c4d4a29789517106f1b686f39d19

    Add checkout branch action
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748573

 gitg/Makefile.am                                |   1 +
 gitg/gitg-ref-action-checkout.vala              | 119 ++++++++++++++++++++++++
 gitg/history/gitg-history-action-interface.vala |  11 +++
 gitg/history/gitg-history-refs-list.vala        |   7 +-
 gitg/history/gitg-history.vala                  |  14 ++-
 libgitg-ext/gitg-ext-ref-action-interface.vala  |   1 +
 6 files changed, 147 insertions(+), 6 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7b78f2f6ad7e5af068a5f7e1b0aea6a41613c9b7

    Do not use selection mode for commit list

 gitg/history/gitg-history-paned.vala           |  23 ----
 gitg/history/gitg-history.vala                 | 175 +++++++++++--------------
 gitg/resources/ui/gitg-create-branch-dialog.ui |   2 +-
 gitg/resources/ui/gitg-create-tag-dialog.ui    |   2 +-
 4 files changed, 80 insertions(+), 122 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 30aa7efb6ad09317b3974de4769b4e0cb97f6e25

    Add setting to wrap lines in the diff view
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742031

 data/org.gnome.gitg.gschema.xml.in.in              |  7 ++++
 libgitg/gitg-diff-view-options.vala                | 16 +++++++++
 libgitg/gitg-diff-view.vala                        | 34 ++++++++++++++++++-
 .../resources/ui/diff-view/diff-view-options.ui    | 39 ++++++++++++++++++----
 libgitg/resources/ui/diff-view/diff-view.js        | 21 ++++++++++--
 plugins/diff/gitg-diff.vala                        |  6 ++++
 6 files changed, 113 insertions(+), 10 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 884aca34dfcaffef7d3eeba8feecb6b4a51a1650

    Directly show when trying to commit without staged changes

 gitg/commit/gitg-commit-dialog.vala     | 46 ++++++++++++++++++++++++++-------
 gitg/commit/gitg-commit.vala            |  2 +-
 gitg/resources/ui/gitg-commit-dialog.ui | 16 ------------
 3 files changed, 38 insertions(+), 26 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0e36dfb9b417ade896b94523321b770645bd23f2

    Disable selection of line numbers in diff view

 libgitg/resources/ui/diff-view/diff-view.css | 4 ++++
 1 file changed, 4 insertions(+)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit aa858a9a24dc63bc11af192b67a73795d5e11b75

    Continue adding repositories from recent items after failure

 libgitg/gitg-repository-list-box.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 251f1dae4d865a144b43c78323059e89de2ec02e

    Do not try to discover when adding repository from recent items

 libgitg/gitg-repository-list-box.vala | 23 ++++-------------------
 1 file changed, 4 insertions(+), 19 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit f8362fa2a89d501f86cd0ef71a3b5e994662d273

    Show repository directory in dash

 gitg/gitg-dash-view.vala                           |  2 +-
 libgitg/gitg-repository-list-box.vala              | 51 ++++++++++++++++++----
 .../resources/ui/gitg-repository-list-box-row.ui   |  7 +++
 3 files changed, 51 insertions(+), 9 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 480de9ced04313fb113bd5e2cc015113d8134864

    Add scanning of folders for git repositories

 gitg/Makefile.am                    |   1 +
 gitg/gitg-dash-view.vala            | 127 ++++++++++++++++++++++++++++++++++--
 gitg/gitg-recursive-scanner.vala    | 102 +++++++++++++++++++++++++++++
 gitg/resources/ui/gitg-dash-view.ui |  36 ++++++++--
 4 files changed, 255 insertions(+), 11 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit e9f7506c3be2c26d01313ee081a21182cb138bf7

    Move Utils to libgitg

 gitg/Makefile.am                  | 1 -
 libgitg/Makefile.am               | 1 +
 {gitg => libgitg}/gitg-utils.vala | 2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit b2cda3723aa1f3b162a746369b032a173f3040f2

    Make monitor file enumeration async

 gitg/gitg-recursive-monitor.vala | 33 +++++++++++++++++++++------------
 1 file changed, 21 insertions(+), 12 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 74ff8de1c62369fcbd98c1e3141d3b7b28d89867

    Add missing copyright

 gitg/gitg-recursive-monitor.vala | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit f4cd34ed2da0fda298ec5b3f4bdd46992e4a01e7

    Add monitoring .git for changes and automatic refresh
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647879

 data/org.gnome.gitg.gschema.xml.in.in            |   7 +
 gitg/Makefile.am                                 |   1 +
 gitg/commit/gitg-commit.vala                     |  48 ++++++
 gitg/gitg-recursive-monitor.vala                 | 191 +++++++++++++++++++++++
 gitg/gitg-window.vala                            | 108 +++++++++++--
 gitg/history/gitg-history.vala                   |  24 +++
 gitg/preferences/gitg-preferences-interface.vala |   8 +
 gitg/resources/ui/gitg-preferences-interface.ui  |  44 ++++++
 libgitg-ext/gitg-ext-application.vala            |  11 ++
 9 files changed, 430 insertions(+), 12 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit d3289895a148fe02d9a5748d9e7fa3077d0a11b3

    Collapse tags in ref side bar by default

 gitg/history/gitg-history-refs-list.vala | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5bad799624045322b548f30dc1779ec319f679b7

    Higify the preference dialog a bit

 gitg/resources/ui/gitg-preferences-interface.ui | 2 ++
 1 file changed, 2 insertions(+)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 07983e8ca1c3a0b9073d3ede037eeea6ad47b6fd

    Preserve ref collapsed state

 gitg/history/gitg-history-refs-list.vala | 47 ++++++++++++++++++++++++++++----
 1 file changed, 41 insertions(+), 6 deletions(-)

2015-08-09 Pedro Albuquerque <palbuquerque73@gmail.com>
commit b09f1e5ada23fdc8d9b1c2b564e518e155c5f7d3

    Updated Portuguese translation

 po/pt.po | 483 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 344 insertions(+), 139 deletions(-)

2015-08-09 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2b9597144e382a47a98b066f97f9b1fa379846cc

    Add preference to sort references by last activity
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702594

 data/org.gnome.gitg.gschema.xml.in.in          |  12 ++
 gitg/history/gitg-history-refs-list.vala       |  85 ++++++++++-
 gitg/preferences/gitg-preferences-history.vala |  19 +++
 gitg/resources/ui/gitg-preferences-history.ui  | 187 +++++++++++++++----------
 4 files changed, 224 insertions(+), 79 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 55be1f32febb0daf2268a66f66c96b2f5db8f607

    Add expanders to ref list
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702600

 gitg/history/gitg-history-refs-list.vala     | 106 +++++++++++++++++++++++++--
 gitg/resources/ui/gitg-history-ref-header.ui |  18 +++--
 2 files changed, 113 insertions(+), 11 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit eccb1fd5d855042c083832a7230d93bd38a9fbaf

    Show local/global author details on toggling override

 gitg/gitg-author-details-dialog.vala | 51 +++++++++++++++++++++++-------------
 1 file changed, 33 insertions(+), 18 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 3c523b6b139b1477daf6a4125b292632c3ca8335

    Explicitly override author details for repository
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702635

 gitg/gitg-author-details-dialog.vala            | 134 ++++++++++++++++--------
 gitg/resources/ui/gitg-author-details-dialog.ui |  34 +++---
 2 files changed, 106 insertions(+), 62 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 43babd0b363d22d346eb8aaf8db72d4f843201df

    Higify a bit the author details dialog

 gitg/gitg-author-details-dialog.vala            |  26 +----
 gitg/resources/ui/gitg-author-details-dialog.ui | 137 +++++++++---------------
 2 files changed, 56 insertions(+), 107 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 31f596e605f261582547b2e881e5a22ed3539b6b

    Remove open/clone repo actions from app-win-dash-menu

 gitg/resources/ui/gitg-menus.ui | 10 ----------
 1 file changed, 10 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit c60abbc108ddef339619d9e3061ee54105787526

    Add repository name in author dialog title
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702635

 gitg/gitg-author-details-dialog.vala | 4 ++++
 1 file changed, 4 insertions(+)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit def84b644b63bf51bc71b099535be42dcdc3e517

    Move global author details action to app menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702635

 gitg/gitg-application.vala      | 14 ++++++++++++++
 gitg/gitg-window.vala           |  8 ++------
 gitg/resources/ui/gitg-menus.ui | 14 +++++++-------
 3 files changed, 23 insertions(+), 13 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5c6c982b915b56d2d48cb892c368d921820c23b2

    Set default overwrite response for patch to OK

 gitg/gitg-commit-action-create-patch.vala | 2 ++
 1 file changed, 2 insertions(+)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 977cad55764d832c91a7e74ba63bf0f3cffb3058

    Add support for creating binary patch
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719531

 gitg/gitg-commit-action-create-patch.vala | 2 ++
 1 file changed, 2 insertions(+)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2b0add90a380eee2385f15d64a803cf17f86e404

    Also accept bare repositories when adding from dash

 gitg/gitg-dash-view.vala | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 58e2d6e2b544f6a6a9e775faae2cc4b282e27c4c

    Patch Gitg-1.0.gir for configure time webkit dependency
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735299

 configure.ac        |  4 ++++
 libgitg/Makefile.am | 17 +++++++++++++----
 2 files changed, 17 insertions(+), 4 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2db83b8300381694328b92ef82e202524a889941

    Release version 3.17.1

 NEWS         | 22 ++++++++++++++++++++++
 README       |  8 ++++----
 configure.ac |  2 +-
 3 files changed, 27 insertions(+), 5 deletions(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0a5c8e39f0508fe0af825b5827e3d209b2f76871

    Add workaround for intltool issues with subdir builds

 po/POTFILES.skip | 2 ++
 1 file changed, 2 insertions(+)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5db685bb62a84f47e65acb59ee3b9af8ee4e7ed7

    Fix version in README

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-08 Jesse van den Kieboom <jessevdk@gnome.org>
commit ec91e397c7a63199095588e260ed056709029b24

    Add setting for default selection in history view
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648228

 data/org.gnome.gitg.gschema.xml.in.in          |  13 +++
 gitg/history/gitg-history-refs-list.vala       |  23 ++++-
 gitg/history/gitg-history.vala                 |   7 ++
 gitg/preferences/gitg-preferences-history.vala |  63 ++++++++++++
 gitg/resources/ui/gitg-preferences-history.ui  | 128 ++++++++++++++++---------
 5 files changed, 185 insertions(+), 49 deletions(-)

2015-08-07 Ignacio Casal Quinteiro <icq@gnome.org>
commit 97a8f23f89dfc053b0dfdb25c023df235da3d9d0

    Bump libgit2-glib to version 0.23.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 094bbaa75c4d51e26af32bd7126db289602db8d0

    Create link to setup user profile from introduction
    
    The link is only made available if the user has not yet setup any
    global user information, i.e. no name or e-mail configured.

 gitg/gitg-dash-view.vala            | 32 ++++++++++++++++++++++++++++++++
 gitg/resources/ui/gitg-dash-view.ui | 26 ++++++++++++++++++++++++--
 2 files changed, 56 insertions(+), 2 deletions(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit cebe1188e7012f38b14f84cb8b56275fa6e2eeee

    Factor showing global author details dialog

 gitg/gitg-author-details-dialog.vala | 21 ++++++++++++++++++++-
 gitg/gitg-window.vala                | 14 +-------------
 2 files changed, 21 insertions(+), 14 deletions(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit afda626f23217c58662b917582f3d8b1f4de19f9

    Allow searchable inavailability

 gitg/gitg-dash-view.vala             | 23 ++++++++++++++---------
 gitg/gitg-window.vala                | 25 ++++++++++++++++++-------
 gitg/history/gitg-history.vala       |  7 ++++++-
 libgitg-ext/gitg-ext-searchable.vala |  1 +
 libgitg-ext/gitg-ext-selectable.vala |  2 +-
 5 files changed, 40 insertions(+), 18 deletions(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 043431303dd01f0778e4e015cdcb9a03d9b1aea6

    Use expand/collapse all text instead of icon

 libgitg/gitg-diff-view.vala                   |  2 ++
 libgitg/resources/ui/diff-view/diff-view.css  | 14 +++++++++-----
 libgitg/resources/ui/diff-view/diff-view.html |  6 ++++--
 libgitg/resources/ui/diff-view/diff-view.js   | 18 ++++++------------
 4 files changed, 21 insertions(+), 19 deletions(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 017ecc1da881a411c05330839293e6760d61cc16

    Do not collapse all files in commit diff view

 gitg/commit/gitg-commit.vala | 2 ++
 1 file changed, 2 insertions(+)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 62eb3fc7e6140a7accca07f439db157f5b09ac90

    Add setting to collapse all files in diff by default

 libgitg/gitg-diff-view.vala                 |  2 ++
 libgitg/resources/ui/diff-view/diff-view.js | 31 +++++++++++++++++++++--------
 2 files changed, 25 insertions(+), 8 deletions(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 53085f518f22259c074048422bacbd229bb44916

    Add short introduction in dash when no repositories have been added
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727357

 gitg/gitg-dash-view.vala            | 27 ++++++++++++++++++
 gitg/resources/ui/gitg-dash-view.ui | 55 ++++++++++++++++++++++++++++++++++++-
 2 files changed, 81 insertions(+), 1 deletion(-)

2015-08-07 Jesse van den Kieboom <jessevdk@gnome.org>
commit 52f39454eedff84d4aee9f473b82c78f0f8b2876

    Add selectable enabled property

 gitg/gitg-dash-view.vala             | 10 ++++++++++
 gitg/gitg-window.vala                |  8 ++++++++
 gitg/history/gitg-history.vala       |  5 +++++
 libgitg-ext/gitg-ext-selectable.vala |  1 +
 4 files changed, 24 insertions(+)

2015-08-06 Jesse van den Kieboom <jessevdk@gnome.org>
commit ed790cde07679bb02ebe6b0ea4df7428046a1675

    Improve expand/collapse behavior of diff-view

 libgitg/resources/ui/diff-view/diff-view.css  |  55 ++++++++++----
 libgitg/resources/ui/diff-view/diff-view.html |   5 +-
 libgitg/resources/ui/diff-view/diff-view.js   | 100 +++++++++++++++++++++++++-
 3 files changed, 142 insertions(+), 18 deletions(-)

2015-08-06 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9f8122b74be4067159ec345e16830e0c99c720dc

    Avoid updating walker if already disposed or repository is null
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748974

 gitg/history/gitg-history.vala | 76 ++++++++++++++++++++++++++++++------------
 1 file changed, 55 insertions(+), 21 deletions(-)

2015-08-06 Jesse van den Kieboom <jessevdk@gnome.org>
commit 64b17f3e7f0d13866b6e2a03318004b1f2c99210

    Set repository to null when closing window
    
    This forces some finalization and cleanup to happen

 gitg/gitg-window.vala | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

2015-08-06 Piotr Drąg <piotrdrag@gmail.com>
commit 61980f2fd1f7123f09ec076f36fc158ba9ad4d5a

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 36146039c4bbe759403d7deed373c4f6b765569d

    Add command line arguments to select all branches, remotes and tags
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737749

 gitg/history/gitg-history-command-line.vala | 50 ++++++++++++++++++---------
 gitg/history/gitg-history-refs-list.vala    | 52 +++++++++++++++++++++--------
 2 files changed, 74 insertions(+), 28 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 851ec89d26f785ca1a1937496557c16a7a97e48e

    Fix copyright year

 libgitg-ext/gitg-ext-command-lines.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 02b6bb0681dd58424daeadd6a4b8e2fdbc7b3ed3

    Protect against head_name being null

 gitg/gitg-window.vala | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit da97b253672ae4e1380263215d03663a28dd8f23

    Add utility to strip home dir

 gitg/Makefile.am         |  1 +
 gitg/gitg-dash-view.vala | 24 +--------------------
 gitg/gitg-utils.vala     | 55 ++++++++++++++++++++++++++++++++++++++++++++++++
 gitg/gitg-window.vala    |  9 +-------
 4 files changed, 58 insertions(+), 31 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit b93ec1d622fba9368f2063a1d76e22bdaadb3dfe

    Offer to create new repository when adding non git directory
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741110

 gitg/gitg-dash-view.vala             | 118 +++++++++++++++++++++++++++++------
 gitg/gitg-window.vala                |   5 ++
 libgitg-ext/gitg-ext-user-query.vala |   1 +
 3 files changed, 106 insertions(+), 18 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 070f5cea4ed61c04e72000fa68e8ea092a9d1fb9

    Wrap init_repository

 libgitg/gitg-repository.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit a46ba915c08f74e83e1e965d4c16e447d7b3b106

    Rename open repository to add repository

 gitg/gitg-dash-view.vala            | 2 +-
 gitg/resources/ui/gitg-dash-view.ui | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5a560b846d4ac9f4efabe82d84f97ff9c6d4b049

    Implement deleting untracked files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743168

 gitg/commit/gitg-commit.vala | 125 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 13cbe9a6c4d699c7495ed8959b59ef34b2b6ad8a

    Set default on user query actions

 gitg/gitg-window.vala                | 21 ++++++++++++++++++---
 libgitg-ext/gitg-ext-user-query.vala |  1 +
 2 files changed, 19 insertions(+), 3 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7136f0e0867165f25f7cd4309b8b9e7b230e666d

    Fix racy conditions in commit walking

 libgitg/gitg-commit-model.vala | 85 ++++++++++++++++++++++--------------------
 plugins/diff/gitg-diff.vala    |  8 ++++
 2 files changed, 53 insertions(+), 40 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit c2fd37bba4aa291094f9fb01067b72df1f87c7d2

    Scroll to row after selecting it

 gitg/history/gitg-history-refs-list.vala | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit 39f8ad059f304de452bf30e62fae88eab64c94dc

    Remove trailing whitespace

 gitg/gitg-ui-elements.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit b35e9452bb9886fc63fa4c484db7ade617697082

    Add command line arguments to select initial ref in history
    
      -a, --all                         to select all commits
      -s, --select-reference REFERENCE  to select REFERENCE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740033

 gitg/Makefile.am                            |  1 +
 gitg/history/gitg-history-command-line.vala | 93 +++++++++++++++++++++++++++++
 gitg/history/gitg-history-refs-list.vala    | 36 ++++++++++-
 gitg/history/gitg-history.vala              |  5 ++
 libgitg/gitg-repository.vala                |  5 ++
 5 files changed, 138 insertions(+), 2 deletions(-)

2015-08-05 Jesse van den Kieboom <jessevdk@gnome.org>
commit dba244de0f46078ff01b2c481d69cb9e679ccacd

    Improve support for extension command line arguments

 gitg/gitg-application.vala              | 65 ++++++++++++++++-------------
 gitg/gitg-ui-elements.vala              |  5 +++
 gitg/gitg-window.vala                   | 73 +++++++++++++++++++++++----------
 libgitg-ext/Makefile.am                 |  1 +
 libgitg-ext/gitg-ext-application.vala   |  3 +-
 libgitg-ext/gitg-ext-command-line.vala  |  2 +
 libgitg-ext/gitg-ext-command-lines.vala | 62 ++++++++++++++++++++++++++++
 7 files changed, 161 insertions(+), 50 deletions(-)

2015-08-05 Ignacio Casal Quinteiro <icq@gnome.org>
commit c086d964660b25620caf0871c618e93c742e6fa2

    Be safe against the submodule url being null

 gitg/commit/gitg-commit-submodule-info.vala |  5 +++--
 libgitg/gitg-repository-list-box.vala       | 10 ++++++++--
 2 files changed, 11 insertions(+), 4 deletions(-)

2015-08-05 Ignacio Casal Quinteiro <icq@gnome.org>
commit 079b8a8aea78c127088b366187574481cabdfd9f

    clone-dialog: set clone as has-default so the dialog sets the suggested-action
    
    It seems that the dialog will add or remove the suggested-action class
    depending on whether the widget has the has-default property enabled.

 gitg/resources/ui/gitg-clone-dialog.ui | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit 2d4d793120819a7a3693e43ff88df84e7fcf5b04

    Fix writing config in encoding test

 tests/libgitg/test-encoding.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit a996119a7c43d35fe9081e03aa903e29f9b81c92

    Add translation contexts for Commit string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746633

 gitg/commit/gitg-commit.vala                  | 2 +-
 gitg/preferences/gitg-preferences-commit.vala | 2 +-
 gitg/resources/ui/gitg-commit-dialog.ui       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6945321a94ffdc0f5651415050a6f602900a24dc

    Remove trailing whitespace

 libgitg/gitg-credentials-manager.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit 4bd03bdccd3ea002a9022cf652897a0674cfd68c

    Set LC_COLLATE to the "C" locale for use with git2
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749293

 gitg/gitg.vala | 4 ++++
 1 file changed, 4 insertions(+)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit 178d3dc0147752965384dd6ead0a04d0651440c9

    Open link to bugzilla on error in user browser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749294

 libgitg/resources/ui/diff-view/diff-view-html-builder.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit c8ce18e5e5bdb10ccb6593e8efb9b5bc50d67875

    Stage/unstage all selected items when pressing Enter in list

 gitg/commit/gitg-commit.vala          | 44 +++++++++++++++++++++-----
 libgitg/gitg-repository-list-box.vala |  1 +
 libgitg/gitg-sidebar.vala             | 59 +++++++++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+), 8 deletions(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit daab32a55b428e1c3cb42091072e2b8f6c38c873

    Increase fixed width of subject column

 gitg/resources/ui/gitg-history-paned.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-08-04 Jesse van den Kieboom <jessevdk@gnome.org>
commit 8786f4f068526ac8c62b5c164c15c95b58ace1eb

    Rework the dash view implementation
    
    - Make the dash view more self contained
    - Move the open and clone menu options in an action bar
    - Add cloning authentication/credentials

 gitg/gitg-dash-view.vala                           | 229 +++++++++++++++++++--
 gitg/gitg-remote-manager.vala                      |   9 +-
 gitg/gitg-window.vala                              |  66 +-----
 gitg/resources/gitg-resources.xml                  |   1 +
 gitg/resources/ui/gitg-dash-view.ui                |  63 ++++++
 gitg/resources/ui/gitg-menus.ui                    |  10 -
 gitg/resources/ui/gitg-window.ui                   |  19 +-
 libgitg-ext/gitg-ext-application.vala              |   2 +
 libgitg/gitg-credentials-manager.vala              | 100 +++++----
 libgitg/gitg-remote.vala                           |   9 -
 libgitg/gitg-repository-list-box.vala              | 147 ++++---------
 .../resources/ui/gitg-repository-list-box-row.ui   |   1 +
 po/POTFILES.in                                     |   2 +
 po/POTFILES.skip                                   |   1 +
 14 files changed, 394 insertions(+), 265 deletions(-)

2015-08-03 Jesse van den Kieboom <jessevdk@gnome.org>
commit ee8c80e6d7738996831f45cebefed06c1e8f09ab

    Add destructive-action class to dash delete button

 gitg/gitg-dash-view.vala | 1 +
 1 file changed, 1 insertion(+)

2015-08-02 Dušan Kazik <prescott66@gmail.com>
commit 857ee9e168c9e1c27a4156f9c5f25eb43d7e9ae4

    Updated Slovak translation

 po/sk.po | 224 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 120 insertions(+), 104 deletions(-)

2015-08-02 Ting-Wei Lan <lantw@src.gnome.org>
commit 4c185420e8347f9d454fddeb41a0003c986b9d4f

    build: Do not use LDFLAGS to add libraries
    
    Libraries should be added to LIBADD or LDADD, not LDFLAGS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753140

 gitg/Makefile.am          |  8 ++++----
 libgitg-ext/Makefile.am   |  6 +++---
 libgitg/Makefile.am       |  4 +++-
 plugins/diff/Makefile.am  |  5 +++--
 plugins/files/Makefile.am |  5 +++--
 tests/Makefile.am         | 11 ++++-------
 tests/libgitg/Makefile.am |  6 ++----
 7 files changed, 22 insertions(+), 23 deletions(-)

2015-08-01 Jesse van den Kieboom <jessevdk@gnome.org>
commit b182dafae55bfd408686bc9269fa0f5daa4107e4

    Move activity switch buttons on the right

 gitg/gitg-window.vala            |  2 +-
 gitg/resources/ui/gitg-window.ui | 16 ++++++++--------
 2 files changed, 9 insertions(+), 9 deletions(-)

2015-08-01 Jesse van den Kieboom <jessevdk@gnome.org>
commit f7275d2603bf766e2e464f407dd9e31583c2b636

    Only animate panes when gtk_enable_animations is set

 gitg/gitg-animated-paned.vala        | 53 ++++++++++++++++++++++++++++--------
 gitg/history/gitg-history-paned.vala | 19 ++++++++-----
 2 files changed, 54 insertions(+), 18 deletions(-)

2015-08-01 Jesse van den Kieboom <jessevdk@gnome.org>
commit b1fe13bba4dc812c0cd152da637bd11aac97b63b

    Use name from callback to lookup submodule

 libgitg/gitg-stage-status-enumerator.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2015-08-01 Jesse van den Kieboom <jessevdk@gnome.org>
commit 20aa1e59dbeb966f028abea662fa008106c358bc

    Avoid holding on to temporary submodule instance

 libgitg/gitg-stage-status-enumerator.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

2015-08-01 Pedro Albuquerque <palbuquerque73@gmail.com>
commit 058d91ebd61ddea05ffd976831d86494d86efd27

    Updated Portuguese translation

 po/pt.po | 229 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 122 insertions(+), 107 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 18fb8fdcbc21f25d73a990473e603d44dd1d8cd7

    Ensure to update row fraction for cloning in main thread

 libgitg/gitg-repository-list-box.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 7c78782f52d2b0853184f4b5686d0dddb7365f30

    Fix inverted check for loading in repository row

 libgitg/gitg-repository-list-box.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit c65df170031940711665663a8b567c737d00762e

    Fix clone url validity check

 gitg/gitg-clone-dialog.vala | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit a3cfb3d0da988dbba91c93d47a1ef052aca4af25

    Require exact minor version of libgit2-glib

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit bb22c056722473c2b17138b842bac2641da843f4

    Make use of gravatar optional and a preference setting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744159

 data/org.gnome.gitg.gschema.xml.in.in            |  7 ++
 gitg/commit/gitg-commit-dialog.vala              | 62 ++++++++++++-----
 gitg/commit/gitg-commit.vala                     | 27 ++++---
 gitg/preferences/gitg-preferences-interface.vala |  8 +++
 gitg/resources/ui/gitg-preferences-interface.ui  | 89 +++++++++++++-----------
 libgitg/gitg-diff-view.vala                      | 17 +++++
 libgitg/resources/ui/diff-view/diff-view.js      | 59 ++++++++--------
 plugins/diff/gitg-diff.vala                      |  8 +++
 8 files changed, 184 insertions(+), 93 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit a2480f2074c1af407fa4d50dd613bb438f523e8b

    Do not proxy unused callbacks as signals on remote

 libgitg/gitg-remote.vala | 6 ------
 1 file changed, 6 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit d55e87f465457ea45c70d77c23ff75b9d6d8e614

    Expose transfer progress property on Gitg.Remote

 gitg/history/gitg-history-refs-list.vala |  4 +-
 libgitg/gitg-remote.vala                 | 86 ++++++++++++++++++++++++++++++--
 2 files changed, 82 insertions(+), 8 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0401649176afe2241118ae1927b7d0887025e1a0

    Temporarily comment out transfer progress binding

 gitg/history/gitg-history-refs-list.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 0be0cc162b89598ca2fdad6751b36c4286f4e5bd

    Binary delta callback must be non-null

 libgitg/gitg-diff-view-request-diff.vala | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 5ce45398aeffbf613d86b947efa902530a3ea5f9

    Add remote signals and allow user callbacks

 gitg/gitg-remote-manager.vala |  14 ++--
 libgitg/gitg-remote.vala      | 173 +++++++++++++++++++++++++++++++++++-------
 2 files changed, 152 insertions(+), 35 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 75d1148df914a4e4e52b302d2252bb83bdd1f92d

    Use config snapshot when reading config values

 gitg/gitg-author-details-dialog.vala      | 18 ++++++++++++------
 gitg/gitg-remote-manager.vala             |  2 +-
 gitg/history/gitg-history.vala            |  2 +-
 libgitg/gitg-credentials-manager.vala     |  2 +-
 libgitg/gitg-repository.vala              |  2 +-
 libgitg/gitg-stage-status-enumerator.vala |  2 +-
 libgitg/gitg-stage.vala                   |  2 +-
 tests/libgitg/test-encoding.vala          |  2 +-
 8 files changed, 19 insertions(+), 13 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 67b3180a222dab3da8497ca59e01e767a08fc371

    Small updates for new API

 gitg/gitg-commit-action-create-branch.vala | 12 +-----------
 gitg/gitg-ref-action-fetch.vala            | 14 +-------------
 gitg/gitg-ref-action-rename.vala           | 12 +-----------
 3 files changed, 3 insertions(+), 35 deletions(-)

2015-07-31 Jesse van den Kieboom <jessevdk@gnome.org>
commit 228c7f71a9b0db16a5372c26503fc716384757b0

    Remove unneeded [Notify] attribute

 gitg/commit/gitg-commit-dialog.vala      | 11 -----------
 gitg/commit/gitg-commit.vala             |  1 -
 gitg/gitg-dash-view.vala                 |  1 -
 gitg/gitg-ui-elements.vala               |  1 -
 gitg/history/gitg-history-paned.vala     |  2 --
 gitg/history/gitg-history-refs-list.vala |  1 -
 gitg/history/gitg-history.vala           |  2 --
 libgitg-ext/gitg-ext-selectable.vala     |  1 -
 libgitg/gitg-commit-model.vala           |  1 -
 libgitg/gitg-diff-view.vala              |  1 -
 libgitg/gitg-repository-list-box.vala    |  2 --
 11 files changed, 24 deletions(-)

2015-07-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 9545eeec65774ba4df06d5bb70b8e3aa26110f46

    Override storing callbacks in GitgRemote

 libgitg/gitg-remote.vala | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

2015-07-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit 4faa86f163f23c0b7bacc2a60cb34e6ec2b1cbc2

    Override storing ref specs on custom GitgRemote

 gitg/gitg-remote-manager.vala | 25 +++++--------------------
 libgitg/gitg-remote.vala      | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 20 deletions(-)

2015-07-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit eff2b28f1f3b2204ada8390f8fd402a1b3baadb2

    Set remote fetch callbacks before setting fetch options in clone options

 libgitg/gitg-repository-list-box.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

2015-07-30 Jesse van den Kieboom <jessevdk@gnome.org>
commit b6d757f05a26da9cdfa6d1360f6abc035ad84931

    No need to store repository with StageStatusSubmodule

 libgitg/gitg-stage-status-enumerator.vala | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

2015-07-29 Ignacio Casal Quinteiro <icq@gnome.org>
commit cbce110e68c16a59212fda7c5ca0ac35bcaa7fa4

    diff-view-request-diff: pass null for the binary callback

 libgitg/gitg-diff-view-request-diff.vala | 3 +++
 1 file changed, 3 insertions(+)

2015-07-28 Ignacio Casal Quinteiro <icq@gnome.org>
commit c9e2cba18f929f8055d89063c369d1686d366304

    repository: fix api break

 libgitg/gitg-repository.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

2015-07-28 Ignacio Casal Quinteiro <icq@gnome.org>
commit 96906c3b15a05b39fd50be70082920a5aaf2b47c

    list-box: use the new intermediate fetch options

 libgitg/gitg-repository-list-box.vala | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

2015-07-28 Ignacio Casal Quinteiro <icq@gnome.org>
commit f5f45306794047404654681e3ade14cdc782df87

    Fix status enumerator api breaks

 libgitg/gitg-stage-status-enumerator.vala | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

2015-07-28 Ignacio Casal Quinteiro <icq@gnome.org>
commit 606c63c0b9a31f7968271b7f1f080356746abec3

    --save-temps has no effect when -C or --ccode is set

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-07-28 Ignacio Casal Quinteiro <icq@gnome.org>
commit d5b8413d12f3b91745cdebee552478c6a0d743ae

    Bump libgit2-glib to 0.23.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-07-04 Pedro Albuquerque <palbuquerque73@gmail.com>
commit 90d2a2dcce4f45f5f9a56dbbadba12421d88a559

    Updated Portuguese translation

 po/pt.po | 47 +++--------------------------------------------
 1 file changed, 3 insertions(+), 44 deletions(-)

2015-06-29 Pedro Albuquerque <palbuquerque73@gmail.com>
commit ec1042dc900d2b401e37d32e75d01f0fec53eac8

    Updated Portuguese translation

 po/pt.po | 940 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 779 insertions(+), 161 deletions(-)

2015-06-06 Muhammet Kara <muhammetk@gmail.com>
commit 2f9c6a4d411f540dc79ffb48c92f10e83d4cb6a2

    Updated Turkish translation

 po/tr.po | 982 +++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 765 insertions(+), 217 deletions(-)

2015-05-09 Mitchell Hentges <mitch9654@gmail.com>
commit bb630e0bab9ec889562134143e2949b3b84e3f95

    Back button is now always hidden on dash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749147

 gitg/gitg-window.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-05-04 Jesse van den Kieboom <jessevdk@gmail.com>
commit 779bf56ad3e1ffdb091c0fafc4929dade0cf0f5a

    Improve author info layout

 libgitg/resources/ui/diff-view/diff-view.css  |  4 +--
 libgitg/resources/ui/diff-view/diff-view.html |  4 +--
 libgitg/resources/ui/diff-view/diff-view.js   | 49 ++++++++++++++++++++-------
 3 files changed, 41 insertions(+), 16 deletions(-)

2015-05-04 Jesse van den Kieboom <jessevdk@gmail.com>
commit fb8c9f526b929825cdeb5f17e27515c4bcda35ee

    Fix getting icon at correct size

 libgitg/gitg-diff-view-request-icon.vala | 72 ++++++++++++++++----------------
 1 file changed, 36 insertions(+), 36 deletions(-)

2015-05-03 Mitchell Hentges <mhentges@arrow.ca>
commit 4537edb3528154fea5b0cd3097484bb34d4a91ec

    Terminates autogen if can't download submodule

 autogen.sh | 5 +++++
 1 file changed, 5 insertions(+)

2015-04-29 Garrett Regier <garrettregier@gmail.com>
commit 5d85e7e32dcebb342f09cb7e3495fc717bec4713

    Release 3.16.1

 NEWS         | 7 +++++++
 README       | 6 +++---
 configure.ac | 2 +-
 3 files changed, 11 insertions(+), 4 deletions(-)

2015-04-28 Cédric Valmary <cvalmary@yahoo.fr>
commit 30234897ea9d037f1ebfa137a6f4c4486b38558a

    Added Occitan translation

 po/LINGUAS |    1 +
 po/oc.po   | 1252 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1253 insertions(+)

2015-04-23 Felipe Braga <fbobraga@gmail.com>
commit 50faff33f9ac052c579de72364c18aba66b6eead

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 631 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 392 insertions(+), 239 deletions(-)

2015-04-15 Kalev Lember <kalevlember@gmail.com>
commit 1e0da0c37fe847fd7494f10bbba6ed1842d19efa

    configure: Include passed in cflags for threading support check
    
    This fixes the Fedora 23 build where the cflags and ldflags have to
    match. Otherwise, if the configure check throws away cflags but uses
    ldflags, the check fails with a linker error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747874

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2015-04-12 Matej Urbančič <mateju@svn.gnome.org>
commit 3b5714e942b3499e2cf5f9e28d1eef272e655359

    Updated Slovenian translation

 po/sl.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

2015-03-29 Matej Urbančič <mateju@svn.gnome.org>
commit cf18941ca3a49afbf6de1171d36824d951ef2b09

    Updated Slovenian translation

 po/sl.po | 65 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 31 insertions(+), 34 deletions(-)

2015-03-27 Ignacio Casal Quinteiro <icq@gnome.org>
commit c7b9a8fbb310dc66e3bb9c061c9944de48fffe6c

    sidebar: remove deprecated property

 libgitg/resources/ui/gitg-sidebar.ui | 1 -
 1 file changed, 1 deletion(-)

2015-03-24 Garrett Regier <garrettregier@gmail.com>
commit db7e049f7735ed96e99248e87c033a15a1f199c4

    Release 3.16.0

 NEWS         | 6 ++++++
 README       | 6 +++---
 configure.ac | 4 ++--
 3 files changed, 11 insertions(+), 5 deletions(-)

2015-03-23 Dušan Kazik <prescott66@gmail.com>
commit 981e457cba75f815d441f3431b6a63d98b01465e

    Updated Slovak translation

 po/sk.po | 708 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 398 insertions(+), 310 deletions(-)

2015-03-22 Jiro Matsuzawa <jmatsuzawa@gnome.org>
commit 407cb6b7b490be2b24bbc44a4329f2b2ec647d6c

    l10n: Add Japanese translation

 po/LINGUAS |   1 +
 po/ja.po   | 580 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 581 insertions(+)

2015-03-21 Kenneth Nielsen <k.nielsen81@gmail.com>
commit 11b8b96ba7f7f2bf9b5213ef4df1d77b301f4ae3

    Updated Danish translation

 po/da.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

2015-03-21 Aurimas Černius <aurisc4@gmail.com>
commit c57921030fd1281a0c4cfcfec2d5794dd8267453

    Updated Lithuanian translation

 po/lt.po | 34 +++++++++++++---------------------
 1 file changed, 13 insertions(+), 21 deletions(-)

2015-03-21 Inaki Larranaga Murgoitio <dooteo@zundan.com>
commit e7d4417454d7a15495cd338f978434eaf48d4890

    Updated Basque language

 po/eu.po | 69 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 40 insertions(+), 29 deletions(-)

2015-03-19 Cheng-Chia Tseng <>
commit 276c42e22e424ca14820f10c38e2f24d7ffaa964

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

2015-03-18 Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
commit 08867869941c60a80cc80ddb04b19a81961f7eb2

    Updated German translation

 po/de.po | 1286 +++++++++++++++++++-------------------------------------------
 1 file changed, 387 insertions(+), 899 deletions(-)

2015-03-18 Claude Paroz <claude@2xlibre.net>
commit 807f4c7440f538c3e62dc571beb4903db40f2d62

    Updated French translation

 po/fr.po | 34 ++++++++++++++++++----------------
 1 file changed, 18 insertions(+), 16 deletions(-)

2015-03-18 Fran Dieguez <fran.dieguez@mabishu.com>
commit 1e18609598f2e6b8213b1858b41a81eab6daa273

    Updated Galician translations

 po/gl.po | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

2015-03-17 Anders Jonsson <anders.jonsson@norsjovallen.se>
commit 04a51a3701dd67edb32df9440dc9d05f81b554bb

    Updated Swedish translation

 po/sv.po | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

2015-03-17 Piotr Drąg <piotrdrag@gmail.com>
commit dfcddb8b44c10485d960451ced66a570bd2f1127

    Updated Polish translation

 po/pl.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

2015-03-17 Garrett Regier <garrettregier@gmail.com>
commit 076fcdf5c04f21507a1e096d8b975c27c589afa3

    Release 3.15.2

 NEWS         | 14 ++++++++++++++
 README       |  6 +++---
 configure.ac |  2 +-
 3 files changed, 18 insertions(+), 4 deletions(-)

2015-03-17 Yosef Or Boczko <yoseforb@src.gnome.org>
commit 9b92b79cc4194fc00aa99662c9354a160cbef189

    Updated Hebrew translation

 po/he.po | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

2015-03-16 Milo Casagrande <milo@ubuntu.com>
commit eff83552823b050fc42febdb2bd2c1349ba1b442

    Updated Italian translation

 po/it.po | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

2015-03-16 Daniel Mustieles <daniel.mustieles@gmail.com>
commit c39d212503112674483a933f29df4ead1338229c

    Updated Spanish translation

 po/es.po | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

2015-03-16 Marek Černocký <marek@manet.cz>
commit 0fc30649873de5ea76a4fd6db5ca47882c96e479

    Updated Czech translation

 po/cs.po | 46 +++++++++++++++-------------------------------
 1 file changed, 15 insertions(+), 31 deletions(-)

2015-03-16 Seong-ho Cho <shcho@gnome.org>
commit 1c74e2a06432f511fe64bf2aa0d17e17c689a3f6

    Updated Korean translation

 po/ko.po | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

2015-03-15 Tom Tryfonidis <tomtryf@gmail.com>
commit 9b337cb18ac262ff7bb5806941e8032eb0b7ba62

    Updated Greek translation

 po/el.po | 40 ++++++++++++++++------------------------
 1 file changed, 16 insertions(+), 24 deletions(-)

2015-03-15 Kenneth Nielsen <k.nielsen81@gmail.com>
commit 3422caef1fc57b7eb480fbb1dedb5d992837141b

    Updated Danish translation

 po/da.po | 483 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 347 insertions(+), 136 deletions(-)

2015-03-15 Matej Urbančič <mateju@svn.gnome.org>
commit 7da2cff9276366fe1552df6a8b9f11aae67bc897

    Updated Slovenian translation

 po/sl.po | 476 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 343 insertions(+), 133 deletions(-)

2015-03-15 Balázs Úr <urbalazs@gmail.com>
commit 33b47a886b777706d8f558ba703fd9dbecb1bc7c

    Updated Hungarian translation

 po/hu.po | 56 ++++++++++++++++++++++++--------------------------------
 1 file changed, 24 insertions(+), 32 deletions(-)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 147f8f6d5cfc53ec0616e8f1bbabba6db759b0b1

    Show committer date in commit info

 libgitg/resources/ui/diff-view/diff-view.css  | 12 +++++++++++-
 libgitg/resources/ui/diff-view/diff-view.html |  6 +++---
 libgitg/resources/ui/diff-view/diff-view.js   |  8 +++++---
 3 files changed, 19 insertions(+), 7 deletions(-)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 355711267609144a2da0fd9c893374a70e3f7688

    Deep extend diff settings to preserve defaults

 libgitg/resources/ui/diff-view/diff-view.js | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 28f7631be7d0d79302924e839aa46ed07fd92c3f

    Show committer in diff when differs from author

 libgitg/gitg-diff-view.vala                   |  1 +
 libgitg/resources/ui/diff-view/diff-view.css  |  5 ++++
 libgitg/resources/ui/diff-view/diff-view.html |  1 +
 libgitg/resources/ui/diff-view/diff-view.js   | 33 +++++++++++++++++++++++----
 4 files changed, 36 insertions(+), 4 deletions(-)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 03348c97a8794d4568c49514f45535a11b395fcb

    Select row when going into selection mode
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=742255.

 libgitg/gitg-repository-list-box.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 216f76a05158196feed26b8f4a61d35417b1e7bd

    Do not use null repository in remote manager

 gitg/gitg-remote-manager.vala | 5 +++++
 1 file changed, 5 insertions(+)

2015-03-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit 7ba9eff516771b656fc9b1bf70ed9b6361230860

    Fix scalable icon install path

 data/icons/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-03-09 Jakub Steiner <jimmac@gmail.com>
commit d5ef04680eb45fe50438c29b3404dd4c667e12d5

    provide a symbolic variant of the app icon
    
    - used for the app menu and the High Contrast theme
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745789

 data/icons/Makefile.am                             |  3 ++-
 data/icons/hicolor_apps_scalable_gitg-symbolic.svg | 27 ++++++++++++++++++++++
 2 files changed, 29 insertions(+), 1 deletion(-)

2015-03-13 Samir Ribic <samir.ribic@etf.unsa.ba>
commit 7ed7a1d5d737db02eb9f42ae55de81cabbc8e438

    Added Bosnian translation

 po/LINGUAS |    1 +
 po/bs.po   | 1201 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1202 insertions(+)

2015-03-13 Мирослав Николић <miroslavnikolic@rocketmail.com>
commit 2463ba09b799485d8ef80965cd94dbc725b00a06

    Updated Serbian translation

 po/sr.po       | 519 +++++++++++++++++++++++++++++++++++++++------------------
 po/sr@latin.po | 519 +++++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 714 insertions(+), 324 deletions(-)

2015-03-10 Milo Casagrande <milo@ubuntu.com>
commit dd6434be2a45f290d23d36b952e853731878920d

    Updated Italian translation

 po/it.po | 485 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 339 insertions(+), 146 deletions(-)

2015-03-09 Jesse van den Kieboom <jessevdk@gmail.com>
commit 355e70a2a6b80069c7f8fb2be5395f3b123c212c

    Make links in commit messages clickable

 libgitg/gitg-diff-view.vala                 | 11 +++++++++++
 libgitg/resources/ui/diff-view/diff-view.js | 14 ++++++++++++--
 2 files changed, 23 insertions(+), 2 deletions(-)

2015-03-08 Sebastian Rasmussen <sebras@gmail.com>
commit fe332c505c3861f6727220f95b408e67e800c512

    Updated Swedish translation

 po/sv.po | 528 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 376 insertions(+), 152 deletions(-)

2015-03-08 Jesse van den Kieboom <jessevdk@gmail.com>
commit bf15cb69e1af9242234da66f405e659d7e12a255

    Add gitg config to ignore certain submodules

 libgitg/gitg-stage-status-enumerator.vala | 38 +++++++++++++++++++++++++++++--
 1 file changed, 36 insertions(+), 2 deletions(-)

2015-03-08 Seong-ho Cho <shcho@gnome.org>
commit e246093fb17e74472ae1d5833aec926fdca74245

    Updated Korean translation

 po/ko.po | 991 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 340 insertions(+), 651 deletions(-)

2015-03-05 Piotr Drąg <piotrdrag@gmail.com>
commit f5b89c7cca2a157386dfe1bf2256fe9c1173d993

    Updated Polish translation

 po/pl.po | 488 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 345 insertions(+), 143 deletions(-)

2015-03-05 Stas Solovey <whats_up@tut.by>
commit 726fd7231a4360c4100ada7e0dece609271ca455

    Updated Russian translation

 po/ru.po | 483 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 339 insertions(+), 144 deletions(-)

2015-03-02 Guillaume Bernard <translate@filorin.fr>
commit 36de4871cb41f5a1c328494b96af6cfce417d0df

    Updated French translation

 po/fr.po | 481 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 343 insertions(+), 138 deletions(-)

2015-02-28 Matej Urbančič <mateju@svn.gnome.org>
commit 08fec70f84e5ca8155e4e4edcf77d5df82b6dcd5

    Updated Slovenian translation

 po/sl.po | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

2015-02-28 Aurimas Černius <aurisc4@gmail.com>
commit 922e0d3081ba986b7807883b41614b4be08791d3

    Updated Lithuanian translation

 po/lt.po | 491 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 352 insertions(+), 139 deletions(-)

2015-02-26 Cheng-Chia Tseng <pswo10680@gmail.com>
commit b9f82d505973ea1e98b9f01c2ea49c4169bfdc8c

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 47 +++++++++++++++++++++++------------------------
 1 file changed, 23 insertions(+), 24 deletions(-)

2015-02-23 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
commit 59348ec38e7c2d895bbd3cd6505936e5f52381fe

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 540 ++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 361 insertions(+), 179 deletions(-)

2015-02-19 Fran Dieguez <fran.dieguez@mabishu.com>
commit 9b77c7fb3099a2302686135519ac68c1cddaaba2

    Updated Galician translations

 po/gl.po | 490 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 342 insertions(+), 148 deletions(-)

2015-02-15 Matej Urbančič <mateju@svn.gnome.org>
commit 5e5122a6a9140fa2fbe5192f0e2652bb26e99d9e

    Updated Slovenian translation

 po/sl.po | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

2015-02-15 Matej Urbančič <mateju@svn.gnome.org>
commit 9feca8c58ae9fd31a3460d33fa524cbb5ea5916a

    Updated Slovenian translation

 po/sl.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2015-02-15 Matej Urbančič <mateju@svn.gnome.org>
commit ceedf619321d893bf367efbee7d00c59a1294c3a

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

2015-02-15 Matej Urbančič <mateju@svn.gnome.org>
commit 8fa57197f507847164bec22a708de08d30c759cd

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

2015-02-15 Matej Urbančič <mateju@svn.gnome.org>
commit 672d9a09b9de673938ddee2ec82e39869b6007f1

    Updated Slovenian translation

 po/sl.po | 552 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 464 insertions(+), 88 deletions(-)

2015-02-15 Yuri Myasoedov <ymyasoedov@yandex.ru>
commit c31ee31e3d955bc0d18d4288699a2b8a8b0256a5

    Updated Russian translation

 po/ru.po | 122 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 60 insertions(+), 62 deletions(-)

2015-02-12 Kjartan Maraas <kmaraas@gnome.org>
commit 6845f4dbe21dab9cc8ab76db35ba924903f8054b

    Updated Norwegian bokmål translation.

 po/nb.po | 510 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 344 insertions(+), 166 deletions(-)

2015-02-09 Ignacio Casal Quinteiro <icq@gnome.org>
commit b9ca268b84a3d838dd8e1cce6eb52592555257ab

    Release 3.15.1

 NEWS         | 20 ++++++++++++++++++++
 README       |  6 +++---
 configure.ac |  4 ++--
 3 files changed, 25 insertions(+), 5 deletions(-)

2015-02-07 Inaki Larranaga Murgoitio <dooteo@zundan.com>
commit 3bfab91e3eb7d5238add51b188592adb6ffc137a

    Added Basque language\nAdded 'eu' (Basque) to LINGUAS

 po/LINGUAS |    1 +
 po/eu.po   | 1232 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1233 insertions(+)

2015-01-24 Dimitris Spingos <dmtrs32@gmail.com>
commit bb7e97442859faa92207c4b287e3d8b4527abc3a

    Updated Greek translation

 po/el.po | 551 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 386 insertions(+), 165 deletions(-)

2015-01-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit a1f43c1c985e48b8c8ca941e3d1c8d1dcc19122a

    Fix api breaks from libgit2-glib

 gitg/gitg-author-details-dialog.vala | 1 -
 gitg/gitg-clone-dialog.vala          | 5 +----
 gitg/gitg-remote-manager.vala        | 2 +-
 libgitg/gitg-remote.vala             | 2 +-
 4 files changed, 3 insertions(+), 7 deletions(-)

2015-01-18 Ignacio Casal Quinteiro <icq@gnome.org>
commit ece73d4d602eb6e446e19ce69ff040a69d8072b1

    Bump libgit2-glib to 0.22.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2015-01-12 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 52fe830e2911496ade0ec42ed1b50abbf0125432

    Updated Spanish translation

 po/es.po | 219 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 147 insertions(+), 72 deletions(-)

2015-01-09 Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
commit 3051a8609410e2d337fdda3293d97109050dd6f2

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   | 1157 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1158 insertions(+)

2015-01-09 Marek Černocký <marek@manet.cz>
commit 25098416f8c280c598cc76ef776e597f9b7a46dd

    Updated Czech translation

 po/cs.po | 481 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 347 insertions(+), 134 deletions(-)

2015-01-08 Gábor Kelemen <kelemeng@openscope.org>
commit 2cdfd64d2e3ba341673039166853eef9dd8c943e

    Updated Hungarian translation

 po/hu.po | 488 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 346 insertions(+), 142 deletions(-)

2015-01-06 Jesse van den Kieboom <jessevdk@gmail.com>
commit ededa1912be94cfe425ded54b98e8e3bf16b2acf

    Do not ignore submodules for checking index
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742376

 libgitg/gitg-stage.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2015-01-05 Jesse van den Kieboom <jessevdk@gmail.com>
commit 5651fc9483ab920bc2ecac98cccc8a75ff579ee3

    Improve search
    
    Searching now matches partially (not only prefixes) and
    will match on hashes.

 gitg/history/gitg-history.vala | 48 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 41 insertions(+), 7 deletions(-)

2015-01-01 Yosef Or Boczko <yoseforb@src.gnome.org>
commit bf57a64b8d3c70a107cada41f21f35404e016697

    Updated Hebrew translation

 po/he.po | 301 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 197 insertions(+), 104 deletions(-)

2014-12-27 Piotr Drąg <piotrdrag@gmail.com>
commit 5faffd7c65ea544ac422602e288a56af06dcf537

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 9 ++++++---
 po/POTFILES.skip | 1 +
 2 files changed, 7 insertions(+), 3 deletions(-)

2014-12-27 Jesse van den Kieboom <jessevdk@gmail.com>
commit 172eb33192b939feedfedb9da03f33c6a37989dd

    Add basic notification infrastructure

 gitg/Makefile.am                                 |   1 +
 gitg/gitg-notifications.vala                     | 104 ++++++++++++
 gitg/gitg-ref-action-fetch.vala                  |  40 +++++
 gitg/gitg-window.vala                            |  11 ++
 gitg/resources/ui/gitg-window.ui                 | 202 ++++++++++++-----------
 gitg/resources/ui/style.css                      |   5 +
 libgitg-ext/Makefile.am                          |   1 +
 libgitg-ext/gitg-ext-application.vala            |  12 +-
 libgitg-ext/gitg-ext-notifications.vala          |  31 ++++
 libgitg/Makefile.am                              |   1 +
 libgitg/gitg-remote-notification.vala            | 116 +++++++++++++
 libgitg/resources/resources.xml                  |   1 +
 libgitg/resources/ui/gitg-remote-notification.ui |  41 +++++
 13 files changed, 466 insertions(+), 100 deletions(-)

2014-12-27 Jesse van den Kieboom <jessevdk@gmail.com>
commit 6eebf966cbb3f3e3b86cf8091dcd49841e0ef10e

    Sort sources on alphabet

 gitg/Makefile.am        | 58 ++++++++++++++++++++++++-------------------------
 libgitg-ext/Makefile.am | 20 ++++++++---------
 libgitg/Makefile.am     | 46 +++++++++++++++++++--------------------
 3 files changed, 62 insertions(+), 62 deletions(-)

2014-12-27 Jesse van den Kieboom <jessevdk@gmail.com>
commit ee889c33561759a2670f228675eeebc9ce657181

    Cleanup libgitg resources

 libgitg/gitg-authentication-dialog.vala            |  2 +-
 libgitg/gitg-diff-view-options.vala                |  2 +-
 libgitg/gitg-diff-view-request-resource.vala       |  2 +-
 libgitg/gitg-diff-view.vala                        |  2 +-
 libgitg/gitg-repository-list-box.vala              |  2 +-
 libgitg/gitg-sidebar.vala                          |  2 +-
 libgitg/resources/resources.xml                    | 27 +++++++++-------------
 .../{ => ui/diff-view}/diff-view-html-builder.js   |  0
 .../{ => ui/diff-view}/diff-view-options.ui        |  0
 libgitg/resources/{ => ui/diff-view}/diff-view.css |  0
 .../resources/{ => ui/diff-view}/diff-view.html    |  0
 libgitg/resources/{ => ui/diff-view}/diff-view.js  |  0
 .../{ => ui/diff-view}/jquery-2.0.3.min.js         |  0
 .../{ => ui}/gitg-authentication-dialog.ui         |  0
 .../{ => ui}/gitg-repository-list-box-row.ui       |  0
 .../{sidebar-view.ui => ui/gitg-sidebar.ui}        |  0
 16 files changed, 17 insertions(+), 22 deletions(-)

2014-12-25 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0ba3ef739f8df3bfda1372e6aa78fe64a6c4e958

    Added gitg-authentication-dialog.ui to POTFILES.in

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

2014-12-25 Jesse van den Kieboom <jessevdk@gmail.com>
commit 3fc08e4b916b406dd7b7e650cf85b0b307fbb4f3

    Do not title case ref action

 gitg/gitg-ref-action-copy-name.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-25 Jesse van den Kieboom <jessevdk@gmail.com>
commit 8f7371789d5bd17425b76730aff849987f6f13f9

    Set margin on first child instead of row itself

 gitg/history/gitg-history-refs-list.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2014-12-25 Jesse van den Kieboom <jessevdk@gmail.com>
commit 1f0f2a415c740dd6da474697d7e5ecca6c70b1d8

    Fix fallback for failed ssh public key auth

 libgitg/gitg-credentials-manager.vala | 2 +-
 libgitg/gitg-remote.vala              | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

2014-12-25 Jesse van den Kieboom <jessevdk@gmail.com>
commit 795c4f17fe0e93f5e06dae05480cfa4f3677e543

    Re-authenticate after authentication failure

 libgitg/gitg-authentication-dialog.vala         | 29 ++++++++++++++++-
 libgitg/gitg-credentials-manager.vala           | 31 ++-----------------
 libgitg/gitg-remote.vala                        | 41 +++++++++++++++++++------
 libgitg/resources/gitg-authentication-dialog.ui | 32 +++++++++++++++----
 4 files changed, 89 insertions(+), 44 deletions(-)

2014-12-24 Jesse van den Kieboom <jessevdk@gmail.com>
commit 9d88e34a019a855786e1910148ac762f88bb4591

    Fix year in license notice

 libgitg/gitg-credentials-manager.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-24 Jesse van den Kieboom <jessevdk@gmail.com>
commit 17a60f9c220bd5fdba34bd588a7110dd22385ac4

    Implement basic user/pass auth

 configure.ac                                    |   2 +
 gitg/gitg-remote-manager.vala                   |  38 +---
 libgitg/Makefile.am                             |   3 +
 libgitg/gitg-authentication-dialog.vala         |  95 ++++++++
 libgitg/gitg-credentials-manager.vala           | 290 ++++++++++++++++++++++++
 libgitg/resources/gitg-authentication-dialog.ui | 205 +++++++++++++++++
 libgitg/resources/resources.xml                 |   1 +
 7 files changed, 600 insertions(+), 34 deletions(-)

2014-12-24 Ignacio Casal Quinteiro <icq@gnome.org>
commit 9e50bd6edcec60c50b0289e34efee6a84db384a2

    diff-view: use unicode triangles to expand/collapse

 libgitg/resources/diff-view.html | 3 ++-
 libgitg/resources/diff-view.js   | 8 +++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

2014-12-24 Jesse van den Kieboom <jessevdk@gmail.com>
commit 9cfcb91dc22beb05a461541eee52e5612fb12969

    Skip translations in gitg/gitg-ref-action-fetch.c

 po/POTFILES.skip | 1 +
 1 file changed, 1 insertion(+)

2014-12-24 Jesse van den Kieboom <jessevdk@gmail.com>
commit 5c1bb0116808cf108703264ed4442800dd02651b

    Fix credentials signature

 gitg/gitg-remote-manager.vala | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit b399bb2f4f17a47f8d9346c4b215fb5ed8d23b07

    Update refs after remote tip updates

 gitg/history/gitg-history-refs-list.vala | 77 +++++++++++++++++++++++++++-----
 gitg/history/gitg-history.vala           | 13 ++++++
 2 files changed, 80 insertions(+), 10 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit d6eff0ff1efb8f7aefb38a8c8072ca94c6f57026

    Compute correct y position of row from event

 gitg/history/gitg-history-refs-list.vala | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit 6192dc2b62b09450ee9e3aa73cde890807415003

    Implement basic fetch

 gitg/gitg-ref-action-fetch.vala | 158 +++++++++++++++++++++++-----------------
 1 file changed, 93 insertions(+), 65 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit 3050c5135965cdf0a3a8fddbe9403cfe607c076d

    Implement remote state tracking

 gitg/history/gitg-history-refs-list.vala     | 95 +++++++++++++++++++++++++++-
 gitg/history/gitg-history.vala               |  2 +
 gitg/resources/ui/gitg-history-ref-header.ui | 29 +++++++--
 gitg/resources/ui/style.css                  | 10 ++-
 4 files changed, 128 insertions(+), 8 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit 1a8960b3fca5b0cebf0d69fa9044ef52726eb87b

    Add remote management

 gitg/Makefile.am                        |   1 +
 gitg/gitg-remote-manager.vala           | 214 ++++++++++++++++++++++++++++++++
 gitg/gitg-window.vala                   |  11 ++
 libgitg-ext/Makefile.am                 |   1 +
 libgitg-ext/gitg-ext-application.vala   |   2 +
 libgitg-ext/gitg-ext-remote-lookup.vala |  30 +++++
 libgitg/Makefile.am                     |   3 +-
 libgitg/gitg-init.vala                  |   3 +
 libgitg/gitg-remote.vala                | 183 +++++++++++++++++++++++++++
 9 files changed, 447 insertions(+), 1 deletion(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0bdd143e5002828bddf891f4d4933f630e156213

    Add RefActionFetch

 gitg/Makefile.am                |  1 +
 gitg/gitg-ref-action-fetch.vala | 94 +++++++++++++++++++++++++++++++++++++++++
 gitg/history/gitg-history.vala  |  5 +++
 3 files changed, 100 insertions(+)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit c8d19f3f661d790c579a144cc88098f43b09e608

    Make discard dialog button position consistent

 gitg/commit/gitg-commit.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit d201ca75fbc11e289e2f86d2cf12f3a707dead4d

    Make sure to keep arrays alive in closures and async

 gitg/commit/gitg-commit.vala | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit 05fce7c77d90e7c5f092cb42cd678ad669ac7a25

    Fix for new remote callbacks API

 libgitg/gitg-repository-list-box.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit 70bbc79c2911f516dcecca3fbf01845349e23d2b

    Do not add selections as mainlines for headers

 gitg/history/gitg-history-refs-list.vala | 5 +++++
 gitg/history/gitg-history.vala           | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit d18fd2f82d452ee684f98153a97f98b0a9bc58ed

    Indentation cleanup

 libgitg-ext/gitg-ext-history.vala | 2 +-
 libgitg/gitg-init.vala            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

2014-12-23 Jesse van den Kieboom <jessevdk@gmail.com>
commit d0394b3d6d1b6230f8ed3028d5853a089414130b

    Fix diff function context trimming

 libgitg/gitg-diff-view-request-diff.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-22 Jesse van den Kieboom <jessevdk@gmail.com>
commit e2e6df76388be8780eec639646c3b20caa335e59

    Show hunk context in diff

 libgitg/gitg-diff-view-request-diff.vala    | 10 +++++++++-
 libgitg/resources/diff-view-html-builder.js |  2 +-
 libgitg/resources/diff-view.css             |  2 +-
 3 files changed, 11 insertions(+), 3 deletions(-)

2014-12-22 Daniel Mustieles <daniel.mustieles@gmail.com>
commit c95a851e1b1a830ec16c770db0d1da9620c1be08

    Updated Spanish translation

 po/es.po | 117 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 66 insertions(+), 51 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 24c0060181a25c13b4df97b306aa43eee5f483c7

    Protect against null repository

 gitg/history/gitg-history.vala | 47 +++++++++++++++++++++++++-----------------
 1 file changed, 28 insertions(+), 19 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit e9222facdc60f9e2cd120853d5fd03f9a2e09c58

    Compile tests without warnings

 tests/diff-view.vala           | 11 ++++++++++-
 tests/progress-bin.vala        | 11 ++++++++++-
 tests/repository-list-box.vala | 11 ++++++++++-
 3 files changed, 30 insertions(+), 3 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 4668f6f9daabc5101bd4870d672014f33e1aeb7f

    Remove currently unused preferences

 gitg/resources/ui/gitg-preferences-history.ui | 57 ---------------------------
 1 file changed, 57 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 918d0f90bdaed4474fc1d4a811165ee5804309ec

    Implement configuring of mainlines

 data/org.gnome.gitg.gschema.xml.in.in          |   8 ++
 gitg/history/gitg-history.vala                 | 169 +++++++++++++++++++++++--
 gitg/preferences/gitg-preferences-history.vala |  24 +---
 gitg/resources/ui/gitg-preferences-history.ui  |  57 ++++++---
 4 files changed, 209 insertions(+), 49 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 15e441e7733dd7d4e21fddf0b5b96340f7eaf4f3

    Implement preserving mainlines on history lanes

 gitg/history/gitg-history.vala        |  71 +++++++++++++++-----
 libgitg/gitg-cell-renderer-lanes.vala |  34 ++++++++--
 libgitg/gitg-commit-model.vala        |  86 ++++++++++++++++++------
 libgitg/gitg-lane.vala                |   3 +-
 libgitg/gitg-lanes.vala               | 121 +++++++++++++++++++++++++++++-----
 5 files changed, 253 insertions(+), 62 deletions(-)

2014-12-21 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0886b198725a43d3bfccb2b0f27283b7bd63c7fb

    Set search entry on searchable

 gitg/gitg-window.vala | 2 ++
 1 file changed, 2 insertions(+)

2014-12-21 Yosef Or Boczko <yoseforb@src.gnome.org>
commit 9a615968f3c4ac0e7e4f4786601b8bb56d887c3d

    Updated Hebrew translation

 po/he.po | 322 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 213 insertions(+), 109 deletions(-)

2014-12-20 Jesse van den Kieboom <jessevdk@gmail.com>
commit 792d3dffecf4399d1e57c998afd9802b9814678b

    Fix indentation issue

 libgitg-ext/gitg-ext-searchable.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-20 Jesse van den Kieboom <jessevdk@gmail.com>
commit b757944e63792c5ff0694d8711e587335d820d67

    Implement basic history search

 gitg/gitg-dash-view.vala             |  9 +++++++--
 gitg/history/gitg-history.vala       | 24 +++++++++++++++++++++++-
 libgitg-ext/gitg-ext-searchable.vala |  1 +
 3 files changed, 31 insertions(+), 3 deletions(-)

2014-12-20 Jesse van den Kieboom <jessevdk@gmail.com>
commit 8ce968ec7b22117b4b79e675670ebcf0a85471a1

    Hide parents chooser if necessary

 libgitg/resources/diff-view.js | 4 ++++
 1 file changed, 4 insertions(+)

2014-12-18 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 11f81e06d5e76834888ee9bad27b5153834d135d

    Updated Spanish translation

 po/es.po | 128 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 71 insertions(+), 57 deletions(-)

2014-12-18 Jesse van den Kieboom <jessevdk@gmail.com>
commit 44b51c99d5d107b1ecf55f078a80dd2846fe56dd

    Added preference for default activity

 data/org.gnome.gitg.gschema.xml.in.in            | 11 +++-
 gitg/gitg-window.vala                            | 23 ++++++-
 gitg/preferences/gitg-preferences-interface.vala |  8 +++
 gitg/resources/ui/gitg-preferences-interface.ui  | 78 +++++++++++++++++++++++-
 4 files changed, 114 insertions(+), 6 deletions(-)

2014-12-17 Jesse van den Kieboom <jessevdk@gmail.com>
commit fc072c5bad1a41ba18a5ca1846ea2b63e2b8a871

    Implement opening file from staging area

 gitg/commit/gitg-commit-sidebar.vala |  9 +++++++
 gitg/commit/gitg-commit.vala         | 51 ++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

2014-12-17 Daniel Mustieles <daniel.mustieles@gmail.com>
commit 8ab4ae7b32fca8ed613cc352211552321eacece5

    Updated Spanish translation

 po/es.po | 244 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 165 insertions(+), 79 deletions(-)

2014-12-16 Jesse van den Kieboom <jessevdk@gmail.com>
commit 78cf3561d7e28fca63a1a375f0a6c1b9520b2bf5

    Add HEAD in refs list if head is detached

 gitg/history/gitg-history-refs-list.vala | 9 +++++++++
 libgitg/gitg-ref.vala                    | 5 +++++
 2 files changed, 14 insertions(+)

2014-12-16 Jesse van den Kieboom <jessevdk@gmail.com>
commit 688d8a2d81e2412daa3de298cfcfdd14cd2d1fc6

    Show all commits if no initial selection in ref list

 gitg/history/gitg-history-refs-list.vala | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

2014-12-16 Jesse van den Kieboom <jessevdk@gmail.com>
commit e5f467cbd3ff2352c213103d3e786090df08da6a

    Allow choosing merge diff parent

 gitg/gitg-commit-action-create-patch.vala |  2 +-
 libgitg/gitg-commit.vala                  | 30 +++++++----------------
 libgitg/gitg-diff-view.vala               | 40 ++++++++++++++++++++++++++++---
 libgitg/resources/diff-view.css           |  9 +++++++
 libgitg/resources/diff-view.html          |  2 ++
 libgitg/resources/diff-view.js            | 30 ++++++++++++++++++++++-
 6 files changed, 87 insertions(+), 26 deletions(-)

2014-12-15 Ignacio Casal Quinteiro <icq@gnome.org>
commit b481e4f428d1a9fae7aaba7b0db3c4c11a7f02a9

    animated-paned: mark method as private

 gitg/gitg-animated-paned.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2014-12-15 Jesse van den Kieboom <jessevdk@gmail.com>
commit e24ef2e07058a5b75983648d8295ddbc4a2da9f1

    Print message when failing to parse option flag

 gitg/gitg-application.vala | 1 +
 1 file changed, 1 insertion(+)

2014-12-14 Matthias Clasen <mclasen@redhat.com>
commit 27dcdf0e216ca6a3c44dece3441c1ee7b8ca7922

    Don't make author details resizable
    
    There's no scrollable content, so no reason to make the dialog
    resizable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741514

 gitg/resources/ui/gitg-author-details-dialog.ui | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2014-12-14 Matthias Clasen <mclasen@redhat.com>
commit 1cbbcef28164e4f1a62da6376cddea1fddaae3f8

    Don't make preferences window resizable
    
    There's no scrollable content, so no reason to make the dialog
    resizable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741514

 gitg/resources/ui/gitg-preferences.ui | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

2014-12-14 Ignacio Casal Quinteiro <icq@gnome.org>
commit b02ad6fb23a9efee76b2ad177a4af329ffad73cd

    Do not use margin deprecated properties

 gitg/resources/ui/gitg-commit-paned.ui          | 4 ++--
 gitg/resources/ui/gitg-commit-submodule-info.ui | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 3242eeebba6264e59b12265c29a356c36606cd93

    Show parents for commits with more than one parent
    
    This adds links to the commit header for each parent allowing
    to quickly jump to a parent.

 gitg/history/gitg-history.vala           | 18 +++++++++++++++
 libgitg-ext/gitg-ext-history.vala        |  2 ++
 libgitg/gitg-commit-model.vala           | 28 +++++++++++++++++++++++
 libgitg/gitg-diff-view-request-diff.vala | 18 +++++++++++++++
 libgitg/gitg-diff-view.vala              | 13 +++++++++++
 libgitg/resources/diff-view.css          | 11 +++++++++
 libgitg/resources/diff-view.html         |  2 ++
 libgitg/resources/diff-view.js           | 39 +++++++++++++++++++++++++++++++-
 plugins/diff/gitg-diff.vala              | 17 ++++++++++++++
 9 files changed, 147 insertions(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0742789d627baff0217477923c9a78178039f144

    Only show notes when there are notes
    
    This removes extra space introduced by the empty <p/>

 libgitg/resources/diff-view.html | 2 +-
 libgitg/resources/diff-view.js   | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit e498031dff76586416662c2611e46210fed0038a

    Fix getting correct parent for merge diff

 libgitg/gitg-commit.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 2b2b4af9f6c6232dc7a7c3430a93b1cf5a44c1d4

    Update for new GgitCommitParents API

 gitg/commit/gitg-commit.vala   | 2 +-
 libgitg/gitg-commit.vala       | 4 ++--
 libgitg/gitg-lanes.vala        | 4 ++--
 tests/libgitg/test-commit.vala | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit c16ff55ab786b7cc2e3e577ed13b772233f6dd19

    Update title when repository is being reloaded

 gitg/gitg-window.vala | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit de5cd0d7c7327a4d5d9aaa1574fa97849ddcba6e

    Fix too large overdraw for pane switcher

 gitg/history/gitg-history-paned.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-14 Piotr Drąg <piotrdrag@gmail.com>
commit d20676a3f4dbe0f30b605a6b2097b8028c99cf92

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 7 ++++---
 po/POTFILES.skip | 9 +++++----
 2 files changed, 9 insertions(+), 7 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit c4d21a316514a33822e33e13f17d1b89f9988de3

    Implement ref actions popup for ref labels

 gitg/history/gitg-history-paned.vala  |  4 +-
 gitg/history/gitg-history.vala        | 79 +++++++++++++++++++++++++++--------
 libgitg/gitg-cell-renderer-lanes.vala | 22 +++++++++-
 libgitg/gitg-commit-list-view.vala    | 33 +++++++++++++++
 4 files changed, 118 insertions(+), 20 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 4507c0e2e7919a34209833bdaec4bc3bbf6d2e69

    Add missing gitg-ref-action-copy-name.vala

 gitg/gitg-ref-action-copy-name.vala | 73 +++++++++++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 46d3d3f37321ac139408cb7d8b3db8b849be6002

    Implement copy name ref action

 gitg/Makefile.am               | 1 +
 gitg/history/gitg-history.vala | 1 +
 2 files changed, 2 insertions(+)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit ca247ffcbb67f5765b57ddfb9b31ba08d3e78c8f

    Show repository path in header

 gitg/gitg-window.vala | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 62b7f9bb9b7255dfd75d0a0c7c5100e6abc35f4f

    Fix sorting of remotes

 gitg/history/gitg-history-refs-list.vala | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 4a8b33aae07d1783c7fe5f5477dfb32b02bd0a02

    Added new resource files to POTFILES.in

 po/POTFILES.in | 3 +++
 1 file changed, 3 insertions(+)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0fb705b56596aeb0bcf2d6cb09a7bcc29c7993f1

    Make sure to reset walker exclude

 gitg/commit/gitg-commit.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 832dbc8fcec7911a6e8650b75d50f352857c3e80

    Implement submodule patch stage/unstage

 gitg/commit/gitg-commit.vala | 71 ++++++++++++++++++++++++++++++++++----------
 1 file changed, 56 insertions(+), 15 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit c35c4ea7873f2bfccdf8c88b2e8aa4094ca51b9e

    Show dummy item when there are no dirty submodules

 gitg/commit/gitg-commit.vala | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 4f488dc4b86fac5cce892cc496619803a4853c65

    Manually sort status items
    
    This is needed due to the separation of submodules and files.

 gitg/commit/gitg-commit.vala | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 349083602c07bf9f75db410523e1bfafc096ad55

    Handle displaying of untracked submodules

 gitg/commit/gitg-commit.vala | 43 ++++++++++++++++++++++++++++++-------------
 1 file changed, 30 insertions(+), 13 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit bb2a8228d12b0731eead05436b1ed77faa28a932

    Implement workdir submodule stage/unstage

 gitg/commit/gitg-commit.vala | 234 +++++++++++++++++++++++++++++++------------
 1 file changed, 171 insertions(+), 63 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 5f207a31277d53810305def7fe9b29f54425cc35

    Added Stage.stage_commit

 libgitg/gitg-stage.vala | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 3d842e99ccdcfea4f75282a66e9fb62b5f098f8b

    Ignore status files which are submodules

 libgitg/gitg-stage-status-enumerator.vala | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0b1644bd88263277868f84a5571f636fd7570986

    Do not consider untracked submodules as unstaged

 libgitg/gitg-stage-status-enumerator.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 95d018c40afd2491b1510544b6c9d99942fc91a6

    Bump required libgit2-glib version to 0.0.25

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 92a13b1e293f54065fed0b297990d51c48b77a08

    Bind orientation preference to submodule diff

 gitg/commit/gitg-commit-submodule-diff-view.vala   |  13 +++
 .../ui/gitg-commit-submodule-diff-view.ui          | 123 ++++++++++++---------
 2 files changed, 83 insertions(+), 53 deletions(-)

2014-12-13 Jesse van den Kieboom <jessevdk@gmail.com>
commit d395b8d7dd8941c09e7e1af3404aefb0abd7e818

    Add basic history view for staged/unstaged submodules

 gitg/Makefile.am                                   |   1 +
 gitg/commit/gitg-commit-paned.vala                 |   8 +
 .../commit/gitg-commit-submodule-history-view.vala |  43 +++++
 gitg/commit/gitg-commit.vala                       | 199 +++++++++++++++++++--
 gitg/resources/gitg-resources.xml                  |   1 +
 gitg/resources/ui/gitg-commit-paned.ui             |  11 +-
 .../ui/gitg-commit-submodule-history-view.ui       |  82 +++++++++
 7 files changed, 329 insertions(+), 16 deletions(-)

2014-12-13 Jesse van den Kieboom <jessevdk@gmail.com>
commit 0c3b69cb305907b8ce08ce59a57865acc1aedc39

    Implement enumeration of submodules in commit view

 gitg/Makefile.am                                   |   2 +
 gitg/commit/gitg-commit-paned.vala                 |   8 +
 gitg/commit/gitg-commit-sidebar.vala               |  90 ++--
 gitg/commit/gitg-commit-submodule-diff-view.vala   |  51 ++
 gitg/commit/gitg-commit-submodule-info.vala        |  97 ++++
 gitg/commit/gitg-commit.vala                       | 532 +++++++++++++--------
 gitg/resources/gitg-resources.xml                  |   2 +
 gitg/resources/ui/gitg-commit-paned.ui             |  18 +-
 .../ui/gitg-commit-submodule-diff-view.ui          |  96 ++++
 gitg/resources/ui/gitg-commit-submodule-info.ui    | 103 ++++
 gitg/resources/ui/style.css                        |  14 +
 libgitg/gitg-stage-status-enumerator.vala          | 234 +++++++--
 libgitg/gitg-stage.vala                            |  43 +-
 tests/libgitg/test-stage.vala                      |  10 +-
 14 files changed, 1002 insertions(+), 298 deletions(-)

2014-12-13 Jesse van den Kieboom <jessevdk@gmail.com>
commit dc15e86773c9956a58a09fd58a0f9023f234aa92

    Add open_new to GitgExt.Application

 gitg/gitg-window.vala                 | 8 ++++++++
 libgitg-ext/gitg-ext-application.vala | 2 ++
 2 files changed, 10 insertions(+)

2014-12-13 Jesse van den Kieboom <jessevdk@gmail.com>
commit b8dd95d814af61f40d4b25334df029f4521dba1d

    Update glade catalog

 data/gitg-glade.xml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

2014-12-13 Jesse van den Kieboom <jessevdk@gmail.com>
commit a7d7a52094215b7b3983b609c0e9f1caa40b7fc9

    Install glade catalog in prefix

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-14 Jesse van den Kieboom <jessevdk@gmail.com>
commit 5023d3304e480c64faa7663f7d9a51117176b4c4

    Make sure to unbind from settings when closing preferences

 gitg/preferences/gitg-preferences-interface.vala | 33 +++++++++++++++++-------
 1 file changed, 24 insertions(+), 9 deletions(-)

2014-12-12 Ignacio Casal Quinteiro <icq@gnome.org>
commit dd45e351b85095105db55ae0292feabc19eb1ecf

    Show the correct header bars buttons depending on the state

 gitg/gitg-window.vala | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

2014-12-10 Jesse van den Kieboom <jessevdk@gmail.com>
commit d023afc835c2a042224e9d17ddb69b25a1b7d119

    Show submodules in dash

 libgitg/gitg-repository-list-box.vala             | 48 +++++++++++++++++++++++
 libgitg/resources/gitg-repository-list-box-row.ui | 26 ++++++++++--
 2 files changed, 70 insertions(+), 4 deletions(-)

2014-12-10 Jesse van den Kieboom <jessevdk@gmail.com>
commit 6de14b1e207b89a6d8a338ab51cfbfb843c84804

    Small indentation fix

 gitg/gitg-application.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-10 Jesse van den Kieboom <jessevdk@gmail.com>
commit 6c28cfadc6cfe742799f8cedb62db9ae17433839

    Install gir and typelib in prefix

 libgitg-ext/Makefile.am | 4 ++--
 libgitg/Makefile.am     | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

2014-12-08 Jesse van den Kieboom <jessevdk@gmail.com>
commit 467d94858c5733cd7e65a922199a60caefd3b5cc

    Make json_to_stream internal

 libgitg/gitg-diff-view-request.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-12-08 Jesse van den Kieboom <jessevdk@gmail.com>
commit 16b75d4deebc411d1ebd5915b4b377c209c388ae

    Return true in option callbacks
    
    This fixes the issue where the return value from these
    callbacks is just a random value, for example false, which
    in turn makes -c/--commit not work.

 gitg/gitg-application.vala | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

2014-12-07 Jesse van den Kieboom <jessevdk@gmail.com>
commit 973df228eb2d2ba294e6ec02d336625565a31a38

    Improve handling of diff errors
    
    Before we would handle errors by passing them to finish_error on the
    uri scheme request. However, it is hard/impossible to obtain error
    information on the js side in this way. Now instead we return a
    special json document (if the resulting content type is json) and show
    an appropriate error message.

 libgitg/gitg-diff-view-request-diff.vala    | 20 +-----------
 libgitg/gitg-diff-view-request.vala         | 49 ++++++++++++++++++++++++++++-
 libgitg/resources/diff-view-html-builder.js | 26 +++++++++++++--
 libgitg/resources/diff-view.css             | 16 ++++++++++
 4 files changed, 89 insertions(+), 22 deletions(-)

2014-11-30 Balázs Úr <urbalazs@gmail.com>
commit 4e517bae2cc1e448447043e1403c1dd611f5a3d9

    Updated Hungarian translation

 po/hu.po | 58 ++++++++++++++++++++--------------------------------------
 1 file changed, 20 insertions(+), 38 deletions(-)

2014-11-26 Marek Černocký <marek@manet.cz>
commit 59417c0fa9f7a7e557c35ec23723d7f974f0e9dc

    Updated Czech translation

 po/cs.po | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

2014-11-17 Duarte Loreto <happyguy_pt@hotmail.com>
commit 1e817354a289097af8deb946ea49671d8bd5ab81

    Added Portuguese translation

 po/LINGUAS |   1 +
 po/pt.po   | 656 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 657 insertions(+)

2014-11-16 Rico Tzschichholz <ricotz@ubuntu.com>
commit ac7eaa78673bd68822e6d08f97185d7eebc67cc6

    Adapt to gtk+ binding changes with vala git/0.27

 gitg/gitg-create-tag-dialog.vala | 4 ++++
 1 file changed, 4 insertions(+)

2014-11-14 Ignacio Casal Quinteiro <icq@gnome.org>
commit 43c16c837abc4e2f64693953a0f97074e25f5d45

    window: fix warning when unbinding property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740117

 gitg/gitg-window.vala | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

2014-11-12 Daniel Mustieles <daniel.mustieles@gmail.com>
commit f8c48d37a8ed0a1fbbb74d0fbea19365b5bfd2a0

    Updated Spanish translation

 po/es.po | 57 +++++++--------------------------------------------------
 1 file changed, 7 insertions(+), 50 deletions(-)

2014-11-04 Yosef Or Boczko <yoseforb@src.gnome.org>
commit b538423863cef880c069a55063c32fce8e07d009

    Updated Hebrew translation

 po/he.po | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

2014-11-04 Ignacio Casal Quinteiro <icq@gnome.org>
commit 1983305ddc69639f4435470f93ce760dc2a59183

    Bump libgit2-glib to 0.0.23

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-11-03 Ignacio Casal Quinteiro <icq@gnome.org>
commit a993f23a1b9fc1aabe5e2aa6b5a6168fbce02650

    Show commit notes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737141

 libgitg/gitg-commit.vala                 | 15 +++++++++++++++
 libgitg/gitg-diff-view-request-diff.vala | 11 +++++++++--
 libgitg/gitg-diff-view.vala              |  1 +
 libgitg/resources/diff-view.css          |  5 +++++
 libgitg/resources/diff-view.html         |  4 ++++
 libgitg/resources/diff-view.js           | 10 +++++++++-
 6 files changed, 43 insertions(+), 3 deletions(-)

2014-10-13 David Gumberg <davidzgumberg@gmail.com>
commit f0da755d9f078c9f65fd1c26d6976d7c8b74ca1d

    Change emblem-system-symbolic to open-menu-symbolic.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738460

 gitg/resources/ui/gitg-window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-10-10 Gábor Kelemen <kelemeng@openscope.org>
commit 7bdf8da9609d3ed0fbfa8f2c5837ac568414ee7e

    Updated Hungarian translation

 po/hu.po | 623 +++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 512 insertions(+), 111 deletions(-)

2014-10-05 Milo Casagrande <milo@ubuntu.com>
commit d7b42eeb980562603228286979ee17ee880a9a49

    Updated Italian translation

 po/it.po | 589 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 487 insertions(+), 102 deletions(-)

2014-10-02 Cheng-Chia Tseng <pswo10680@gmail.com>
commit 9ed26b1c9845b9a9fb640f4679c0cdf0fb562948

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 114 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 58 insertions(+), 56 deletions(-)

2014-09-24 Jürg Billeter <j@bitron.ch>
commit 91832e8ef11a13ad06aacddad32c914fb5d9b1fa

    build: Add gdesktop-enums-3.0.vapi to EXTRA_DIST

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

2014-09-24 Jesse van den Kieboom <jessevdk@gnome.org>
commit 070022d5f884551c42b306059ef42f0989be3c8b

    Release version 3.14.0

 NEWS         | 25 +++++++++++++++++++++++++
 README       |  8 ++++----
 configure.ac |  4 ++--
 3 files changed, 31 insertions(+), 6 deletions(-)

2014-09-24 YunQiang Su <yqsu@src.gnome.org>
commit 124a415283c4559b73da426a941e9f02e6dd7e02

    update zh_CN translation

 po/zh_CN.po | 608 ++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 453 insertions(+), 155 deletions(-)

2014-09-23 Benjamin Steinwender <b@stbe.at>
commit 2a6d31c9beac7bfb43646f8bc2f3e0604cf51df0

    Updated German translation

 po/de.po | 585 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 426 insertions(+), 159 deletions(-)

2014-09-19 Peter Vágner <pvdeejay@gmail.com>
commit b9912f14569046b271f95f7d150786dbea0d78c6

    Added Slovak translation

 po/LINGUAS |    1 +
 po/sk.po   | 1054 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1055 insertions(+)

2014-09-19 Yuri Myasoedov <ymyasoedov@yandex.ru>
commit 7db92bcdf094555a2f5d4e67016e639770cddd3a

    Updated Russian translation

 po/ru.po | 559 ++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 431 insertions(+), 128 deletions(-)

2014-09-19 Мирослав Николић <miroslavnikolic@rocketmail.com>
commit ed4fba8b14dbce9c64c068a027deccd7ff330432

    Updated Serbian translation

 po/sr.po       | 646 +++++++++++++++++++++++++++++++++++++++++++++------------
 po/sr@latin.po | 646 +++++++++++++++++++++++++++++++++++++++++++++------------
 2 files changed, 1038 insertions(+), 254 deletions(-)

2014-09-18 Sebastian Rasmussen <sebras@gmail.com>
commit addfea132f2eebece64272a14249841af454d5bc

    Updated Swedish translation

 po/sv.po | 1418 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 821 insertions(+), 597 deletions(-)

2014-09-16 Kenneth Nielsen <k.nielsen81@gmail.com>
commit 23bfdf868ec265ba5eb793eb70bab14d8f0f2601

    Updated Danish translation

 po/da.po | 611 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 505 insertions(+), 106 deletions(-)

2014-09-09 Ville-Pekka Vainio <vpvainio@iki.fi>
commit 1b4ea33456e50001a435300333bc227d5541e456

    Finnish translation update by Jiri Grönroos

 po/fi.po | 646 ++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 520 insertions(+), 126 deletions(-)

2014-09-07 Piotr Drąg <piotrdrag@gmail.com>
commit b6d747bd7cc0810dad2cb2f2d4cb9523ae3c86d4

    Updated Polish translation

 po/pl.po | 518 ++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 412 insertions(+), 106 deletions(-)

2014-09-06 Seong-ho Cho <shcho@gnome.org>
commit 3ae546dd7bfc2b633411b3fd1a4388ece85370a6

    Updated Korean translation

 po/ko.po | 640 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 481 insertions(+), 159 deletions(-)

2014-09-05 Alain Lojewski <allomervan@gmail.com>
commit 677a43d31ef37e9322cec0a17f9cd5021f3b6a31

    Updated French translation

 po/fr.po | 1187 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 498 insertions(+), 689 deletions(-)

2014-09-04 Andika Triwidada <andika@gmail.com>
commit db94eab7ec9347d1a22f0099b051c8204ad1558e

    Updated Indonesian translation

 po/id.po | 584 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 485 insertions(+), 99 deletions(-)

2014-08-29 Enrico Nicoletto <liverig@gmail.com>
commit 73d44b2847ba1506b10fc10b71d7ebf6f689c105

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 670 +++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 523 insertions(+), 147 deletions(-)

2014-08-28 Rico Tzschichholz <ricotz@ubuntu.com>
commit 3cc32689f609a28b69244270373407956e7f601f

    Fix build with Vala 0.25.2

 gitg/gitg-clone-dialog.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

2014-08-26 Marek Černocký <marek@manet.cz>
commit 99ff52e5563c1d604ece951c5655496746e069be

    Updated Czech translation

 po/cs.po | 553 +++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 466 insertions(+), 87 deletions(-)

2014-08-26 Nilamdyuti Goswami <ngoswami@redhat.com>
commit 6469c80acad1e72224a3f1ffc50ad68adb8015a6

    Added Assamese translation

 po/LINGUAS |    1 +
 po/as.po   | 1021 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1022 insertions(+)

2014-08-25 Fran Diéguez <fran.dieguez@mabishu.com>
commit 0d8ca189acd637c6a139a072e112fac12ae1421c

    Updated Galician translations

 po/gl.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

2014-08-25 Fran Diéguez <fran.dieguez@mabishu.com>
commit 86ba072284ea55d860c791ed6f8b0eacea1940b3

    Updated Galician translations

 po/gl.po | 531 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 378 insertions(+), 153 deletions(-)

2014-08-25 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
commit 95053ce7df72903b121dc6daa0a77dfdaa81976d

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 95 +++++++++++++++++++------------------------------------------
 po/zh_TW.po | 95 +++++++++++++++++++------------------------------------------
 2 files changed, 60 insertions(+), 130 deletions(-)

2014-08-21 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
commit 648e714b89eee8942e17b0cc8aa3048762524f56

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 765 +++++++++++++++++++++++++++++++++++++++++++++++-------------
 po/zh_TW.po | 763 ++++++++++++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 1199 insertions(+), 329 deletions(-)

2014-08-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit c80c5c5b871643497cb10e53dded08b1f619dde2

    Release version 3.13.91

 NEWS         | 9 +++++++++
 README       | 8 ++++----
 configure.ac | 2 +-
 3 files changed, 14 insertions(+), 5 deletions(-)

2014-08-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit 6731ae44302f85e4afc13957333bc1ae9360edf4

    Remove use of rules_hint

 gitg/resources/ui/gitg-history-paned.ui | 1 -
 1 file changed, 1 deletion(-)

2014-08-20 Yosef Or Boczko <yoseforb@src.gnome.org>
commit f08618d18522150fec79eba59ee429a277a2ed4d

    preferences: Better style

 gitg/preferences/gitg-preferences-dialog.vala | 2 ++
 gitg/resources/ui/gitg-preferences.ui         | 4 +++-
 2 files changed, 5 insertions(+), 1 deletion(-)

2014-08-20 Yosef Or Boczko <yoseforb@src.gnome.org>
commit dfbdb19f26bb959b0814c09eac1f7dd2dd0292f0

    Updated Hebrew translation

 po/he.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

2014-08-20 Jesse van den Kieboom <jessevdk@gnome.org>
commit f10fe5ea6c901bf4d1b1c4d2dac053a2a729bc07

    Add button-press/release event masks to progress bin

 libgitg/gitg-progress-bin.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

2014-08-20 Yosef Or Boczko <yoseforb@src.gnome.org>
commit 1503a934c54801a713c0250ae14d0ee8db07acd1

    Updated Hebrew translation

 po/he.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

